SIG Codejock Library

Home topic »No topics above this level«

SIG Codejock Library

 This is the first topic Next topic

SigCj

Visual DataFlex

Codejock

Integration

© 2012 UK VDF SIG - This help page is not part of Visual DataFlex.
For support please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/


Objectives

 Previous topic Next topic

The SigCj project was formed by Martin Pincott, Ian Smith and Peter Bragg of the UK Visual DataFlex Special Interest Group. The main objective for collaborating on this project was to stop each of us reinventing the wheel. After much deliberation it was decided to make the project available under the Open Source GNU LGPL.

By making the project Open Source it is hoped that other people will not only benefit from the work, but also contribute to the project, either by adding features to the controls already done or by creating the classes for the controls that are still to be done.

Some controls are simple, such as the Push Button, and all of the properties and methods have been exposed. Other controls are in reality complex components, such as the Report Control, and only the functionality that we have required for our businesses has been implemented.

One of the requirements of the GNU LGPL is that any enhancement or bug fixes done by the users are put back into the project for the benefit of all the users. We sincerely hope this will happen.

The ultimate goal is to create a set of classes that DataFlex developers can trust and use without having to fully understand COM. Data Access Worldwide are very interested in the project and where possible are actively supporting it.


Workspaces and SWS files

Instead of publishing compatibility tables and instructions on how to link the libraries together, it was decided to create lots of SWS files that do this for you.

The workspaces are divided into three groups

· Wrapper Libraries
· Class Libraries
· Demo Workspaces

Wrapper Libraries

There is a wrapper library for each version of the Codejock Suite Control Pro that is supported. The Wrappers support both the Full license and the Evaluation version.

There is an SWS file for each VDF version supported by the Wrapper.

Class Libraries

Currently there is only one class library. All the wrapper libraries work with this class library. A new class library will be created when a compatibility issue arises either with Codejock or with VDF.

There is an SWS file for each Codejock VDF combination that is supported by the class library.

Demo Workspace

Currently there is only one demo workspace. The current class library works with this demo workspace. A new demo workspace will be created when a compatibility issue arises either with Codejock or with VDF. It is anticipated that whenever a new class library is created a new demo workspace will also need to be created.

There is an SWS file for each Codejock VDF combination that is supported by the demo workspace.

Command Bar and Skin Versions

In all version combinations we use the Command Bar and Skinning controls shipped with VDF. This is done to ensure that we do not get compatibility issues.

VDF Version | Codejock version that comes with VDF | Current Supported Sig Libraries
12.1 | 11.1.3 | No longer supported
14.0 | 11.1.3 | No longer supported
14.1 | 12.0.2 | No longer supported
15.0 | 13.0.0 | No longer supported
15.1 | 13.3.1 | 13.3.1 thru 13.4.2
16.0 | 13.4.0 | 13.4.0 thru 13.4.2
16.1 | 13.4.2 | 13.4.2 thru 15.2.1.0126 (15.2.1 is not supported due to bugs)
17.0 | Waiting for release |


Name Prefixes

The following prefixes have been used to help identify the type of data a variable contains.

Prefix | Item | Notes
a | Array | The is always the last prefix character
ad | Address | AddressOf
b | Boolean |
c | Class |
cl | Enumerated color value |
d | Date |
dt | DateTime |
dw | DWord |
e | Enumerated value | Normally defined as Integer
g | Global | Only global handles should be defined
h | Handle |
i | Integer |
m | Message |
n | Number |
o | Object |
p | Property |
P_ | Pointer |
r | Real |
s | String |
t | Structure type |
td | Structure type definition |
tm | Time |
ts | TimeSpan |
v | Variant |
Internal_ |  | The Property / Method is internal to the class and is not support at object or sub class level.
Private_ |  | The Property is private to the class and it should not be necessary to use it in an object or sub class.

Examples |
ghoOptions | Global handle to the Options object
psTitle | String property called Title
ptaEvent | A property call Event defined as an array of some structure type
iaRow_IDs | An integer array called Row_IDs


License

GNU LESSER GENERAL PUBLIC LICENSE

Version 2.1, February 1999

Copyright (C) 1991, 1999 Free Software Foundation, Inc.

51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

Everyone is permitted to copy and distribute verbatim copies

of this license document, but changing it is not allowed.

[This is the first released version of the Lesser GPL. It also counts

as the successor of the GNU Library Public License, version 2, hence

the version number 2.1.]

Preamble

The licenses for most software are designed to take away your

freedom to share and change it. By contrast, the GNU General Public

Licenses are intended to guarantee your freedom to share and change

free software--to make sure the software is free for all its users.

This license, the Lesser General Public License, applies to some

specially designated software packages--typically libraries--of the

Free Software Foundation and other authors who decide to use it. You

can use it too, but we suggest you first think carefully about whether

this license or the ordinary General Public License is the better

strategy to use in any particular case, based on the explanations below.

When we speak of free software, we are referring to freedom of use,

not price. Our General Public Licenses are designed to make sure that

you have the freedom to distribute copies of free software (and charge

for this service if you wish); that you receive source code or can get

it if you want it; that you can change the software and use pieces of

it in new free programs; and that you are informed that you can do

these things.

To protect your rights, we need to make restrictions that forbid

distributors to deny you these rights or to ask you to surrender these

rights. These restrictions translate to certain responsibilities for

you if you distribute copies of the library or if you modify it.

For example, if you distribute copies of the library, whether gratis

or for a fee, you must give the recipients all the rights that we gave

you. You must make sure that they, too, receive or can get the source

code. If you link other code with the library, you must provide

complete object files to the recipients, so that they can relink them

with the library after making changes to the library and recompiling

it. And you must show them these terms so they know their rights.

We protect your rights with a two-step method: (1) we copyright the

library, and (2) we offer you this license, which gives you legal

permission to copy, distribute and/or modify the library.

To protect each distributor, we want to make it very clear that

there is no warranty for the free library. Also, if the library is

modified by someone else and passed on, the recipients should know

that what they have is not the original version, so that the original

author's reputation will not be affected by problems that might be

introduced by others.

Finally, software patents pose a constant threat to the existence of

any free program. We wish to make sure that a company cannot

effectively restrict the users of a free program by obtaining a

restrictive license from a patent holder. Therefore, we insist that

any patent license obtained for a version of the library must be

consistent with the full freedom of use specified in this license.

Most GNU software, including some libraries, is covered by the

ordinary GNU General Public License. This license, the GNU Lesser

General Public License, applies to certain designated libraries, and

is quite different from the ordinary General Public License. We use

this license for certain libraries in order to permit linking those

libraries into non-free programs.

When a program is linked with a library, whether statically or using

a shared library, the combination of the two is legally speaking a

combined work, a derivative of the original library. The ordinary

General Public License therefore permits such linking only if the

entire combination fits its criteria of freedom. The Lesser General

Public License permits more lax criteria for linking other code with

the library.

We call this license the "Lesser" General Public License because it

does Less to protect the user's freedom than the ordinary General

Public License. It also provides other free software developers Less

of an advantage over competing non-free programs. These disadvantages

are the reason we use the ordinary General Public License for many

libraries. However, the Lesser license provides advantages in certain

special circumstances.

For example, on rare occasions, there may be a special need to

encourage the widest possible use of a certain library, so that it becomes

a de-facto standard. To achieve this, non-free programs must be

allowed to use the library. A more frequent case is that a free

library does the same job as widely used non-free libraries. In this

case, there is little to gain by limiting the free library to free

software only, so we use the Lesser General Public License.

In other cases, permission to use a particular library in non-free

programs enables a greater number of people to use a large body of

free software. For example, permission to use the GNU C Library in

non-free programs enables many more people to use the whole GNU

operating system, as well as its variant, the GNU/Linux operating

system.

Although the Lesser General Public License is Less protective of the

users' freedom, it does ensure that the user of a program that is

linked with the Library has the freedom and the wherewithal to run

that program using a modified version of the Library.

The precise terms and conditions for copying, distribution and

modification follow. Pay close attention to the difference between a

"work based on the library" and a "work that uses the library". The

former contains code derived from the library, whereas the latter must

be combined with the library in order to run.

GNU LESSER GENERAL PUBLIC LICENSE

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License Agreement applies to any software library or other

program which contains a notice placed by the copyright holder or

other authorized party saying it may be distributed under the terms of

this Lesser General Public License (also called "this License").

Each licensee is addressed as "you".

A "library" means a collection of software functions and/or data

prepared so as to be conveniently linked with application programs

(which use some of those functions and data) to form executables.

The "Library", below, refers to any such software library or work

which has been distributed under these terms. A "work based on the

Library" means either the Library or any derivative work under

copyright law: that is to say, a work containing the Library or a

portion of it, either verbatim or with modifications and/or translated

straightforwardly into another language. (Hereinafter, translation is

included without limitation in the term "modification".)

"Source code" for a work means the preferred form of the work for

making modifications to it. For a library, complete source code means

all the source code for all modules it contains, plus any associated

interface definition files, plus the scripts used to control compilation

and installation of the library.

Activities other than copying, distribution and modification are not

covered by this License; they are outside its scope. The act of

running a program using the Library is not restricted, and output from

such a program is covered only if its contents constitute a work based

on the Library (independent of the use of the Library in a tool for

writing it). Whether that is true depends on what the Library does

and what the program that uses the Library does.

1. You may copy and distribute verbatim copies of the Library's

complete source code as you receive it, in any medium, provided that

you conspicuously and appropriately publish on each copy an

appropriate copyright notice and disclaimer of warranty; keep intact

all the notices that refer to this License and to the absence of any

warranty; and distribute a copy of this License along with the

Library.

You may charge a fee for the physical act of transferring a copy,

and you may at your option offer warranty protection in exchange for a

fee.

2. You may modify your copy or copies of the Library or any portion

of it, thus forming a work based on the Library, and copy and

distribute such modifications or work under the terms of Section 1

above, provided that you also meet all of these conditions:

a) The modified work must itself be a software library.

b) You must cause the files modified to carry prominent notices

stating that you changed the files and the date of any change.

c) You must cause the whole of the work to be licensed at no

charge to all third parties under the terms of this License.

d) If a facility in the modified Library refers to a function or a

table of data to be supplied by an application program that uses

the facility, other than as an argument passed when the facility

is invoked, then you must make a good faith effort to ensure that,

in the event an application does not supply such function or

table, the facility still operates, and performs whatever part of

its purpose remains meaningful.

(For example, a function in a library to compute square roots has

a purpose that is entirely well-defined independent of the

application. Therefore, Subsection 2d requires that any

application-supplied function or table used by this function must

be optional: if the application does not supply it, the square

root function must still compute square roots.)

These requirements apply to the modified work as a whole. If

identifiable sections of that work are not derived from the Library,

and can be reasonably considered independent and separate works in

themselves, then this License, and its terms, do not apply to those

sections when you distribute them as separate works. But when you

distribute the same sections as part of a whole which is a work based

on the Library, the distribution of the whole must be on the terms of

this License, whose permissions for other licensees extend to the

entire whole, and thus to each and every part regardless of who wrote

it.

Thus, it is not the intent of this section to claim rights or contest

your rights to work written entirely by you; rather, the intent is to

exercise the right to control the distribution of derivative or

collective works based on the Library.

In addition, mere aggregation of another work not based on the Library

with the Library (or with a work based on the Library) on a volume of

a storage or distribution medium does not bring the other work under

the scope of this License.

3. You may opt to apply the terms of the ordinary GNU General Public

License instead of this License to a given copy of the Library. To do

this, you must alter all the notices that refer to this License, so

that they refer to the ordinary GNU General Public License, version 2,

instead of to this License. (If a newer version than version 2 of the

ordinary GNU General Public License has appeared, then you can specify

that version instead if you wish.) Do not make any other change in

these notices.

Once this change is made in a given copy, it is irreversible for

that copy, so the ordinary GNU General Public License applies to all

subsequent copies and derivative works made from that copy.

This option is useful when you wish to copy part of the code of

the Library into a program that is not a library.

4. You may copy and distribute the Library (or a portion or

derivative of it, under Section 2) in object code or executable form

under the terms of Sections 1 and 2 above provided that you accompany

it with the complete corresponding machine-readable source code, which

must be distributed under the terms of Sections 1 and 2 above on a

medium customarily used for software interchange.

If distribution of object code is made by offering access to copy

from a designated place, then offering equivalent access to copy the

source code from the same place satisfies the requirement to

distribute the source code, even though third parties are not

compelled to copy the source along with the object code.

5. A program that contains no derivative of any portion of the

Library, but is designed to work with the Library by being compiled or

linked with it, is called a "work that uses the Library". Such a

work, in isolation, is not a derivative work of the Library, and

therefore falls outside the scope of this License.

However, linking a "work that uses the Library" with the Library

creates an executable that is a derivative of the Library (because it

contains portions of the Library), rather than a "work that uses the

library". The executable is therefore covered by this License.

Section 6 states terms for distribution of such executables.

When a "work that uses the Library" uses material from a header file

that is part of the Library, the object code for the work may be a

derivative work of the Library even though the source code is not.

Whether this is true is especially significant if the work can be

linked without the Library, or if the work is itself a library. The

threshold for this to be true is not precisely defined by law.

If such an object file uses only numerical parameters, data

structure layouts and accessors, and small macros and small inline

functions (ten lines or less in length), then the use of the object

file is unrestricted, regardless of whether it is legally a derivative

work. (Executables containing this object code plus portions of the

Library will still fall under Section 6.)

Otherwise, if the work is a derivative of the Library, you may

distribute the object code for the work under the terms of Section 6.

Any executables containing that work also fall under Section 6,

whether or not they are linked directly with the Library itself.

6. As an exception to the Sections above, you may also combine or

link a "work that uses the Library" with the Library to produce a

work containing portions of the Library, and distribute that work

under terms of your choice, provided that the terms permit

modification of the work for the customer's own use and reverse

engineering for debugging such modifications.

You must give prominent notice with each copy of the work that the

Library is used in it and that the Library and its use are covered by

this License. You must supply a copy of this License. If the work

during execution displays copyright notices, you must include the

copyright notice for the Library among them, as well as a reference

directing the user to the copy of this License. Also, you must do one

of these things:

a) Accompany the work with the complete corresponding

machine-readable source code for the Library including whatever

changes were used in the work (which must be distributed under

Sections 1 and 2 above); and, if the work is an executable linked

with the Library, with the complete machine-readable "work that

uses the Library", as object code and/or source code, so that the

user can modify the Library and then relink to produce a modified

executable containing the modified Library. (It is understood

that the user who changes the contents of definitions files in the

Library will not necessarily be able to recompile the application

to use the modified definitions.)

b) Use a suitable shared library mechanism for linking with the

Library. A suitable mechanism is one that (1) uses at run time a

copy of the library already present on the user's computer system,

rather than copying library functions into the executable, and (2)

will operate properly with a modified version of the library, if

the user installs one, as long as the modified version is

interface-compatible with the version that the work was made with.

c) Accompany the work with a written offer, valid for at

least three years, to give the same user the materials

specified in Subsection 6a, above, for a charge no more

than the cost of performing this distribution.

d) If distribution of the work is made by offering access to copy

from a designated place, offer equivalent access to copy the above

specified materials from the same place.

e) Verify that the user has already received a copy of these

materials or that you have already sent this user a copy.

For an executable, the required form of the "work that uses the

Library" must include any data and utility programs needed for

reproducing the executable from it. However, as a special exception,

the materials to be distributed need not include anything that is

normally distributed (in either source or binary form) with the major

components (compiler, kernel, and so on) of the operating system on

which the executable runs, unless that component itself accompanies

the executable.

It may happen that this requirement contradicts the license

restrictions of other proprietary libraries that do not normally

accompany the operating system. Such a contradiction means you cannot

use both them and the Library together in an executable that you

distribute.

7. You may place library facilities that are a work based on the

Library side-by-side in a single library together with other library

facilities not covered by this License, and distribute such a combined

library, provided that the separate distribution of the work based on

the Library and of the other library facilities is otherwise

permitted, and provided that you do these two things:

a) Accompany the combined library with a copy of the same work

based on the Library, uncombined with any other library

facilities. This must be distributed under the terms of the

Sections above.

b) Give prominent notice with the combined library of the fact

that part of it is a work based on the Library, and explaining

where to find the accompanying uncombined form of the same work.

8. You may not copy, modify, sublicense, link with, or distribute

the Library except as expressly provided under this License. Any

attempt otherwise to copy, modify, sublicense, link with, or

distribute the Library is void, and will automatically terminate your

rights under this License. However, parties who have received copies,

or rights, from you under this License will not have their licenses

terminated so long as such parties remain in full compliance.

9. You are not required to accept this License, since you have not

signed it. However, nothing else grants you permission to modify or

distribute the Library or its derivative works. These actions are

prohibited by law if you do not accept this License. Therefore, by

modifying or distributing the Library (or any work based on the

Library), you indicate your acceptance of this License to do so, and

all its terms and conditions for copying, distributing or modifying

the Library or works based on it.

10. Each time you redistribute the Library (or any work based on the

Library), the recipient automatically receives a license from the

original licensor to copy, distribute, link with or modify the Library

subject to these terms and conditions. You may not impose any further

restrictions on the recipients' exercise of the rights granted herein.

You are not responsible for enforcing compliance by third parties with

this License.

11. If, as a consequence of a court judgment or allegation of patent

infringement or for any other reason (not limited to patent issues),

conditions are imposed on you (whether by court order, agreement or

otherwise) that contradict the conditions of this License, they do not

excuse you from the conditions of this License. If you cannot

distribute so as to satisfy simultaneously your obligations under this

License and any other pertinent obligations, then as a consequence you

may not distribute the Library at all. For example, if a patent

license would not permit royalty-free redistribution of the Library by

all those who receive copies directly or indirectly through you, then

the only way you could satisfy both it and this License would be to

refrain entirely from distribution of the Library.

If any portion of this section is held invalid or unenforceable under any

particular circumstance, the balance of the section is intended to apply,

and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any

patents or other property right claims or to contest validity of any

such claims; this section has the sole purpose of protecting the

integrity of the free software distribution system which is

implemented by public license practices. Many people have made

generous contributions to the wide range of software distributed

through that system in reliance on consistent application of that

system; it is up to the author/donor to decide if he or she is willing

to distribute software through any other system and a licensee cannot

impose that choice.

This section is intended to make thoroughly clear what is believed to

be a consequence of the rest of this License.

12. If the distribution and/or use of the Library is restricted in

certain countries either by patents or by copyrighted interfaces, the

original copyright holder who places the Library under this License may add

an explicit geographical distribution limitation excluding those countries,

so that distribution is permitted only in or among countries not thus

excluded. In such case, this License incorporates the limitation as if

written in the body of this License.

13. The Free Software Foundation may publish revised and/or new

versions of the Lesser General Public License from time to time.

Such new versions will be similar in spirit to the present version,

but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library

specifies a version number of this License which applies to it and

"any later version", you have the option of following the terms and

conditions either of that version or of any later version published by

the Free Software Foundation. If the Library does not specify a

license version number, you may choose any version ever published by

the Free Software Foundation.

14. If you wish to incorporate parts of the Library into other free

programs whose distribution conditions are incompatible with these,

write to the author to ask for permission. For software which is

copyrighted by the Free Software Foundation, write to the Free

Software Foundation; we sometimes make exceptions for this. Our

decision will be guided by the two goals of preserving the free status

of all derivatives of our free software and of promoting the sharing

and reuse of software generally.

NO WARRANTY

15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO

WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW.

EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR

OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY

KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE

IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR

PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE

LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME

THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN

WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY

AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU

FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR

CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE

LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING

RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A

FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF

SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH

DAMAGES.

END OF TERMS AND CONDITIONS


cSigCjCalendarControl v2

Home topic SIG Codejock Library > Classes:

cSigCjCalendarControl v2

 Previous topic Next topic

CAUTION -

Codejock use the term "Event" for an item / entry in the calendar.

Do not confuse program events with calendar items!!!

Description

This class implements the Codejock Calendar control. This should be considered a complex component and not just a control.

The Demo workspace has a example implementation of the Calendar class. It includes a full set of data files and several views that demonstrate the features of the class.

The "How To" section gives detail on how to use the different features of the class.

The following features of the Codejock control are either restricted or not implemented

· Theme. The theme is fixed as Office 2007. This has been done so that other features can be implemented.
· Time Line mode. This has not been implemented.

The one calendar per project (.exe) limitation in version 1 has been removed. A project can now have as many calendars as required.


How To

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2:

How To

 Previous topic Next topic

These 'How To's have been written to explain how the major features of the class work and how to configure them

Auto Refresh | How to configure the auto data refresh
Custom Properties | How to add and remove custom properties for an event
Caption Bar | How to configure the caption bar
Data | How to pass data to the calendar and save information from the calendar
Date Picker | How the Date Picker is linked to the calendar
DB Link | How to add a DB Link to an event
Dialogs | How to configure and use custom dialogs
Icons | How to add and remove custom icons for an event
Resources & Schedules | How to configure Resources and Schedules
Shading | How to shade different parts of the calendar
Special Dates | How to enable and setup Special Dates
Time Scale | How to configure the Time Scale
Tool Tips | How to configure tool tips and enable custom tool tips


Auto Refresh

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Auto Refresh

 Previous topic Next topic

Description

The class implements auto data refresh. This is done via the runtime idle handler. The idle handler fires whenever mouse and keyboard activity stops. Although the idle handler only fires once when activity stops, activity stops very frequently. To prevent the class from hammering the database a delay has been introduced and the refresh is done on the first idle event after the delay.

Auto refresh can be disabled and the delay can be configured.

The relevant bits

Properties | pbEnableAutoRefresh peIntervalUnits piRefreshInterval | Enable / disable auto refresh. Is the refresh delay minutes or seconds. The refresh delay.
Methods | None |
Events | None |
Data Events | None |
Structs | None |
Enums | eCal_Auto_Refresh | These enumerated values specify the units of the delay.
Dialogs | None |
Tables | None |


Custom Properties

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Custom Properties

 Previous topic Next topic

Enter topic text here.


Caption Bar

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Caption Bar

 Previous topic Next topic

Description

The caption bar can be used to change how the calendar is displayed. It has controls to change the date / date range shown, if a day, week or month is displayed. When a week is displayed you can choose if only Monday to Friday is displayed or the full week. When in full week mode choose if the calendar is displayed in week view or column mode. Each of the element of the caption bar can be enabled or disabled. The caption bar can also be hidden

The relevant bits

Properties | pbOneLineCaptionBar pbShowCaptionBar pbShowCaptionBarDateLabel pbShowCaptionBarExpandButton pbShowCaptionBarScrollDateButtons pbShowCaptionBarSwitchViewButtons pbShowMultiColumnsButton | Display the caption bar on one line Show / hide the caption bar Show / hide the date label Show / hide the expand button Show / hide the scroll date buttons Show / hide the switch view buttons Show / hide the multi columns check box
Methods | None |
Events | None |
Data Events | None |
Structs | None |
Enums | None |
Dialogs | None |
Tables | None |


Data

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Data

 Previous topic Next topic

Data Sources

The Codejock control can access data from several sources. The class has been code to use the following

· Microsoft Database (mdb) files - MS Access
· MAPI (pst / dat) files - Outlook 2003 format
· VDF Tables (Embedded and SQL)

If Microsoft Database or MAPI data sources are used the Codejock control handles all data access and no custom code is required.

The Codejock control provides a Custom Data interface and this is used with VDF tables. When the control needs data to be provided or saved it fires "custom data" program events. This data is passed to and from the control via objects. The logic to handle these objects has been programmed in the class.

The class does not directly used the VDF tables. When the class needs data it fires program events passing struct variables that have to be populated with data. When data needs to be saved, again, program events are fired with the data to be saved being passed in the struct variables. This means that your calendar objects / sub classes are in control of the data. It also means that although the intended use of the VDF data type is VDF tables the data provided by your calendar objects / sub classes can come from anywhere.

The Codejock control needs to be told about the data sources. This is done by creating Data Provider objects. You will need a data provider object for each data source, VDF tables, PST file, etc. If you want to access data from two PST files you will need to create two data providers. A data provider is created automatically for VDF tables. See How To - Resources & Schedules for creating data providers.

The relevant bits

Properties |  |
Methods | AddEventToCollection AddRecPatternExceptionEvent Refresh_Data |
Events | None |
Data Events | OnCreateEvent OnCreateRecPattern OnDeleteEvent OnDeleteRecPattern OnGetDayEvents OnGetUpcomingEvents OnReadEvent OnReadRecPattern OnReadRecPatternExceptions OnUpdateEvent OnUpdateRecPattern |
Structs | tdSigCjCal_Event tdSigCjCal_RecPattern |
Enums | eCal_DP_Type |
Dialogs | None |
Tables | CalEvent CalR_Pat Cal_Cats Cal_Date Cal_Lay Cal_Res Cal_Sch Cal_SRL Cal_SYS | Example table for : Events Recurrence Patterns Categories Special Dates Layouts Resources Schedules Schedule / Resource / Layout Links System table


Date Picker

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Date Picker

 Previous topic Next topic

Enter topic text here.


Database Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Database Link

 Previous topic Next topic

Enter topic text here.


Dialogs

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Dialogs

 Previous topic Next topic

Description

The class uses several support dialogs. These dialogs fall into two groups 'custom or built-in' and 'custom or none'. With the custom or built-in group if a custom dialog is not specified the built-in dialog will be used. With the custom or none group if a custom dialog is not specified the associated features will be disabled.

All the dialogs can be separately specified as custom apart from the Event dialog which has been implemented as three dialogs, one for the event data, one for the recurring pattern data and one for the "Edit series or occurrence" question. If a custom Event dialog if used then all three dialogs must be custom.

Dialog Actions

Part of the data passed to most dialogs is an action property. This is an enumerated value and is used to inform the dialog what action has been requested. It is also used to inform the class what action was taken. The table below details the inbound and outbound values for these action properties.

E.G. the DB_Link dialog is passed an action of Create or Edit.It is expected to return Create or Edit if the OK button is pressed or None if the Cancel button is pressed. In some cases (as with the DB_Link dialog) the code executed if the returned action is not None is the same, i.e. there is no distinction between Create and Edit. A distinction is made in the inbound dialog action incase this is important to the user application.

Dialog | Inbound values | Outbound values
DB_Link | Create | Create None
 | Edit | Edit None
Event data | Create | Create None
 | Edit | Edit None
Custom Icons | Create | Create None
 | Delete | Delete None
 | Edit | Edit None
Custom Properties | Create | Create None
 | Delete | Delete None
 | Edit | Edit None
Minimum Resource Width | n/a | n/a
Recurrence Pattern Data | Exists | Delete Edit None
 | None | Create None
Resource Reorder | n/a | n/a
Series Question | Edit | n/a
 | Delete | n/a
Time Scale | n/a | n/a

Minimum Resource Width Dialog

This dialog is passed and returns a simple integer

Resource Reorder Dialog

This dialog is passed and returns a simple integer

Series Question Dialog

This dialog is passed either action Create or Delete, but returns an eCal_Series value. This enables the same dialog to be used for both Edit and Delete questions. If you require separate dialogs then the two OnAsk???Series events can be overridden.

Time Scale Dialog

This dialog is passed and returns a simple integer

Recurring Dialog

The class provides a handle to store the object for the recurring data dialog. This handle is just passed through to the Event data dialog. It is expected that the recurring data dialog will be launch from the Event data dialog. This may change to full support for a recurring data dialog or be removed.

The relevant bits

Properties | pbAllowEditInDayView pbAllowEditInMonthView pbAllowEditInWeekView psCM_AddDB_Link psCM_CreateEvent psCM_DeleteEvent psCM_EditEvent psCM_GotoDB_Link psCM_RefreshData psCM_RemoveDB_Link psCM_RemoveException peContextMenu_Header peContextMenu_Main peContextMenu_Scale phoContextMenu_Header phoContextMenu_Main phoContextMenu_Scale pbDialogAllSchedulesMode phoDialog_EditEvent phoDialog_EditRecurrence phoDialog_MinWidth phoDialog_NewEvent phoDialog_Reminders phoDialog_Reorder phoDialog_TimeScale
Methods |
Events |
Structs |
Enums |
Dialogs |
Tables |
Std_Tables |


Icons

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Icons

 Previous topic Next topic

Enter topic text here.


Resources & Schedules

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Resources & Schedules

 Previous topic Next topic

Description

Resources and Schedules provide a way to group Events in the calendar. The terminology is important and like 'Event' the Codejock usage can be a bit confusing. So what means what

Category | This is a way of identifying a type of event. E.g. Internal Meeting, Client Meeting, Holiday, etc. This is what gives the events different colors. The colors can be solid or a gradient.
Data Provider | This is a source of data E.g. VDF tables, XML file, PST file, etc
Layout | This is a collection of resources that is displayed by the calendar. Layouts can be switch at runtime. It is anticipated the layouts will be static and therefore all the required layouts will be loaded during object construction.
Resource | This is a collection of schedules. The calendar will display the events for all the schedules in the collection in a single column when the view type is Day view.
Schedule | This is what most people would call a resource, hence the confusion. A schedule is a person or some other "resource". E.g. meeting room, pool car, laptop, etc. Anything that you would want to associate an event with.

As detailed in the Data 'How To' the class does not know anything about data tables. All the configuration information for resources and schedules is stored in structure properties. Several collections of information need to be built up and then linked together. What follows is the suggest way to load static layouts. The event OnLoadLayout is used to do this and is fired at the appropriate time.

1. Create any required Data Providers. A Data Provider for VDF tables is created automatically. So Data Providers only need to be created for non VDF data sources. This is one of the collections that need to be create. The method Create_DataProvider is used to add Data Providers to the collection.
2. Create the categories. Create all the categories that you will require. This is another of the collections that is needed. The method Create_Category is used to add Categories to the collection.
3. Create the Schedules. Create all the schedules that you will require. This is the last of the base information collections. The method Create_Schedule is used to add Schedules to the collection.
4. Link the Categories to the Schedules. This is done with the Apply_Category method. Any number of Categories can be linked to a Schedule and a Category can be linked to as many schedules as required. A member of staff could have a category of Holiday, but a meeting room would not. When the Layout is loaded into the calendar all the Categories linked to the Schedules associated with the Layout are added to the relevant Data Provider objects. This is how the control works. The built-in Create / Edit Event dialog will only show the categories for the first created Data Provider. This is a limitation of the built-in dialogs. The example custom event dialog does not have this limitation and shows the Categories for the selected Schedule.
5. Create the Resources. Create resources for any groups of schedules you require. Remember all the events of the Schedules associated with a Resource will be displayed together. Often you will create Resources for individual Schedules. E.g. members of staff. The Create_Resource method is used to add Resource to the collection
6. Link the required Data Providers to the Resources. The VDF tables Data Provider is applied automatically, so you only need to do this if the required Data Provider is not the VDF tables Data Provider. This is done with the method Apply_DataProvider. A Resource can have only one Data Provider, but a Data Provider can be used by more than one Resource.

7. Link the Schedules to the Resources. This is done with the Apply_Schedule method. Multiple Schedules can be linked to a Resource and a Schedule can be linked to more than one Resource. If a Schedule is linked to more than one Resource and these Resources are in the same Layout then the Events for the schedule will be displayed in all relevant Resources. (i.e. more than once.)
8. Create the Layouts. A Layout is a collection of Resources that will be displayed together. The method Create_Layout is used to add Layouts to the collection.

9. Link Resources to Layout. This is done with the Apply_Resource method. The Resources in a Layout must by unique, but a Resource can be in more than one Layout.
10. Load the layout into the calendar. The is done with the Apply_Layout method. Apply_Layout can be called whenever required to change the layout being displayed by the calendar.

The above is the suggested way to load all the required layouts statically. Layouts can be created dynamically if required.

The relevant bits

Properties | piCurrent_Layout_ID pbDialogAllSchedulesMode pbEnableResources piMinColumnWidth pbMultipleSchedulesMode piVDF_DataProvider | ID of the layout current loaded into the calendar Specifies if all the layout schedules are passed to the custom dialogs Enable / Disable multiple resources The minimum width for schedules Enable / Disable multiple schedules for an event The ID of the default VDF table Data Provider
Methods | Apply_Category Apply_DataProvider Apply_Layout Apply_Resource Apply_Schedule Create_Category Create_DataProvider Create_Layout Create_Resource Create_Schedule Delete_Category Delete_DataProvider Delete_Layout Delete_Resource Delete_Schedule Enable_Resource Remove_Category Remove_DataProvider Remove_Resource Remove_Schedule Reset_ResourceManager | Applies a Category to a Schedule Applies a Data Provider to a Resource Appies / loads a Layout into the calendar Applies a Resource to a Layout Applies a Schedule to a Resource Create a Category in the categories collection Create a Data Provider in the data providers collection Create a Layout in the layouts collection Create a Resource in the resources collection Create a Schedule in the schedules collection Deletes a Category from the categories collection Deletes a Data Provider from the data providers collection Deletes a Layout from the layouts collection Deletes a Resource from the resources collection Deletes a Schedule from the schedules collection Enables / Disables a Resource Removes a Category from a Schedule Removes a Data Provider Removes a Resource Removes a Schedule from a Resource Resets (removes) all of the Resource Manager structures
Events | OnLoadLayout | The event used to create the layouts
Structs | tdSigCjCal_Category tdSigCjCal_DataProvider tdSigCjCal_Layout tdSigCjCal_Resource tdSigCjCal_Schedule tdSigCjCal_Schedule_Info | Information about a Category Information about a Data Provider Information about a Layout Information about a Resource Information about a Schedule Information about which Categories are applied to the Schedules
Enums | None |
Dialogs | None |
Tables | C_???? |
Std_Tables | None |


Shading

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Shading

 Previous topic Next topic

Enter topic text here.


Special Dates

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Special Dates

 Previous topic Next topic

Description

Special Dates provide a feature to restrict the creation of Events on certain dates. E.G. Company / Public holidays. These dates can be shaded with a different background color to signify that they are special. The color can be set for each date. The working day, the working day including lunch or all day can be shaded. The creation of Events can be prevented completely or a warning message can be displayed asking the user to confirm that they wish to create an Event for a special day. The creation restriction applies to the whole day regardless of what part of the day has been shaded. The only restriction is the creation of Events, existing events can still be edited and deleted. The event OnSpecialDataCreateAllowed is fired when the class needs to confirmation question to be asked. The standard question is a VDF Yes / No box, but any style of question that returns True or False can be used.

The background of dates displayed in the Data Picker, if attached to the calendar, will also be shaded with the same color.

The event OnLoadSpecialDate is fired when the class need special date data. This happens just after the control has asked for Event data for a specific date. It is anticipated that special date data will be fairly static so the data returned by OnLoadSpecialDate is cached. The cache is checked before OnLoadSpecialDate is fired, this helps to reduced the number of database fetches the class does. If the special date data does change during runtime the cache can be cleared by sending message SpecialDate_Clear_Cache.

The relevant bits

Properties | pbEnableSpecialDates psAllowEventTitle psAllowEventText | Enable / disable special dates. The title for the allow create question. The text for the allow create question.
Methods | SpecialDate_Clear_Cache | This will reset the special date cache.
Events | OnLoadSpecialDate OnSpecialDataCreateAllowed | This is the event used to return special date data to the class. This event is used to ask the confirmation question.
Structs | tdSigCjCal2_SpecialDate | This structure is used to pass special date data to the class.
Enums | eCal_SD_Create eCal_SD_Shade | These enumerated values control the creation of Events These enumerated values specify what is shaded.
Dialogs | C_SpecialDates.vw | This is a maintenance view for the C_spDate table.
Tables | C_spDate | Example table.
Std_Tables | OnLoadSpecialDate | This method illustrates the use of the event fired whenever the class needs special date information.


Time Scale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Time Scale

 Previous topic Next topic

Description

There are several configuration options for the Time Scale on the left hand side of the Day view. These include whether minutes are show, the interval for the divisions and if the whole day is shown or if the Time Scale is restricted to a portion of the day

The relevant bits

Properties | phoDialog_TimeScale peDayViewCurrentTimeMarkVisible pbDayViewTimeScaleShowMinutes pbRestrictTimeScale peTimeScale ptmTimeScaleMaxTime ptmTimeScaleMinTime | Handle to a custom Time Scale dialog Specifies when the time mark should be displayed Specifies if minutes are shown on the Time scale Specifies if the Time scale show be restricted Current Time Scale interval The Maximum time to display when the Time Scale is restricted The Minimum time to display when the Time Scale is restricted
Methods | None |
Events | OnSetTimeScale | Fired if a custom Time Scale interval dialog has been specified
Structs | None |
Enums | eCal_TimeMark eCal_TimeScale | Options for when the time mark can be displayed Stand Time Scale intervals
Dialogs | SigCj_Cal_TimeScale.dg | Example dialog for setting a custom interval.
Tables | n/a |
Std_Tables | n/a |


Tool Tips

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > How To:

Tool Tips

 Previous topic Next topic

Enter topic text here.


Properties

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2:

Properties

 Previous topic Next topic

Enter topic text here.


pbAllowEditInDayView

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbAllowEditInDayView

 Previous topic Next topic

Studio Property Panel Group

SigCj:Start Edit

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if events can be created, edited or deleted when the calendar is in day view.


pbAllowEditInMonthView

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbAllowEditInMonthView

 Previous topic Next topic

Studio Property Panel Group

SigCj:Start Edit

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if events can be created, edited or deleted when the calendar is in Month view.


pbAllowEditInWeekView

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbAllowEditInWeekView

 Previous topic Next topic

Studio Property Panel Group

SigCj:Start Edit

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if events can be created, edited or deleted when the calendar is in Week view.


psCM_AddCustomIcon

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_AddCustomIcon

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Add Icon

Access

Read / Write

Description

Sets the text for the context item - Add Custom Icon


psCM_AddCustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_AddCustomProperty

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Add Property

Access

Read / Write

Description

Sets the text for the context item - Add Custom Property


psCM_AddDB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_AddDB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Add DB Link

Access

Read / Write

Description

Sets the text for the context item - Add DB Link


psCM_Copy

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_Copy

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Copy

Access

Read / Write

Description

Sets the text for the context item - Copy


psCM_CreateEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_CreateEvent

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Create Event

Access

Read / Write

Description

Sets the text for the context item - Create Event


pbCM_CustomIcon

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbCM_CustomIcon

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Custom Icon item should be displayed on the Main context menu. pbEnableCustomIcons must also be True for the menu item to be displayed.


pbCM_CustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbCM_CustomProperty

 Previous topic Next topic

Studio Property Panel Group

SigCj:Properties

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Custom Property item should be displayed on the Main context menu. pbEnableCustomProperties must also be True for the menu item to be displayed.


psCM_Cut

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_Cut

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Cut

Access

Read / Write

Description

Sets the text for the context item - Cut


pbCM_DB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbCM_DB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:DB_Link

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the DB_Link item should be displayed on the Main context menu. pbEnableDB_Link must also be True for the menu item to be displayed.


psCM_DeleteEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_DeleteEvent

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Delete Event

Access

Read / Write

Description

Sets the text for the context item - Delete Event


psCM_EditCustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_EditCustomProperty

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Edit Property

Access

Read / Write

Description

Sets the text for the context item - Edit Property


psCM_EditDB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_EditDB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Edit DB_Link

Access

Read / Write

Description

Sets the text for the context item - Edit DB_Link


psCM_EditEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_EditEvent

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Edit Event

Access

Read / Write

Description

Sets the text for the context item - Edit Event


psCM_GotoDB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_GotoDB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Goto DB_Link

Access

Read / Write

Description

Sets the text for the context item - Goto DB_Link


psCM_Paste

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_Paste

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Paste

Access

Read / Write

Description

Sets the text for the context item - Paste


psCM_RefreshData

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_RefreshData

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Refresh Data

Access

Read / Write

Description

Sets the text for the context item - Refresh Data


psCM_RemoveCustomIcon

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_RemoveCustomIcon

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Remove Icon

Access

Read / Write

Description

Sets the text for the context item - Remove Icon


psCM_RemoveCustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_RemoveCustomProperty

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Remove Property

Access

Read / Write

Description

Sets the text for the context item - Remove Property


psCM_RemoveDB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_RemoveDB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Remove DB Link

Access

Read / Write

Description

Sets the text for the context item - Remove DB Link


psCM_RemoveException

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCM_RemoveException

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

String

Default Value

Remove Exception

Access

Read / Write

Description

Sets the text for the context item - Remove Exception


peContextMenu_Header

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

peContextMenu_Header

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Enumerated eCal_CM_Type

Default Value

eCal_CM_Standard

Access

Read / Write

Description

Specifies the type of the Header context menu.


phoContextMenu_Header

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoContextMenu_Header

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Header context menu.

This is set automatically. To specify a custom Header context menu set this to your context menu object and set peContextMenu_Header to eCAL_CM_Custom.


peContextMenu_Main

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

peContextMenu_Main

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Integer

Default Value

eCal_CM_Standard eCal_CM_Type

Access

Read / Write

Description

Specifies the type of the Main context menu.


phoContextMenu_Main

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoContextMenu_Main

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Main context menu.

This is set automatically. To specify a custom Main context menu set this to your context menu object and set peContextMenu_Main to eCAL_CM_Custom.


peContextMenu_Scale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

peContextMenu_Scale

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Integer

Default Value

eCal_CM_Standard eCal_CM_Type

Access

Read / Write

Description

Specifies the type of the Time Scale context menu.


phoContextMenu_Scale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoContextMenu_Scale

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Time Scale context menu.

This is set automatically. To specify a custom Time Scale context menu set this to your context menu object and set peContextMenu_Scale to eCAL_CM_Custom.


piCurrent_Layout_ID

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

piCurrent_Layout_ID

 Previous topic Next topic

Studio Property Panel Group

SigCj:Schedules

Property Type

Integer

Default Value

-1

Access

Read / Write

Description

Specifies the ID of the currently loaded Layout.


psCustomFormat4Tooltip

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCustomFormat4Tooltip

 Previous topic Next topic

Enter topic text here.


psaCustomProperties

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psaCustomProperties

 Previous topic Next topic

Enter topic text here.


psCustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCustomProperty

 Previous topic Next topic

Enter topic text here.


psCustomTitle

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psCustomTitle

 Previous topic Next topic

Enter topic text here.


phoDatePicker

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDatePicker

 Previous topic Next topic

Studio Property Panel Group

SigCj:General

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Date Picker control.

The class cSigCjCalendarDatePicker_v2 will automatically set this.


psDayHeaderFormat

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psDayHeaderFormat

 Previous topic Next topic

Enter topic text here.


pbDayViewAutoResetBusyFlag

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbDayViewAutoResetBusyFlag

 Previous topic Next topic

Studio Property Panel Group

SigCj:General

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the Busy Status flag of an event that is move \ dragged to the "all day" area will automatically be set to "free".


peDayViewCurrentTimeMarkVisible

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

peDayViewCurrentTimeMarkVisible

 Previous topic Next topic

Enter topic text here.


pbDayViewTimeScaleShowMinutes

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbDayViewTimeScaleShowMinutes

 Previous topic Next topic

Studio Property Panel Group

SigCj:Time Scale

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the minutes are displayed on the time scale or just the division marks.


pbDB_Link_OnClick

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbDB_Link_OnClick

 Previous topic Next topic

Studio Property Panel Group

SigCj:DB_Link

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the program event OnDB_Link should be fired when a calendar event is left clicked. pbEnableDB_Link must also be True for the program event to be fired.


phoDialog_CustomIcons

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_CustomIcons

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Custom Icons Dialog.

This property is normally set in event OnRegisterDialogs


phoDialog_CustomProperties

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_CustomProperties

 Previous topic Next topic

Studio Property Panel Group

SigCj:Properties

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Custom Properties Dialog.

This property is normally set in event OnRegisterDialogs


phoDialog_DB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_DB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:DB_Link

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the DB Link Dialog.

This property is normally set in event OnRegisterDialogs


phoDialog_EditEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_EditEvent

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Edit Event Dialog.

(The sample application uses the same dialog for both creating and editing events)

This property is normally set in event OnRegisterDialogs


phoDialog_EditRecurrence

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_EditRecurrence

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Create / Edit Recurrence Dialog.

This property is normally set in event OnRegisterDialogs


phoDialog_MinWidth

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_MinWidth

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Minimum Schedule Width Dialog.

This property is normally set in event OnRegisterDialogs


phoDialog_NewEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_NewEvent

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Create Event Dialog.

(The sample application uses the same dialog for both creating and editing events)

This property is normally set in event OnRegisterDialogs


phoDialog_Reminders

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_Reminders

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Reminders Dialog.

This property is normally set in event OnRegisterDialogs


phoDialog_Reorder

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_Reorder

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Reorder Schedules Dialog.

This property is normally set in event OnRegisterDialogs


phoDialog_Series

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_Series

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Delete Series (recurring event) Dialog.

This property is normally set in event OnRegisterDialogs


phoDialog_TimeScale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

phoDialog_TimeScale

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Handle

Default Value

0

Access

Read / Write

Description

Specifies the object handle for the Time Scale Dialog.

This property is normally set in event OnRegisterDialogs


pbDialogAllSchedulesMode

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbDialogAllSchedulesMode

 Previous topic Next topic

Studio Property Panel Group

SigCj:Dialogs

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if all the schedules included in the current Layout should be passed to the custom event dialog. If False only the schedules included in the resource clicked on will be passed to the custom event dialog.


pbEnable_ShadeResources

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnable_ShadeResources

 Previous topic Next topic

Studio Property Panel Group

SigCj:Shading

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the working day cell back ground color of the resources should be shaded different colors. The color is specified when the resources is created ( Create_Resource ). The color is only applied if other features have not altered the cell back ground color.


pbEnableAddNewTooltip

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableAddNewTooltip

 Previous topic Next topic

Enter topic text here.


pbEnableAutoRefresh

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableAutoRefresh

 Previous topic Next topic

Studio Property Panel Group

SigCj:Auto Refresh

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Enables / Disables the auto data refresh feature. peIntervalUnits and piRefreshInterval are used to configure the delay interval.


pbEnableCCP

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableCCP

 Previous topic Next topic

Studio Property Panel Group

SigCj:General

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Cut, Copy & Paste items should be displayed on the Main context menu.

Note

This property is scheduled to be renamed to pbCM_CutCopyPaste


pbEnableCustomEventToolTips

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableCustomEventToolTips

 Previous topic Next topic

Studio Property Panel Group

SigCj:Tool Tips

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Enables / Disables custom tool tips for events. When true event OnCustomToolTip is fired so that the tool tip text can be set. The hit test and event structures are pasted so that all available information is available to build the text.


pbEnableCustomIcons

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableCustomIcons

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Enables / Disables Custom Icons.


pbEnableCustomProperties

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableCustomProperties

 Previous topic Next topic

Studio Property Panel Group

SigCj:Properties

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Enables / Disables Custom Properties.


pbEnabled

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnabled

 Previous topic Next topic

Studio Property Panel Group

SigCj:General

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Enables / Disables the calendar control.


pbEnableDB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableDB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:DB_Link

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Enables / Disables the Database Link feature.

See How To - Database Link


pbEnableInPlaceCreateEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableInPlaceCreateEvent

 Previous topic Next topic

Enter topic text here.


pbEnableInPlaceEditEventSubject_AfterEventResize

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableInPlaceEditEventSubject_AfterEventResize

 Previous topic Next topic

Enter topic text here.


pbEnableInPlaceEditEventSubject_ByF2

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableInPlaceEditEventSubject_ByF2

 Previous topic Next topic

Enter topic text here.


pbEnableInPlaceEditEventSubject_ByMouseClick

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableInPlaceEditEventSubject_ByMouseClick

 Previous topic Next topic

Enter topic text here.


pbEnableInPlaceEditEventSubject_ByTab

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableInPlaceEditEventSubject_ByTab

 Previous topic Next topic

Enter topic text here.


pbEnablePrevNextEventButtons

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnablePrevNextEventButtons

 Previous topic Next topic

Enter topic text here.


pbEnableReminders

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableReminders

 Previous topic Next topic

Enter topic text here.


pbEnableResources

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableResources

 Previous topic Next topic

Studio Property Panel Group

SigCj:Schedules

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Enables / Disables multiple resources mode.

See How To - Resources & Schedules


pbEnableSpecialDates

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableSpecialDates

 Previous topic Next topic

Studio Property Panel Group

SigCj:Schedules

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Enables / Disables special dates feature.

See How To - Special Dates


pbEnableToolTips

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbEnableToolTips

 Previous topic Next topic

Enter topic text here.


peFirstDayOfTheWeek

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

peFirstDayOfTheWeek

 Previous topic Next topic

Enter topic text here.


pbFullDateMode

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbFullDateMode

 Previous topic Next topic

Enter topic text here.


psIcon_DB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psIcon_DB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

String

Default Value

Cal_DB_Link.ico

Access

Read / Write

Description

Specifies the file for the DB Link icon.


psIcon_Exception

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psIcon_Exception

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

String

Default Value

Cal_Exception.ico

Access

Read / Write

Description

Specifies the file for the Recurring Event Exception icon.


psIcon_Meeting

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psIcon_Meeting

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

String

Default Value

Cal_Meeting.ico

Access

Read / Write

Description

Specifies the file for the Meeting icon.


psIcon_Private

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psIcon_Private

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

String

Default Value

Cal_Private.ico

Access

Read / Write

Description

Specifies the file for the Private icon.


psIcon_Recurrence

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psIcon_Recurrence

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

String

Default Value

Cal_Recurrence.ico

Access

Read / Write

Description

Specifies the file for the Recurring Event icon.


psIcon_Reminder

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psIcon_Reminder

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

String

Default Value

Cal_Reminder.ico

Access

Read / Write

Description

Specifies the file for the Reminder icon.


piIconID_DB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

piIconID_DB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Integer

Default Value

1

Access

Read / Write

Description

Specifies if the ID for the DB_Link icon.

All custom icons need an ID which is a positive integer. The DB_Link icon is also a custom icon and has been given a default ID of 1. This property allows you to change this default if you wish to use 1 as the ID for a different icon.


pbIconEnabled_DB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbIconEnabled_DB_Link

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the DB_Link icon should be display for an event.


pbIconEnabled_Exception

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbIconEnabled_Exception

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Exception icon should be display for an event.


pbIconEnabled_Meeting

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbIconEnabled_Meeting

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Meeting icon should be display for an event.


pbIconEnabled_Private

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbIconEnabled_Private

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Private icon should be display for an event.


pbIconEnabled_Recurrence

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbIconEnabled_Recurrence

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Recurring Event icon should be display for an event.


pbIconEnabled_Reminder

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbIconEnabled_Reminder

 Previous topic Next topic

Studio Property Panel Group

SigCj:Icons

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Reminder icon should be display for an event.


peIntervalUnits

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

peIntervalUnits

 Previous topic Next topic

Studio Property Panel Group

SigCj:Auto Refresh

Property Type

Enumerated eCal_Auto_Refresh

Default Value

eCal_AR_Seconds

Access

Read / Write

Description

Specifies the time units for the auto data refresh delay.

See piRefreshInterval to set the delay time.


ptmLastWorkDayEndTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

ptmLastWorkDayEndTime

 Previous topic Next topic

Time data is currently stored as string data. Format hh:mm

Studio Property Panel Group

SigCj:Shading

Property Type

Time

Default Value

16:00

Access

Read / Write

Description

Get / Set the end time for the last working day of the week.

If for example, you finish an hour earlier on Fridays then set pbShorterLastDay True and specify the end time here.


ptmLunchEndTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

ptmLunchEndTime

 Previous topic Next topic

Time data is currently stored as string data. Format hh:mm

Studio Property Panel Group

SigCj:Shading

Property Type

Time

Default Value

14:00

Access

Read / Write

Description

Get / Set the end time for the lunch period.

The lunch period can be shaded. Set pbShadeLunchTime True and specify the start time in ptmLunchStartTime and the end time here.


ptmLunchStartTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

ptmLunchStartTime

 Previous topic Next topic

Time data is currently stored as string data. Format hh:mm

Studio Property Panel Group

SigCj:Shading

Property Type

Time

Default Value

13:00

Access

Read / Write

Description

Get / Set the start time for the lunch period.

The lunch period can be shaded. Set pbShadeLunchTime True and specify the start time here and the end time in ptmLunchEndTime.


pbMarkupEnabled

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbMarkupEnabled

 Previous topic Next topic

Enter topic text here.


piMinColumnWidth

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

piMinColumnWidth

 Previous topic Next topic

Enter topic text here.


pbMonthViewCompressWeekendDays

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbMonthViewCompressWeekendDays

 Previous topic Next topic

Enter topic text here.


pbMultipleSchedulesMode

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbMultipleSchedulesMode

 Previous topic Next topic

Enter topic text here.


piNonWorkingCellBackColor

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

piNonWorkingCellBackColor

 Previous topic Next topic

Studio Property Panel Group

SigCj:Shading

Property Type

Integer

Default Value

16248294 | |

Access

Read / Write

Description

Get / Set the color for the non working day shading.


pbOneLineCaptionBar

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbOneLineCaptionBar

 Previous topic Next topic

Studio Property Panel Group

SigCj:Caption Bar

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the Caption Bar is displayed on a single line


psPreviewTitle

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPreviewTitle

 Previous topic Next topic

Enter topic text here.


piPrnBlackWhiteContrast

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

piPrnBlackWhiteContrast

 Previous topic Next topic

Enter topic text here.


pbPrnBlackWhitePrinting

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbPrnBlackWhitePrinting

 Previous topic Next topic

Enter topic text here.


psPrnFooterCenter

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPrnFooterCenter

 Previous topic Next topic

Enter topic text here.


psPrnFooterFormatString

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPrnFooterFormatString

 Previous topic Next topic

Enter topic text here.


psPrnFooterLeft

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPrnFooterLeft

 Previous topic Next topic

Enter topic text here.


psPrnFooterRight

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPrnFooterRight

 Previous topic Next topic

Enter topic text here.


psPrnHeaderCenter

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPrnHeaderCenter

 Previous topic Next topic

Enter topic text here.


psPrnHeaderFormatString

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPrnHeaderFormatString

 Previous topic Next topic

Enter topic text here.


psPrnHeaderLeft

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPrnHeaderLeft

 Previous topic Next topic

Enter topic text here.


psPrnHeaderRight

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psPrnHeaderRight

 Previous topic Next topic

Enter topic text here.


pbPrnLandscape

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbPrnLandscape

 Previous topic Next topic

Enter topic text here.


pnPrnMarginBottom

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pnPrnMarginBottom

 Previous topic Next topic

Enter topic text here.


pnPrnMarginLeft

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pnPrnMarginLeft

 Previous topic Next topic

Enter topic text here.


pnPrnMarginRight

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pnPrnMarginRight

 Previous topic Next topic

Enter topic text here.


pnPrnMarginTop

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pnPrnMarginTop

 Previous topic Next topic

Enter topic text here.


pbPrnPrintDateHeader

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbPrnPrintDateHeader

 Previous topic Next topic

Enter topic text here.


pdPrnPrintFrom

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pdPrnPrintFrom

 Previous topic Next topic

Enter topic text here.


pbPrnPrintFromToExactly

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbPrnPrintFromToExactly

 Previous topic Next topic

Enter topic text here.


pdPrnPrintTo

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pdPrnPrintTo

 Previous topic Next topic

Enter topic text here.


pbReadOnlyMode

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbReadOnlyMode

 Previous topic Next topic

Enter topic text here.


piRefreshInterval

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

piRefreshInterval

 Previous topic Next topic

Studio Property Panel Group

SigCj:Auto Refresh

Property Type

Integer

Default Value

5

Access

Read / Write

Description

Specifies the duration of the auto data refresh delay.

See peIntervalUnits to set the delay units (minutes or seconds).


pbRestrictTimeScale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbRestrictTimeScale

 Previous topic Next topic

Enter topic text here.


pbRightToLeft

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbRightToLeft

 Previous topic Next topic

Enter topic text here.


pbShadeLunchTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShadeLunchTime

 Previous topic Next topic

Studio Property Panel Group

SigCj:Shading

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the back ground of lunch time cells should be shaded the same color as non working day cells.

Use ptmLunchStartTime and ptmLunchEndTime to set the time of the lunch period.


pbShorterLastDay

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShorterLastDay

 Previous topic Next topic

Studio Property Panel Group

SigCj:Shading

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the last working day of the week is shorter then the other days of the working week. If true the back ground of cells will be colored the same as other non working cells.

Use ptmLastWorkDayEndTime to specify the end time for the day.


pbShowCaptionBar

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowCaptionBar

 Previous topic Next topic

Studio Property Panel Group

SigCj:Caption Bar

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Caption Bar is displayed.

Use

pbOneLineCaptionBar

pbShowCaptionBarDateLabel

pbShowCaptionBarExpandButton

pbShowCaptionBarScrollDateButtons

pbShowCaptionBarSwitchViewButtons

pbShowMultiColumnsButton

to enable or disable (hide) the different parts of the caption bar.


pbShowCaptionBarDateLabel

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowCaptionBarDateLabel

 Previous topic Next topic

Studio Property Panel Group

SigCj:Caption Bar

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Date Label is displayed on the Caption Bar.


pbShowCaptionBarExpandButton

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowCaptionBarExpandButton

 Previous topic Next topic

Studio Property Panel Group

SigCj:Caption Bar

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the Expand Button is displayed on the Caption Bar.


pbShowCaptionBarScrollDateButtons

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowCaptionBarScrollDateButtons

 Previous topic Next topic

Studio Property Panel Group

SigCj:Caption Bar

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Scroll Date Buttons are displayed on the Caption Bar.


pbShowCaptionBarSwitchViewButtons

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowCaptionBarSwitchViewButtons

 Previous topic Next topic

Studio Property Panel Group

SigCj:Caption Bar

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Switch View Buttons are displayed on the Caption Bar.


pbShowEndDate

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowEndDate

 Previous topic Next topic

Enter topic text here.


pbShowMultiColumnsButton

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowMultiColumnsButton

 Previous topic Next topic

Enter topic text here.


pbShowTimeAsClocks

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowTimeAsClocks

 Previous topic Next topic

Enter topic text here.


pbShowTooltipForAllDayEvents

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowTooltipForAllDayEvents

 Previous topic Next topic

Enter topic text here.


pbShowTooltipForNotFocused

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbShowTooltipForNotFocused

 Previous topic Next topic

Enter topic text here.


pbSwitchToDayViewIfPickedSingleDay

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbSwitchToDayViewIfPickedSingleDay

 Previous topic Next topic

Enter topic text here.


peTimeScale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

peTimeScale

 Previous topic Next topic

Enter topic text here.


ptmTimeScaleMaxTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

ptmTimeScaleMaxTime

 Previous topic Next topic

Enter topic text here.


ptmTimeScaleMinTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

ptmTimeScaleMinTime

 Previous topic Next topic

Enter topic text here.


psTooltipAddNewText

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psTooltipAddNewText

 Previous topic Next topic

Enter topic text here.


pbTooltipUnderMouse

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbTooltipUnderMouse

 Previous topic Next topic

Enter topic text here.


pbUseMultiColumnWeekMode

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

pbUseMultiColumnWeekMode

 Previous topic Next topic

Enter topic text here.


psUserID

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

psUserID

 Previous topic Next topic

Studio Property Panel Group

SigCj:General

Property Type

String

Default Value

blank

Access

Read / Write

Description

This is the user ID / name that is used to set the created by and last modified by event properties.

This can be set in OnCreate after the forward send.


piVDF_DataProvider

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

piVDF_DataProvider

 Previous topic Next topic

Studio Property Panel Group

SigCj:Schedules

Property Type

Integer

Default Value

-2

Access

Read / Write

Description

All the data providers have an integer ID. The default VDF data provider is given the ID of -2.

It should never be necessary to create another VDF data provider, but if a new VDF data provider is created this property should be set to the ID of that data provider.


ptmWorkDayStartTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

ptmWorkDayStartTime

 Previous topic Next topic

Enter topic text here.


ptmWorkDayEndTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

ptmWorkDayEndTime

 Previous topic Next topic

Enter topic text here.


piWorkingCellBackColor

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

piWorkingCellBackColor

 Previous topic Next topic

Studio Property Panel Group

SigCj:Shading

Property Type

Integer

Default Value

clWhite

Access

Read / Write

Description

Get / Set the color for the working day shading.


peWorkWeekMask

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Properties:

peWorkWeekMask

 Previous topic Next topic

Enter topic text here.


Methods

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2:

Methods

 Previous topic Next topic

Enter topic text here.


AddCustomIcon

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

AddCustomIcon

 Previous topic Next topic

Visibility

Public

Prototype

Procedure AddCustomIcon Integer iDataProvider_ID Integer iEvent_ID Integer iIcon_ID

Parameters

iDataProvider_ID | ID of data provider responsible for the event
iEvent_ID | ID of event to add the icon to
iIcon_ID | ID of the icon to add to the event

Return Parameters

Not Applicable

Description

This method will add a a custom icon to an Event. The icon must already have been added to the control. This is done with the method Load_Icon


AddEventToCollection

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

AddEventToCollection

 Previous topic Next topic

Visibility

Public

Prototype

AddEventToCollection tdSigCjCal_Event tEvent

Parameters

tEvent

Data for the event to create

Return Parameters

Not Applicable

Description

This method will add an Event to the calendar.

This method is used by the program events OnGetDayEvents and OnGetUpcomingEvent to add an Event to the calendar. Prior to firing the program events the class sets up an Events collection object. When control is passed back from the program event the class adds the Events in the collection to the calendar.


AddRecPatternExceptionEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

AddRecPatternExceptionEvent

 Previous topic Next topic

Enter topic text here.


Apply_Category

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Apply_Category

 Previous topic Next topic

Enter topic text here.


Apply_DataProvider

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Apply_DataProvider

 Previous topic Next topic

Enter topic text here.


Apply_Layout

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Apply_Layout

 Previous topic Next topic

Enter topic text here.


Apply_Resource

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Apply_Resource

 Previous topic Next topic

Enter topic text here.


Apply_Schedule

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Apply_Schedule

 Previous topic Next topic

Enter topic text here.


Create_Category

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Create_Category

 Previous topic Next topic

Enter topic text here.


Create_DataProvider

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Create_DataProvider

 Previous topic Next topic

Enter topic text here.


Create_Layout

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Create_Layout

 Previous topic Next topic

Enter topic text here.


Create_Resource

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Create_Resource

 Previous topic Next topic

Enter topic text here.


Create_Schedule

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Create_Schedule

 Previous topic Next topic

Enter topic text here.


CustomProperties

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

CustomProperties

 Previous topic Next topic

Enter topic text here.


CustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

CustomProperty

 Previous topic Next topic

Enter topic text here.


Date_and_Time_to_DateTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Date_and_Time_to_DateTime

 Previous topic Next topic

Enter topic text here.


DateTime_to_Time DateTime

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

DateTime_to_Time DateTime

 Previous topic Next topic

Enter topic text here.


Delete_Category

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Delete_Category

 Previous topic Next topic

Enter topic text here.


Delete_DataProvider

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Delete_DataProvider

 Previous topic Next topic

Enter topic text here.


Delete_Layout

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Delete_Layout

 Previous topic Next topic

Enter topic text here.


Delete_Resource

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Delete_Resource

 Previous topic Next topic

Enter topic text here.


Delete_Schedule

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Delete_Schedule

 Previous topic Next topic

Enter topic text here.


Enable_Resource

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Enable_Resource

 Previous topic Next topic

Enter topic text here.


Force_Data_Refresh

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Force_Data_Refresh

 Previous topic Next topic

Enter topic text here.


Load_Icon

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Load_Icon

 Previous topic Next topic

Enter topic text here.


Refresh_Data

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Refresh_Data

 Previous topic Next topic

Enter topic text here.


Remove_Category

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Remove_Category

 Previous topic Next topic

Enter topic text here.


Remove_DataProvider

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Remove_DataProvider

 Previous topic Next topic

Enter topic text here.


Remove_Resource

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Remove_Resource

 Previous topic Next topic

Enter topic text here.


Remove_Schedule

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Remove_Schedule

 Previous topic Next topic

Enter topic text here.


RemoveCustomIcon

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

RemoveCustomIcon

 Previous topic Next topic

Enter topic text here.


RemoveCustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

RemoveCustomProperty

 Previous topic Next topic

Enter topic text here.


Reset_ResourceManager

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

Reset_ResourceManager

 Previous topic Next topic

Enter topic text here.


SpecialDate_Clear_Cache

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Methods:

SpecialDate_Clear_Cache

 Previous topic Next topic

Enter topic text here.


Events

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2:

Events

 Previous topic Next topic

Enter topic text here.


OnAdd_DB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnAdd_DB_Link

 Previous topic Next topic

Enter topic text here.


OnAskDeleteEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnAskDeleteEvent

 Previous topic Next topic

Enter topic text here.


OnAskDeleteEvents

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnAskDeleteEvents

 Previous topic Next topic

Enter topic text here.


OnAskDeleteSeries

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnAskDeleteSeries

 Previous topic Next topic

Enter topic text here.


OnAskEditSeries

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnAskEditSeries

 Previous topic Next topic

Enter topic text here.


OnAskRemoveDB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnAskRemoveDB_Link

 Previous topic Next topic

Enter topic text here.


OnCreate_Categories

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnCreate_Categories

 Previous topic Next topic

Enter topic text here.


OnCreate_DataProvider

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnCreate_DataProvider

 Previous topic Next topic

Enter topic text here.


OnCreateEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnCreateEvent

 Previous topic Next topic

Enter topic text here.


OnCreateRecPattern

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnCreateRecPattern

 Previous topic Next topic

Enter topic text here.


OnCustomIcons

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnCustomIcons

 Previous topic Next topic

Enter topic text here.


OnCustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnCustomProperty

 Previous topic Next topic

Enter topic text here.


OnCustomToolTip

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnCustomToolTip

 Previous topic Next topic

Enter topic text here.


OnDB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnDB_Link

 Previous topic Next topic

Enter topic text here.


OnDeleteEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnDeleteEvent

 Previous topic Next topic

Enter topic text here.


OnDeleteRecPattern

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnDeleteRecPattern

 Previous topic Next topic

Enter topic text here.


OnEditEventDialog

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnEditEventDialog

 Previous topic Next topic

Enter topic text here.


OnGetDayEvents

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnGetDayEvents

 Previous topic Next topic

Enter topic text here.


OnGetUpcomingEvents

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnGetUpcomingEvents

 Previous topic Next topic

Enter topic text here.


OnLoadIcons

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnLoadIcons

 Previous topic Next topic

Enter topic text here.


OnLoadLayout

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnLoadLayout

 Previous topic Next topic

Enter topic text here.


OnLoadSpecialDate

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnLoadSpecialDate

 Previous topic Next topic

Enter topic text here.


OnNewEventDialog

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnNewEventDialog

 Previous topic Next topic

Enter topic text here.


OnReadEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnReadEvent

 Previous topic Next topic

Enter topic text here.


OnReadRecPattern

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnReadRecPattern

 Previous topic Next topic

Enter topic text here.


OnReadRecPatternExceptions

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnReadRecPatternExceptions

 Previous topic Next topic

Enter topic text here.


OnRegisterDialogs

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnRegisterDialogs

 Previous topic Next topic

Enter topic text here.


OnReorderResources

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnReorderResources

 Previous topic Next topic

Enter topic text here.


OnSetMinWidth

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnSetMinWidth

 Previous topic Next topic

Enter topic text here.


OnSetTimeScale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnSetTimeScale

 Previous topic Next topic

Enter topic text here.


OnShowContextMenu_Header

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnShowContextMenu_Header

 Previous topic Next topic

Enter topic text here.


OnShowContextMenu_Main

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnShowContextMenu_Main

 Previous topic Next topic

Enter topic text here.


OnShowContextMenu_Scale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnShowContextMenu_Scale

 Previous topic Next topic

Enter topic text here.


OnSpecialDataCreateAllowed

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnSpecialDataCreateAllowed

 Previous topic Next topic

Enter topic text here.


OnUpdateEvent

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnUpdateEvent

 Previous topic Next topic

Enter topic text here.


OnUpdateRecPattern

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Events:

OnUpdateRecPattern

 Previous topic Next topic

Enter topic text here.


Objects

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2:

Objects

 Previous topic Next topic

Enter topic text here.


oHeader_Font

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Objects:

oHeader_Font

 Previous topic Next topic

Enter topic text here.


oHeaderCalendar_Font

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Objects:

oHeaderCalendar_Font

 Previous topic Next topic

Enter topic text here.


oPrn_Footer_Font

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Objects:

oPrn_Footer_Font

 Previous topic Next topic

Enter topic text here.


oPrn_Header_Font

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Objects:

oPrn_Header_Font

 Previous topic Next topic

Enter topic text here.


Enumerations

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2:

Enumerations

 Previous topic Next topic

Enter topic text here.


eCal_Auto_Refresh

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_Auto_Refresh

 Previous topic Next topic

These values describe the Auto Data Refresh time interval.

Name | Value | Notes
eCal_AR_Minutes | 1 |
eCal_AR_Seconds | 2 |


eCal_CM_Type

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_CM_Type

 Previous topic Next topic

These values describe the type of a context menu.

Name | Value | Notes
eCal_CM_Disabled | 0 | Menu disabled
eCal_CM_Standard | 1 | Standard class menu
eCal_CM_Custom | 2 | Custom menu


eCal_Days

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_Days

 Previous topic Next topic

These values describe the days of the week.

Name | Value | Notes
eCal_Sunday | 1 |
eCal_Monday | 2 |
eCal_Tuesday | 3 |
eCal_Wednesday | 4 |
eCal_Thursday | 5 |
eCal_Friday | 6 |
eCal_Saturday | 7 |


eCal_Dialog_Action

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_Dialog_Action

 Previous topic Next topic

These values describe the action to be performed by a dialog or by the class when control is returned from the dialog.

Name | Value | Notes
eCal_Dialog_Action_Disabled | 0 |
eCal_Dialog_Action_None | 1 |
eCal_Dialog_Action_Exists | 2 |
eCal_Dialog_Action_Create | 3 |
eCal_Dialog_Action_Delete | 4 |
eCal_Dialog_Action_Edit | 5 |


eCal_DP_Type

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_DP_Type

 Previous topic Next topic

These values describe the type of data sources supported by the class.

Name | Value | Notes
eCal_DP_Type_XML | 1 |
eCal_DP_Type_Access | 2 | Microsoft Access file
eCal_DP_Type_MAPI | 3 | Microsoft Outlook MAPI file
eCal_DP_Type_Custom | 4 | Any other data source (including VDF)


eCal_Recur_End

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_Recur_End

 Previous topic Next topic

These values describe how a recurring event will end.

Name | Value | Notes
eCal_Recur_EndOnDate | 0 | End on specified date
eCal_Recur_EndAfterOcc | 1 | End after n occurrences
eCal_Recur_EndNoEnd | 2 | Never ends


eCal_Recur_Type

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_Recur_Type

 Previous topic Next topic

These values describe how often a recurring event will recur. It is this value that determines which of the other recurrence pattern data items need to be supplied.

Name | Value | Notes
eCal_Recur_Daily | 1 | Recurs every n days
eCal_Recur_Weekly | 2 | Recurs every n weeks on the specified day(s)
eCal_Recur_Monthly | 3 | Recurs every n months on the specified day(s)
eCal_Recur_MonthNth | 4 | Recurs every n months on the specified day of the specified week
eCal_Recur_Yearly | 5 | Recurs every year on the specified day and month
eCal_Recur_YearNth | 6 | Recurs every year on the specified day of the specified week of the specified month

ADD REC PAT ITEMS FOR EACH VALUE


eCal_Series_Action

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_Series_Action

 Previous topic Next topic

These values describe the action the class should take on return from the delete series dialog.

Name | Value | Notes
eCal_Series_Abort | 0 | Abort the delete
eCal_Series_All | 1 | Delete all occurrences
eCal_Series_Single | 2 | Delete the single occurrence clicked on


eCal_SD_AllowCreate

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_SD_AllowCreate

 Previous topic Next topic

These values describe if events can be created on Special Date days.

Name | Value | Notes
eCal_SD_Create_No | 0 | Create not allowed
eCal_SD_Create_Yes | 1 | Create allowed
eCal_SD_Create_Ask | 2 | Display warning and ask the user


eCal_SD_ShadeStyle

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_SD_ShadeStyle

 Previous topic Next topic

These values describe how the back ground of Special Date days are shaded.

Name | Value | Notes
eCal_SD_Shade_Working | 0 | The working day is shaded
eCal_SD_Shade_IncLunch | 1 | The working day and the lunch period is shaded
eCal_SD_Shade_AllDay | 2 | All day is shaded


eCal_TimeMark

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_TimeMark

 Previous topic Next topic

These values describe how the current time mark is displayed. These values and be ANDed together.

Name | Value | Notes
eCal_TM_None | 0 |
eCal_TM_VisibleForToday | 1 |
eCal_TM_VisibleAlways | 2 |
eCal_TM_Printed | 4 |


eCal_TimeScale

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_TimeScale

 Previous topic Next topic

These values describe a standard set of Time Scale values.

Name | Value | Notes
eCal_TimeScale_5 | 5 |
eCal_TimeScale_10 | 10 |
eCal_TimeScale_15 | 15 |
eCal_TimeScale_20 | 20 |
eCal_TimeScale_30 | 30 |
eCal_TimeScale_60 | 60 |


eCal_WW_Mask

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Enumerations:

eCal_WW_Mask

 Previous topic Next topic

These values describe the days that make up the working week. They can be ANDed together.

Name | Value | Notes
eCal_WW_Sunday | 1 |
eCal_WW_Monday | 2 |
eCal_WW_Tuesday | 4 |
eCal_WW_Wednesday | 8 |
eCal_WW_Thursday | 16 |
eCal_WW_Friday | 32 |
eCal_WW_Saturday | 64 |
eCal_WW_AllWeek | 127 |
eCal_WW_SaSu | 65 |
eCal_WW_Mo_Fr | 62 |


Structures

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2:

Structures

 Previous topic Next topic

Enter topic text here.


tdSigCjCal_Category

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Category

 Previous topic Next topic

This structure is used to pass Category data to the class and custom dialogs. The structure has the following items

Item | Description | Type | Notes
iID | Category reference | Integer |
sName | Name for the category | String |
iBorderColour | The border colour | Integer |
iColourLight | The light background colour | Integer |
iColourDark | The dark background colour | Integer |
nGradient | The gradient factor (%) | Number |


tdSigCjCal_CustomIcon

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_CustomIcon

 Previous topic Next topic

This structure is used to pass Icon data to and from the class. The structure has the following items

Item | Description | Type | Notes
iID | Icon reference | Integer |
sFileName | Full path / file name for the icon | String |
eAction | The action to perform | Integer | eCal_Dialog_Action Used with custom dialogs to controls what action will be performed on the icon.


tdSigCjCal_CustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_CustomProperty

 Previous topic Next topic

This structure is used to pass Custom Property data to and from the class. The structure has the following items

Item | Description | Type | Notes
sName | Name of the property | String |
sValue | Value of the property | String |


tdSigCjCal_DataProvider

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_DataProvider

 Previous topic Next topic

This structure is used to pass Data Provider data to the class. The structure has the following items

Item | Description | Type | Notes
iID | Data Provider reference | Integer |
sName | Name for the Data Provider | String |
eDataType | The type of the Data Provider | Enumerated |
sConnection | Connection string needed to open the data source | String |


tdSigCjCal_DB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_DB_Link

 Previous topic Next topic

This structure is used to pass Database Link data to the class and custom dialogs. The structure has the following items

Item | Description | Type | Notes
bDB_Link | Is link Enabled / Disabled | Integer |
sTable | Reference 1 | String |
sKey | Reference 2 | String |


tdSigCjCal_Dialog_CustomIcon

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Dialog_CustomIcon

 Previous topic Next topic

This structure is used to pass Icon data to and from custom dialogs. The structure has the following items

Item | Description | Type | Notes
eAction | The action to perform | Integer | eCal_Dialog_Action Used with custom dialogs to controls what action will be performed on the icon.
tCustomIcons | Array of icon information | tdSigCjCal_CustomIcon |


tdSigCjCal_Dialog_CustomProperty

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Dialog_CustomProperty

 Previous topic Next topic

This structure is used to pass Custom Property data to and from custom dialogs. The structure has the following items

Item | Description | Type | Notes
eAction | The action to perform | Integer | eCal_Dialog_Action Used with custom dialogs to controls what action will be performed on the icon.
bRemoveExisting | Delete all existing properties before adding any passed back from the dialog | Boolean |
tCustomProperties | Array of custom property information | tdSigCjCal_CustomProperty |


tdSigCjCal_Dialog_DB_Link

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Dialog_DB_Link

 Previous topic Next topic

This structure is used to pass DB_Link data to and from custom dialogs. The structure has the following items

Item | Description | Type | Notes
eAction | The action to perform | Integer | eCal_Dialog_Action Used with custom dialogs to controls what action will be performed on the icon.
tDB_Link | DB_Link information | tdSigCjCal_DB_Link |


tdSigCjCal_Dialog_Info

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Dialog_Info

 Previous topic Next topic

This structure is used to pass data to and from custom dialogs. The structure has the following items

Item | Description | Type | Notes
bEnableResources |  | Boolean |
bMultiSchedulesMode |  | Boolean |
bAllScheduleInfo |  | Boolean |
hoRecurringDialog |  | Boolean |
eAction_Event | The action to perform on the event data | Integer | eCal_Dialog_Action Used with custom dialogs to controls what action will be performed on the icon.
tEvent | Event data | tdSigCjCal_Event |
tDialog_RecPattern | Recurrence Pattern data | tdSigCjCal_Dialog_RecPattern |
tDialog_DB_Link | DB_Link data | tdSigCjCal_Dialog_DB_Link |
tDialog_CustomIcon | Custom Icon data | tdSigCjCal_Dialog_CustomIcon |
tDialog_CustomProperty | Custom property data | tdSigCjCal_Dialog_CustomProperty |
taSchedules | Array of schedule data | tdSigCjCal_Schedule_Info |


tdSigCjCal_Dialog_RecPattern

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Dialog_RecPattern

 Previous topic Next topic

This structure is used to pass Recurrence Pattern data to and from custom dialogs. The structure has the following items

Item | Description | Type | Notes
eAction | The action to perform | Integer | eCal_Dialog_Action Used with custom dialogs to controls what action will be performed on the icon.
tRecPattern | Array of Recurrence Pattern information | tdSigCjCal_RecPattern |


tdSigCjCal_Event

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Event

 Previous topic Next topic

This structure is used to pass Event data to and from the class. The structure has the following items

Item | Description | Type | Notes
iID | Event reference | Integer |
bAllDayEvent | All day event | Boolean |
sBody | Main event text | String |
eBusyStatus | Busy status | Enumeration | e_Cal_BusyStatus
sCategories | Category of the event | String |
dCreationDate | Date event created | Date |
tmCreationTime | Time event created | Time | Format hh:mm
sCreatedBy | Name / ID of user who created the event | String |
sCustomIcons | Custom icons to show | String |
sCustomProp | Custom properties to store with the event | String |
bDB_Link | Enable DB_Link | Boolean |
sDB_Key | DB_Liknk reference 1 | String |
sDB_Table | DB_Liknk reference 2 | String |
dEndDate | End date of the event | Date |
tmEndTime | End time of the event | Time | Format hh:mm
eImportance | Importance status | Enumeration | eCal_Importance
sLabel | Label for the event | String |
dLastMod_Date | Date event last modified | Date |
tmLastMod_Time | Time event last modified | Time | Format hh:mm
sLastMod_By | Name / ID of user who last modified the event | String |
sLocation | Location of the event | String |
bMeetingFlag | Show meeting icon | Boolean |
bPrivateFlag | Show private icon | Boolean |
eRecurr_State | Is the event recurring | Enumeration | eCal_Recurr_State
bReminder | Is there a reminder set | Boolean |
iRem_MinsBefore | Show reminder n Mins before | Integer |
sRem_SoundFile | Play this sound file when reminder is due | String |
iScheduleID | ID of associated schedule | Integer | pbMulyipleScheduleMode = False
sScheduleIDs | IDs of all associated schedules | String | pbMulyipleScheduleMode = True
dStartDate | Start date of the event | Date |
tmStartTime | Start time of the event | Time | Format hh:mm
sSubject | Event subject | String |
dRE_StartDateOrg | Start date for an exception to the recurring event | Date |
tmRE_StartTimeOrg | Start time for an exception to the recurring event | Time |
dRE_EndDateOrg | End date for an exception to the recurring event | Date |
tmRE_EndTimeOrg | End time for an exception to the recurring event | Time | Format hh:mm
bRE_Deleted | Recurring event exception deleted | Boolean |
iRec_Pattern_id | R_Pat ID if event is recurring | Integer |


tdSigCjCal_Layout

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Layout

 Previous topic Next topic

This structure is used to pass Layout data to the class. The structure has the following items

Item | Description | Type | Notes
iID | Layout reference | Integer |
sName | Name for the layout | String |


tdSigCjCal_RecPattern

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_RecPattern

 Previous topic Next topic

This structure is used to pass Recurrence Pattern data to and from the class. The structure has the following items

Item | Description | Type | Notes
iID | Recurrence Pattern reference | Integer |
sCustomProp_XML |  | String | NOT USED
iDurationMinutes |  | Integer |
iEndAfterOcc |  | Integer |
dEndDate |  | Date |
tmEndTime |  | String |
eEndMethod |  | Enumeration |
iMasterEventId |  | Integer |
dStartDate |  | Date |
tmStartTime |  | String |
bRoD_WeekDayOnly |  | Boolean |
iRoD_Int_Days |  | Integer |
iRoData1 |  | Integer |
iRoData2 |  | Integer |
iRoData3 |  | Integer |
iRoData4 |  | Integer |
iRoM_DayOfMonth |  | Integer |
iRoM_Int_Months |  | Integer |
iRoM_NthInt_Mths |  | Integer |
iRoM_Nth_Day |  | Integer |
eRoM_Nth_DayMask |  | Enumeration |
eRoRecurr_Type |  | Enumeration |
eRoW_DayWeekMask |  | Enumeration |
iRoW_Int_Weeks |  | Integer |
iRoY_DayOfMonth |  | Integer |
iRoY_MonthOfYear |  | Integer |
iRoY_NthM_OfYear |  | Integer |
iRoY_Nth_Day |  | Integer |
iRoY_Nth_DayMask |  | Integer |


tdSigCjCal_Resource

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Resource

 Previous topic Next topic

This structure is used to pass Resource data to the class. The structure has the following items

Item | Description | Type | Notes
iID | Resource reference | Integer |
sName | Name for the resource | String |
iShadeColor | Shade color | String | See pbEnable_ShadeResources


tdSigCjCal_Schedule

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Schedule

 Previous topic Next topic

This structure is used to pass Schedule data to the class. The structure has the following items

Item | Description | Type | Notes
iID | Schedule reference | Integer |
sName | Name for the schedule | String |
iShade_Color | Color to shade the background | Integer |
sProperties | Custom properties for the schedule. | String | NOT USED


tdSigCjCal_Schedule_Info

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_Schedule_Info

 Previous topic Next topic

This structure is used to pass Schedule data to the class. The structure has the following items

Item | Description | Type | Notes
iID | Schedule reference | Integer |
sName | Name for the schedule | String |
tRecPattern | Array of categories applicable to the schedule | tdSigCjCal_RecPattern | See pbEnable_ShadeResources


tdSigCjCal_SpecialDate

Home topic SIG Codejock Library > Classes > cSigCjCalendarControl v2 > Structures:

tdSigCjCal_SpecialDate

 Previous topic Next topic

This structure is used to pass Special Date data to the class. The structure has the following items

Item | Description | Type | Notes
dDate | The date | Date |
bIsSpecial | Is it special | Boolean |
sDescription | A Description | String |
iBackColor | The shade color | Integer |
eShadeStyle | The shade style | Integer | eCal_SD_ShadeStyle
eAllowEvents | Can events be created | Integer | eCal_SD_AllowCreate


cSigCJCheckBox

Home topic SIG Codejock Library > Classes:

cSigCJCheckBox

 Previous topic Next topic

SVN Revision - 599

Description

This class implements the Codejock Check Box control. A data aware version is also implement as

cSigCJdbCheckBox

This check box is Tri state (checked / unchecked / grayed). If the data aware version is used and the bound field is specified in the Data Dictionary as a Check Box, then the control will behave as a standard two state check box.


peAppearance - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

peAppearance

 Previous topic Next topic

Property Type

Enumeration OLExtpAppearance

Default Value

OLExtpAppearanceStandard

Access

Read / Write

Description

Get / Set the appearance style of the control (standard / office XP / office 2003/ etc).


piBackColor - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

piBackColor

 Previous topic Next topic

Property Type

Integer

Default Value

clBtnFace

Access

Read / Write

Description

Get / Set the background color.


psCaption - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

psCaption

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set the caption of the check box.


pbDrawFocusRect - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

pbDrawFocusRect

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Get / Set whether a focus rectangle is drawn on the check box when it has the focus.


pbEnabled - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

pbEnabled

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Get / Set whether the control is enabled or disabled.


pbEnableMarkup - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

pbEnableMarkup

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

If True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If False, then any text in the Caption, even if valid XAML will get displayed in plain text.


psFalse - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

psFalse

 Previous topic Next topic

Property Type

String

Default Value

0

Access

Read / Write

Description

Get / Set the data value returned when the check box is unchecked.

The Codejock control uses an integer to store the check box value. We use a string. This enables us to handle any values specified in the Data Dictionary Check Box True / False options.


piForeColo - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

piForeColor

 Previous topic Next topic

Property Type

Integer

Default Value

clBlack

Access

Read / Write

Description

Get / Set the text color.


psGrayed - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

psGrayed

 Previous topic Next topic

Property Type

String

Default Value

2

Access

Read / Write

Description

Get / Set the data value returned when the check box is grayed.

The Codejock control uses an integer to store the check box value. We use a string. This enables us to handle any value. If the check box is data bound, this property is only used if the field is NOT specified in the Data Dictionary as a Check Box. If the field is specified as a Check Box then this property is ignored.


pbMultiLine - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

pbMultiLine

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies whether to allow the Caption text to appear on multiple lines.


pbRightToLeft - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

pbRightToLeft

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the control elements are aligned to support locales using right-to-left fonts.

If using a left-to-right font it has the effect of placing the label to the left of the check box.


peTextAligment - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

peTextAligment

 Previous topic Next topic

Property Type

Enumeration OLExtpAlign

Default Value

OLExtpAlignLeft

Access

Read / Write

Description

Get / Set the alignment of the Caption text on the control.


pbTriState - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

pbTriState

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Get / Set whether the control will work as a two state or tri state check box. If the data aware version is used and the bound field is specified as a Check Box in the Data Dictionary, then this property is ignored and the control works as a two state check box.


psTrue - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

psTrue

 Previous topic Next topic

Property Type

String

Default Value

1

Access

Read / Write

Description

Get / Set the data value returned when the check box is checked.

The Codejock control uses an integer to store the check box value. We use a string. This enables us to handle any values specified in the Data Dictionary Check Box True / False options.


pbUseVisualStyle - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

pbUseVisualStyle

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the control is drawn using visual styles\SkinFramework, if supported.

If True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If False the currently set appearance\style in the OS will be used.


psValue - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Properties:

psValue

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set value of the check box.


None

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Methods:

None

 Previous topic Next topic

There are no public methods.


OnChange - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Events:

OnChange

 Previous topic Next topic

Prototype

Procedure OnChange

Parameters

None

Return Parameters

Not Applicable

Description

Fires when the value of the check box changes.


OLExtpAlign - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Enumerations:

OLExtpAlign

 Previous topic Next topic

Description

These values control the alignment of the Caption text.

Values

OLExtpAlignLeft

OLExtpAlignRight

OLExtpAlignCenter

OLExtpAlignMiddle

OLExtpAlignTop

OLExtpAlignBottom


OLExtpAppearance - cSigCJCheckBox

Home topic SIG Codejock Library > Classes > cSigCJCheckBox > Enumerations:

OLExtpAppearance

 Previous topic Next topic

Description

These values control the style of the control.

Values

OLExtpAppearanceStandard

OLExtpAppearanceFlat

OLExtpAppearanceUltraFlat

OLExtpAppearanceOffice2000

OLExtpAppearanceOfficeXP

OLExtpAppearanceOffice2003

OLExtpAppearanceOffice2007


cSigCJColorPicker

Home topic SIG Codejock Library > Classes:

cSigCJColorPicker

 Previous topic Next topic

SVN Revision - 599

Description

This class implements the Codejock Color Picker control.


Properties

Home topic SIG Codejock Library > Classes > cSigCJColorPicker:

Properties

 Previous topic Next topic
Property | Description
peAppearance | Specifies the appearance of the control (standard / office XP / office 2003/ etc)
piBackColor | Specifies the background color
psCaption | Specifies the caption of the color selector
piDefaultColor | Specifies the default color for the popup window.
pbEnabled | Specifies whether the control is enabled or disabled
pbFlatStyle |
piSelectedColor |
pbShowAutomaticColor |
pbShowMoreColors |
pbTransparent |
pbUseVisualStyle |

Font Properties |
Property | Description
pbBold | Display Caption text in bold.
psFontName | Specifies the Font Name or Type Face to use for the Caption text.
pnFontSize | Specifies Font Size to use for the Caption text.
pbItalic | Display Caption text in Italics.
pbStrikethrough | Display Caption text with Strike through.
pbUnderline | Display Caption text with Underline.


peAppearance - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

peAppearance

 Previous topic Next topic

Property Type

Enumeration OLExtpAppearance

Default Value

OLExtpAppearanceStandard

Access

Read / Write

Description

Get / Set the appearance style of the control (standard / office XP / office 2003/ etc).


piBackColor - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

piBackColor

 Previous topic Next topic

Property Type

Integer

Default Value

clBtnFace

Access

Read / Write

Description

Get / Set the background color.


pbBold - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbBold

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the Caption text is displayed in bold.


psCaption - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

psCaption

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set the caption of the color selector.


piDefaultColor - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

piDefaultColor

 Previous topic Next topic

Property Type

Integer

Default Value

clBtnFace

Access

Read / Write

Description

Get / Set the default color for the popup window.


pbEnabled - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbEnabled

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Get / Set whether the control is enabled or disabled.


pbFlatStyle - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbFlatStyle

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

If True the control will appear flat until the mouse pointer moves over it, at which point it appears three-dimensional


psFontName - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

psFontName

 Previous topic Next topic

Property Type

String

Default Value

MS Sans Serif

Access

Read / Write

Description

Specifies the Font Name or Type Face to use for the Caption text.


pnFontSize - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pnFontSize

 Previous topic Next topic

Property Type

Number

Default Value

8.25

Access

Read / Write

Description

Specifies Font Size to use for the Caption text.


pbItalic - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbItalic

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the Caption text is displayed in italic.


piSelectedColor - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

piSelectedColor

 Previous topic Next topic

Property Type

Integer

Default Value

clBlack

Access

Read / Write

Description

Get / Set the currently selected color.


pbShowAutomaticColor - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbShowAutomaticColor

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the "Automatic Color" button is included on the color picker.


pbShowMoreColors - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbShowMoreColors

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the "More Colors" button is included on the color picker, to enable the selection of custom colurs.


pbStrikethrough - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbStrikethrough

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the Caption text is displayed with strike through.


pbTransparent - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbTransparent

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

If True the background of the control will be transparent when the control is placed on a TabControlPage and running on Windows XP or using a Windows XP skin.


pbUnderline - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbUnderline

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the Caption text is displayed underlined.


pbUseVisualStyle - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Properties:

pbUseVisualStyle

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

If True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If False the currently set appearance\style in the OS will be used.


None

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Methods:

None

 Previous topic Next topic

There are no public methods.


OnClick - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Events:

OnClick

 Previous topic Next topic

Prototype

Procedure OnClick

Parameters

None

Return Parameters

Not Applicable

Description

Fires when the user presses and then releases a mouse button on the control. It also fires when the value changes.


OLExtpAppearance - cSigCJColorPicker

Home topic SIG Codejock Library > Classes > cSigCJColorPicker > Enumerations:

OLExtpAppearance

 Previous topic Next topic

Description

These values determine the style of the control.

Values

OLExtpAppearanceStandard

OLExtpAppearanceFlat

OLExtpAppearanceUltraFlat

OLExtpAppearanceOffice2000

OLExtpAppearanceOfficeXP

OLExtpAppearanceOffice2003

OLExtpAppearanceOffice2007


cSigCJComboBox

Home topic SIG Codejock Library > Classes:

cSigCJComboBox

 Previous topic Next topic

SVN Revision - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJCommonDialog

Home topic SIG Codejock Library > Classes:

cSigCJCommonDialog

 Previous topic Next topic

SVN Revision - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJDatePicker

Home topic SIG Codejock Library > Classes:

cSigCJDatePicker

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJDateTimePicker

Home topic SIG Codejock Library > Classes:

cSigCJDateTimePicker

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJDockingPane

Home topic SIG Codejock Library > Classes:

cSigCJDockingPane

 Previous topic Next topic

SVN Revision - 12321

Description

This class implements the Codejock Docking Panels. There are two classes, the Docking Manager class and the Docking Pane class.

The Docking Panes are coded as child object of the Docking Manager. The Docking Panes have no content. The content is provided by separate container3D or dbContainer3d objects. These container object are linked to the Docking Pane by the phoClientObject property.

The class for the Docking Manager is cSigCjDockingManager

The class for the Docking Panes is cSigCjDockingPane


Properties

Home topic SIG Codejock Library > Classes > cSigCJDockingPane:

Properties

 Previous topic Next topic
Property | Description
pbCaption | Display docking pane caption
phoClientObject | VDF object displayed in the docking pane
peClientType | Type of client object displayed in the docking pane
pbCloseable | Docking pane can be closed
pbDockable | Docking pane can be docked
pbDrawCaptionIcon | Display icon in pane caption
peEventDirector | Direct pane events to the pane or the pane manager
pbFloatable | Docking pane can be floated
piHeight | Height of the pane
pbHideable | Docking pane can be hidden
pbHighLightActiveCaption | Highlight active pane caption
piID | ID of the pane
psImage | Caption icon
pbInitiallyHidden | Initially hide the pane
peLocation | Docking location
pbLockSplitters | Prevent docked panes being resized
pbMenuButton | Display the pane menu button
piNeighbour | Where the pane will be docked
pbPX_Save_Layout | Save the pane layout
psPX_Tag | Reference for the saved layout
pbShowDockingPosition | Show where the pane will be docked
pbShowDockingStickers | Display the docking stickers
pbShowFloatingFramePinButton | Display the Pin button when a pane is floating
pbSideDocking | Enable "Visio" style client edge docking
piSideDockingOffset | Offset from top when Side Docking
piSideMargin_Bottom | Margin when Side Docking at Bottom
piSideMargin_Left | Margin when Side Docking at Left
piSideMargin_Right | Margin when Side Docking at Right
piSideMargin_Top | Margin when Side Docking at Top
piSplitterColor | Color of splitters
piSplitterSize | Width of splitters
peStickerStyle | Style of docking stickers
pbSyncActiveFloatingFrames | Should floating panes use the same style as active pane.
pbThemedFloatingFrames | Should floating panes use the current theme
psTitle | Pane caption text
peVisualTheme | Visual theme to apply
piWidth | Width of the pane


pbCaption - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbCaption

 Previous topic Next topic

Scope

Docking Pane

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the docking pane caption is displayed.


phoClientObject - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

phoClientObject

 Previous topic Next topic

Scope

Docking Pane

Property Type

Handle

Default Value

none

Access

Read / Write

Description

Get / Set the VDF object that is displayed in the docking pane.

Docking panes have no content. The content is provided by other objects. Experience has proven that if the pane content is place in a Container3d or dbContainer3d it will work. Some of the other Codejock control will work without a container. If you use a Codejock control with a container you must set peClie peClientType ntType to eDP_ActiveX


peClientType - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

peClientType

 Previous topic Next topic

Scope

Docking Pane

Property Type

Enumeration eDP_ClientType

Default Value

eDP_Normal

Access

Read / Write

Description

Specifies the type of the client object. The default eDP_Normal is used for most client objects. If you use a Codejock control without a container as the client then you must set the client type to eDP_ActiveX.


pbCloseable - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbCloseable

 Previous topic Next topic

Scope

Docking Pane

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the docking pane can be closed.


pbDockable - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbDockable

 Previous topic Next topic

Scope

Docking Pane

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the docking pane can be docking.

To make a pane fixed so that it can not be dragged around set pbDockable and pbFloatable to False.


pbDrawCaptionIcon - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbDrawCaptionIcon

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if an Icon is displayed in the pane caption. Set the pane property psImage to the file name of the image to be displayed.


peEventDirector - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

peEventDirector

 Previous topic Next topic

Scope

Docking Manager

Property Type

Enumeration eDP_EventDirector

Default Value

eDP_No_Events

Access

Read / Write

Description

Specifies where events are routed.

Events can be routed to the individual panes that they relate to and / or to the docking manager.

If set to eDP_Direct_To_Both the pane event is fired before the manager event


pbFloatable - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbFloatable

 Previous topic Next topic

Scope

Docking Pane

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the docking pane can be made to float.

To make a pane fixed so that it can not be dragged around set pbFloatable and pbDockable to False.


piHeight - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piHeight

 Previous topic Next topic

Scope

Docking Pane

Property Type

Integer

Default Value

150

Access

Read / Write

Description

Set the height of the pane in pixels.

The docked location of the pane determines if piHeight and piWidth are applied to the pane.

Location | Height | Width
Bottom | ü |
Floating | ü | ü
Left |  | ü
Right |  | ü
Top | ü |


pbHideable - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbHideable

 Previous topic Next topic

Scope

Docking Pane

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the docking pane can be hidden.


pbHighLightActiveCaption - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbHighLightActiveCaption

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the caption of the currently selected docking pane will be highlighted.


piID - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piID

 Previous topic Next topic

Scope

Docking Pane

Property Type

Integer

Default Value

none

Access

Read / Write

Description

Get / Set the ID of the docking pane.

All the docking panes MUST have a unique integer ID.


psImage - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

psImage

 Previous topic Next topic

Scope

Docking Pane

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set the image file name for the caption icon.


pbInitiallyHidden - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbInitiallyHidden

 Previous topic Next topic

Scope

Docking Pane

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the pane will be initially displayed in a hidden state.


peLocation - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

peLocation

 Previous topic Next topic

Scope

Docking Pane

Property Type

Enumeration eDP_Location

Default Value

OLEDOckLeftOf

Access

Read / Write

Description

Specifies where the pane will be dock in relation to the client area or other panes.

If piNeighbour is set the the pane will be docked relative to pane specified by piNeighbour

If piNeighbour is 0 then the pane will be dock relative to the client area.


pbLockSplitters - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbLockSplitters

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the splitters are locked.

If the splitters are locked panes cannot be resized when they are docked. Panes can still be resized when the are floating.


pbMenuButton - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbMenuButton

 Previous topic Next topic

Scope

Docking Pane

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the docking pane has a menu button.


piNeighbour - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piNeighbour

 Previous topic Next topic

Scope

Docking Pane

Property Type

Integer

Default Value

0

Access

Read / Write

Description

Specifies the neighbour to dock the pane to.

If piNeighbour is set then the pane will be docked relative to the pane specified.

If piNeighbour is not set the the pane will be docked relative to the client area.

peLocation specifies the relative location.


pbPX_Save_Layout - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbPX_Save_Layout

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the layout of the panes should load from the registry when the application starts and saved to the registry when the application closed.


psPX_Tag - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

psPX_Tag

 Previous topic Next topic

Property Type

String

Default Value

none

Access

Read / Write

Description

This is the second part of the two part registry key which specifies where the Report layout information is saved.


pbShowDockingPosition - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbShowDockingPosition

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the area that a pane will occupy is shaded as the pane is dragged.


pbShowDockingStickers - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbShowDockingStickers

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies whether Docking Stickers are used while dragging a pane.

Docking stickers make it quicker to dock panes as the mouse just has to be placed over a sticker. The style is set with peStickerStyle.


pbShowFloatingFramePinButton - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbShowFloatingFramePinButton

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the pin button is displayed when a pane is floating.


pbSideDocking - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbSideDocking

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if "Visio" style client edge docking is enabled.

If True any pane that is dragged to an inside edge of the client area will attempt to "snap" to that inside edge of the client. The margins between the pane and the client edge are specified by

· piSdeMargin_Bottom
· piSdeMargin_Left
· piSdeMargin_Right
· piSdeMargin_Top


piSideDockingOffset - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piSideDockingOffset

 Previous topic Next topic

Scope

Docking Pane

Property Type

Integer

Default Value

-1

Access

Read / Write

Description

Specifies the offset to use when "Side Docking" a pane.

If the value is -1 the pane will not side dock.

If the value is > -1 then the pane will side dock if pbSideDocking is True.


piSideMargin_Bottom - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piSideMargin_Bottom

 Previous topic Next topic

Scope

Docking Manager

Property Type

Integer

Default Value

3

Access

Read / Write

Description

Set the margin between the docking pane and the client side when the pane is set to side dock at the bottom.

Use pbSideDocking, piSideDockingOffset and peLocation to configure a pane for side docking.


piSideMargin_Left - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piSideMargin_Left

 Previous topic Next topic

Scope

Docking Manager

Property Type

Integer

Default Value

3

Access

Read / Write

Description

Set the margin between the docking pane and the client side when the pane is set to side dock on the left.

Use pbSideDocking, piSideDockingOffset and peLocation to configure a pane for side docking.


piSideMargin_Right - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piSideMargin_Right

 Previous topic Next topic

Scope

Docking Manager

Property Type

Integer

Default Value

3

Access

Read / Write

Description

Set the margin between the docking pane and the client side when the pane is set to side dock on the right.

Use pbSideDocking, piSideDockingOffset and peLocation to configure a pane for side docking.


piSideMargin_Top - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piSideMargin_Top

 Previous topic Next topic

Scope

Docking Manager

Property Type

Integer

Default Value

3

Access

Read / Write

Description

Set the margin between the docking pane and the client side when the pane is set to side dock at the top.

Use pbSideDocking, piSideDockingOffset and peLocation to configure a pane for side docking.


piSplitterColor - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piSplitterColor

 Previous topic Next topic

Scope

Docking Manager

Property Type

Integer

Default Value

Not Applicable

Access

Read / Write

Description

Specifies the color of the pane splitters


piSplitterSize - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piSplitterSize

 Previous topic Next topic

Scope

Docking Manager

Property Type

Integer

Default Value

4

Access

Read / Write

Description

Specifies the width of the pane splitters in pixels.


peStickerStyle - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

peStickerStyle

 Previous topic Next topic

Scope

Docking Manager

Property Type

Enumeration eDP_StickerStyle

Default Value

OLEStickerStyleWhidbey

Access

Read / Write

Description

Get / Set the style of the docking stickers.


pbSyncActiveFloatingFrames - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbSyncActiveFloatingFrames

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies is panes that are floating are displayed in the same style as active pane. pbThemedFloatingFrames must be false for this to have an effect.


pbThemedFloatingFrames - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

pbThemedFloatingFrames

 Previous topic Next topic

Scope

Docking Manager

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if floating panes will use the current theme.


psTitle - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

psTitle

 Previous topic Next topic

Scope

Docking Pane

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set the caption of the pane.


peVisualTheme - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

peVisualTheme

 Previous topic Next topic

Scope

Docking Manager

Property Type

Enumeration eDP_Theme

Default Value

OLEThemeOffice2007

Access

Read / Write

Description

Specifies the visual theme to use.


piWidth - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Properties:

piWidth

 Previous topic Next topic

Scope

Docking Pane

Property Type

Integer

Default Value

150

Access

Read / Write

Description

Set the width of the pane in pixels.

The docked location of the pane determines if piHeight and piWidth are applied to the pane.

Location | Height | Width
Bottom | ü |
Floating | ü | ü
Left |  | ü
Right |  | ü
Top | ü |


IsPaneClosed - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Methods:

IsPaneClosed

 Previous topic Next topic

Scope

Docking Manager

Prototype

Function IsPaneClosed Integer iId Returns Boolean

Parameters

iID

ID of the pane to check

Return Parameters

Boolean

Is the pane is closed or not.

Description

This method will indicate if a panel is closed or open. A hidden pane is still considered to be open.


OnClosed - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnClosed

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnClosed Integer iPane Boolean ByRef bCancel
Pane | Procedure OnClosed Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane is closed


OnClosing - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnClosing

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnClosing Integer iPane Boolean ByRef bCancel
Pane | Procedure OnClosing Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane is about to be closed


OnCollapsed - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnCollapsed

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnCollapsed Integer iPane Boolean ByRef bCancel
Pane | Procedure OnCollapsed Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane has collapsed, that is the pane is now hidden.


OnCollapsing - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnCollapsing

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnCollapsing Integer iPane Boolean ByRef bCancel
Pane | Procedure OnCollapsing Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane is being collapsed, that is the pane is about to be hidden.


OnDocked - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnDocked

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnDocked Integer iPane Boolean ByRef bCancel
Pane | Procedure OnDocked Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane has been docked.


OnExpanded - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnExpanded

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnExpended Integer iPane Boolean ByRef bCancel
Pane | Procedure OnExpended Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane has Expended, that is the pane has been unhidden.


OnExpanding - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnExpanding

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnExpending Integer iPane Boolean ByRef bCancel
Pane | Procedure OnExpending Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane is Expending, that is the pane is being unhidden.


OnFloated - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnFloated

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnFloated Integer iPane Boolean ByRef bCancel
Pane | Procedure OnFloated Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane has been floated, that is undocked.


OnPinned - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnPinned

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnPinned Integer iPane Boolean ByRef bCancel
Pane | Procedure OnPinned Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane has been Pinned.


OnUnPinned - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Events:

OnUnPinned

 Previous topic Next topic

Scope

Docking Manager & Docking Pane

Prototype

Manager | Procedure OnUnPinned Integer iPane Boolean ByRef bCancel
Pane | Procedure OnUnPinned Boolean ByRef bCancel

Parameters

iPane

The pane to which the event applies.

Return Parameters

bCancel

The is passed ByRef and can be set True to cancel the event.

Description

This event is fired when a pane has been UnPinned.


eDP_ClientType - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Enumerations:

eDP_ClientType

 Previous topic Next topic

Description

These values control the type of the docking pane client.

Values

eDP_Normal

eDP_ActiveX


eDP_EventDirector - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Enumerations:

eDP_EventDirector

 Previous topic Next topic

Description

These values control where events are sent.

Values

eDP_No_Events

eDP_Direct_To_Manager

eDP_Direct_To_Panes

eDP_Direct_To_Both


eDP_Location - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Enumerations:

eDP_Location

 Previous topic Next topic

Description

These values control where the docking pane will be displayed in relation to the client area or to each other if piNeighbouris set.

Values

OLEDockBottonOf

OLEDockLeftOf

OLEDockRightOf

OLEDockTopOf


eDP_StickerStyle - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Enumerations:

eDP_StickerStyle

 Previous topic Next topic

Description

These values control the style of the docking stickers.

Values

OLEStickerStyleStudio2005

OLEStickerStyleWhidbey


eDP_Theme - cSigCJDockingPane

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Enumerations:

eDP_Theme

 Previous topic Next topic

Description

These values control the theme of the docking panes.

Values

OLEThemeDefault

Current Windows theme

OLEThemeExplorer | OLEThemeOutlook2007
OLEThemeGrippered | OLEThemeShortcutBar2003
OLEThemeNativeWinXP | OLEThemeVisio
OLEThemeOffice | OLEThemeVisualStudio2005
OLEThemeOffice2003 | OLEThemeWhidbey
OLEThemeOffice2007 | OLEThemeWord2007


Examples

Home topic SIG Codejock Library > Classes > cSigCJDockingPane:

Examples

 Previous topic Next topic

Enter topic text here.


Standard use - Client Area

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > Examples:

Standard use - Client Area

 Previous topic Next topic

Object oMain is a Panel

   Set Label to "Codejock Order Entry Sample Application"

   Set Location to 15 9

   Set Size to 300 450

   ..... Menu and tool bars

   Object oTaskPanelContainer is a Container3D

   End_Object

   Object oPropertyGridContainer is a Container3D

   End_Object

   Object oDockingManager is a cSigCjDockingManager

       Object oPane_Task_Pane is a cSigCjDockingPane

           Set psTitle         to "Task Panel"

           Set phoCLientObject to oTaskPanelContainer

           Set peClientType    to eDP_ActiveX

           Set piId            to 1

       End_Object

       Object oPane_Prop_Grid is a cSigCjDockingPane

           Set psTitle         to "Property Grid"

           Set phoClientObject to oPropertyGridContainer

           Set peClientType    to eDP_Container

           Set piId            to 2

           Set peLocation      to OLEDockRightOf

           Set piWidth         to 200

           Set psImage         to "Configure_16.ico"

       End_Object

   End_Object

   Object oClientArea is a ClientArea

       .....

   End_Object

End_Object //oMain


How To

Home topic SIG Codejock Library > Classes > cSigCJDockingPane:

How To

 Previous topic Next topic

Enter topic text here.


Added Docking Panes to a View

Home topic SIG Codejock Library > Classes > cSigCJDockingPane > How To:

Added Docking Panes to a View

 Previous topic Next topic

Enter topic text here.


cSigCJFlatEdit

Home topic SIG Codejock Library > Classes:

cSigCJFlatEdit

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJHexEdit

Home topic SIG Codejock Library > Classes:

cSigCJHexEdit

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJListBox

Home topic SIG Codejock Library > Classes:

cSigCJListBox

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJMonthCalendar

Home topic SIG Codejock Library > Classes:

cSigCJMonthCalendar

 Previous topic Next topic

SVN Revision - 789

Description

This class implements the Codejock Monthly Calendar control.

Special Note about Dates

For the class to work correctly, there are two hard-coded default dates. These dates are private properties. They are declared as follows:

Property Date Private.pdMaxDate        "01/01/2050"

Property Date Private.pdMinDate        "01/01/1899"

This control requires these data in order for it to work, the control must have a start and end point coded as defaults, these dates can be changed at runtime if required by using pdMaxDate and pdMinDate.


pbAutoSize

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pbAutoSize

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

When pbAutoSize is set to True piMonthColumns and piMonthRows will be use to determine the initial size of the control. When the control is resized, no new months will be added.

When pbAutoSize is set to False the control will automatically determine how many month items can be displayed based on the current width and height. The MonthCalendar will fit as many month items into the control (Up to 12). The means as the MonthCalendar is resized, more or less month items are added to the control, the month items remain the same width\height.


piDay

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

piDay

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

Get / set the current day number.


pbEnabled

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pbEnabled

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Get / Set whether the control is enabled or disabled.


pdMaxDate

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pdMaxDate

 Previous topic Next topic

Property Type

Date

Default Value

01/01/2050

Access

Read / Write

Description

Get / set the maximum allowable date. This sets an upper boundary for the calendar.


piMaxSelCount

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

piMaxSelCount

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

Get / set the maximum number of days that can be selected in a month calendar control.

This property has an effect on how pdSelStart and pdSelEnd behave.


pdMinDate

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pdMinDate

 Previous topic Next topic

Property Type

Date

Default Value

01/01/1899

Access

Read / Write

Description

Get / set the minimum allowable date. This sets a lower boundary for the calendar.


piMonth

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

piMonth

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

Get / set the current month number.


piMonthColumns

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

piMonthColumns

 Previous topic Next topic

Property Type

Integer

Default Value

1

Access

Read / Write

Description

Get / set the number of columns of months displayed.


piMonthRows

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

piMonthRows

 Previous topic Next topic

Property Type

Integer

Default Value

1

Access

Read / Write

Description

Get / set the number of rows of months displayed.


pbMultiSelect

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pbMultiSelect

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Determines if multiple dates can be selected at once.

If set to True multiple dates can be selected. The range / span of these dates is set by piMaxSelCount.


pdSelEnd

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pdSelEnd

 Previous topic Next topic

Property Type

Date

Default Value

None

Access

Read / Write

Description

Get / set the end date of the selected range.


pdSelStart

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pdSelStart

 Previous topic Next topic

Property Type

Date

Default Value

None

Access

Read / Write

Description

Get / set the start date of the selected range.


pbShowToday

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pbShowToday

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Determines if the current date is displayed at the bottom of the control.


pbShowWeekNumbers

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pbShowWeekNumbers

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Determines if the week numbers should be displayed. Week numbers are displayed on the left.


piStartOfWeek

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

piStartOfWeek

 Previous topic Next topic

Property Type

Enumeration eMC_WeekStart

Default Value

eMC_Monday

Access

Read / Write

Description

Specifies which day is the first day of the week.

Note

This property should be prefixed pe and will be changed in the future.


piYear

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

piYear

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

Get / set the current year number.


pdValue

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Properties:

pdValue

 Previous topic Next topic

Property Type

Date

Default Value

None

Access

Read / Write

Description

Get / set the current selected date. If multiple dates are selected the value returned is date that has the focus.


None

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Methods:

None

 Previous topic Next topic

There are no public methods.


OnSetSize

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Events:

OnSetSize

 Previous topic Next topic

Prototype

Procedure OnSetSize Integer iHeight Integer iWidth

Parameters

iHeight | Height of the calendar in pixels
iWidth | Width of the calendar in pixels

Return Parameters

Not Applicable

Description

This event is fired after the calendar control has been created. If the Calendar Control is being used in a dialog and you may wish to resize the dialog to match the size of the calendar


eMC_WeekStart

Home topic SIG Codejock Library > Classes > cSigCJMonthCalendar > Enumerations:

eMC_WeekStart

 Previous topic Next topic

Description

These values control the start day of the week

Values

eMC_Tuesday | 1
eMC_Wednesday | 2
eMC_Thursday | 3
eMC_Friday | 4
eMC_Saturday | 5
eMC_Sunday | 6
eMC_Monday | 7


cSigCJProgressBar

Home topic SIG Codejock Library > Classes:

cSigCJProgressBar

 Previous topic Next topic

Description

This class implements the Codejock Progress Bar control.

The Codejock Progress Bar has three styles

1. Standard block style
2. Standard smooth / continuous style.
3. Marquee style.

The Marquee style can be used when you need to indicate progress is being made, without indicating the quantity of progress.


peAppearance - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

peAppearance

 Previous topic Next topic

Property Type

Enumeration OLExtpAppearance

Default Value

OLExtpAppearanceStandard

Access

Read / Write

Description

Get / Set the appearance style of the control (standard / office XP / office 2003/ etc).


piBackColor - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

piBackColor

 Previous topic Next topic

Property Type

Integer

Default Value

clBtnFace

Access

Read / Write

Description

Get / Set the background color.


piBarColor - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

piBarColor

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read / Write

Description

Get / Set the color of the progress bar.


pbBold - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

pbBold

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether psText is displayed in bold.


pbEnabled - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

pbEnabled

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Get / Set whether the control is enabled or disabled.


pbFlatStyle - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

pbFlatStyle

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Determines if the control will be drawn with or without a border.


psFontName - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

psFontName

 Previous topic Next topic

Property Type

String

Default Value

MS Sans Serif

Access

Read / Write

Description

Specifies the Font Name or Type Face to use for psText.


pnFontSize - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

pnFontSize

 Previous topic Next topic

Property Type

Number

Default Value

8.25

Access

Read / Write

Description

Specifies Font Size to use for psText.


piForeColor - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

piForeColor

 Previous topic Next topic

Property Type

Integer

Default Value

clWindowText

Access

Read / Write

Description

Get / Set the text color.


pbItalic - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

pbItalic

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether psText is displayed in italic.


piMarqueeDelay - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

piMarqueeDelay

 Previous topic Next topic

Property Type

Integer

Default Value

80

Access

Read / Write

Description

Get / Set the scrolling speed when peStyle is set to ePR_BarMarquee.

To stop the scroll set the property to Zero.


piMax - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

piMax

 Previous topic Next topic

Property Type

Integer

Default Value

100

Access

Read / Write

Description

Get / Set the progress bar maximum value.


piMin - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

piMin

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

Get / Set the progress bar minimum value.


peOrientation - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

peOrientation

 Previous topic Next topic

Property Type

Enumeration ePR_Orientation

Default Value

ePR_Horizontal

Access

Read / Write

Description

Specifies the orientation of a Progress Bar.


pbStrikethrough - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

pbStrikethrough

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether psText is displayed strike through.


peStyle - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

peStyle

 Previous topic Next topic

Property Type

Enumeration ePR_Style

Default Value

ePR_BarStandard

Access

Read / Write

Description

Get / Set the style of the bar.

The style is also dependant on peUseVisualStyle.

peStyle | peUseVisualStyle
eRC_BarStandard | Can be set True of False
eRC_BarSmooth | Automatically set to False
eRC_BarMarquee | Automatically set to True


psText - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

psText

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set the text display on the progress bar.


pbUnderline - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

pbUnderline

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether psText is displayed underlined.


pbUseVisualStyle - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

pbUseVisualStyle

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

This property only has an effect when peStyle is set to ePR_BarStandard.

When peStyle is set to ePR_BarSmooth this property is set to False.

When peStyle is set to ePR_BarMarquee this property is set to True.


piValue - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Properties:

piValue

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

Only applies when peStyle is set to ePR_BarStandard or ePR_BarSmooth

Get / Set the value of the progress bar. The value determines the position / length of the bar.


None

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Methods:

None

 Previous topic Next topic

There are no public methods.


None

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Events:

None

 Previous topic Next topic

There are no public events.


ePR_Orientation - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Enumerations:

ePR_Orientation

 Previous topic Next topic

Description

These values control the orientation of the control.

Values

ePR_Horizontal

ePR_Vertical


ePR_Style - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Enumerations:

ePR_Style

 Previous topic Next topic

Description

These values control the style of the control.

Values

ePR_BarStandard | Standard block style progress bar.
ePR_BarSmooth | Standard continuous style progress bar.
ePR_BarMarquee | Marquee style progress bar.


OLExtpAppearance - cSigCJProgressBar

Home topic SIG Codejock Library > Classes > cSigCJProgressBar > Enumerations:

OLExtpAppearance

 Previous topic Next topic

Description

These values control the style of the control.

Values

OLExtpAppearanceStandard

OLExtpAppearanceFlat

OLExtpAppearanceUltraFlat

OLExtpAppearanceOffice2000

OLExtpAppearanceOfficeXP

OLExtpAppearanceOffice2003

OLExtpAppearanceOffice2007


cSigCJPushButton

Home topic SIG Codejock Library > Classes:

cSigCJPushButton

 Previous topic Next topic

Description

This class implements the Codejock Push Button control.


peAppearance - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

peAppearance

 Previous topic Next topic

Property Type

Enumeration OLExtpAppearance

Default Value

OLExtpAppearanceStandard

Access

Read / Write

Description

Get / Set the appearance style of the control (standard / office XP / office 2003/ etc).


piBackColor - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

piBackColor

 Previous topic Next topic

Property Type

Integer

Default Value

clBtnFace

Access

Read / Write

Description

Get / Set the background color.


pbBold - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbBold

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the Caption text is displayed in bold.


piBorderGap - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

piBorderGap

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read / Write

Description

Get / Set the gap between the button's edge and the image.

The border gap is specified in pixels.


psCaption - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

psCaption

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set the caption of the button.


Label - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

Label

 Previous topic Next topic

Obsolete - Use psCaption

Property Type

String

Default Value

None

Access

Read / Write

Description

This property has been left in for backward compatibility.


pbChecked - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbChecked

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the button should be shown depressed.


pbDefault - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbDefault

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the button should be displayed with a thick black border to indicate that it is the default button.

Note some themes / skins may override this behaviour.


pbDrawFocusRect - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbDrawFocusRect

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Get / Set whether a focus rectangle is drawn on the button when it has the focus.


pbEnabled - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbEnabled

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Get / Set whether the control is enabled or disabled.


pbEnableHotTrack - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbEnableHotTrack

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the caption text color should be changed to piHotTrackColor when the mouse moves over the button.


pbEnableMarkup - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbEnableMarkup

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

If True and a valid XAML snippet is set to the Caption of this control, then the Caption will be displayed as rendered XAML.

If False, then any text in the Caption, even if valid XAML will get displayed in plain text.


pbFlatStyle - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbFlatStyle

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

If True the control will appear flat until the mouse pointer moves over it, at which point it appears three-dimensional


psFontName - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

psFontName

 Previous topic Next topic

Property Type

String

Default Value

MS Sans Serif

Access

Read / Write

Description

Specifies the Font Name or Type Face to use for the Caption text.


pnFontSize - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pnFontSize

 Previous topic Next topic

Property Type

Number

Default Value

8.25

Access

Read / Write

Description

Specifies Font Size to use for the Caption text.


piForeColor - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

piForeColor

 Previous topic Next topic

Property Type

Integer

Default Value

clWindowText

Access

Read / Write

Description

Get / Set the text color.


piHotTrackColor - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

piHotTrackColor

 Previous topic Next topic

Property Type

Integer

Default Value

clBlue

Access

Read / Write

Description

Get / Set the hot track color for the caption text.

pbEnableHotTrack must be True for this to have any effect.


psImage - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

psImage

 Previous topic Next topic

Scope

Docking Pane

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set the image file name to be displayed on the button.


peImageAlignment - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

peImageAlignment

 Previous topic Next topic

Property Type

Enumeration OLExtpAlign

Default Value

OLExtpAlignCenter

Access

Read / Write

Description

Specifies how the image will be aligned on the button.


piImageGap - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

piImageGap

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read / Write

Description

Get / Set the gap between the caption text and the image.

The image gap is specified in pixels.


pbItalic - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbItalic

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the Caption text is displayed in italic.


pbMultiLine - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbMultiLine

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies whether to allow the Caption text to appear on multiple lines.


pbPointer_Only - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbPointer_Only

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the button will work as a pointer only control.

Pointer only means that the button can be clicked on with the mouse, but it can never take the focus and therefore can not be navigated to with the keyboard or via program control.

Setting this True has the same effect as setting Skip_State on a VDF control.


pbRightToLeft - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbRightToLeft

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the control elements are aligned to support locales using right-to-left fonts.


pbStrikethrough - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbStrikethrough

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the Caption text is displayed with strike through.


peStyle - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

peStyle

 Previous topic Next topic

Property Type

Enumeration OLExtpButtonStyle

Default Value

OLExtpAppearanceStandard

Access

Read / Write

Description

Get / Set the appearance style of the control (standard / office XP / office 2003/ etc).


peTextAlignment - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

peTextAlignment

 Previous topic Next topic

Property Type

Enumeration OLExtpAlign

Default Value

OLExtpAlignCenter

Access

Read / Write

Description

Specifies how the caption text will be aligned on the button.


peTextImageRelation - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

peTextImageRelation

 Previous topic Next topic

Property Type

Enumeration OLExtpTextImageRelationStyle

Default Value

OLExtpImageBeforeText

Access

Read / Write

Description

Specifies how the caption text and the image will be aligned with respect to each other.


pbUnderline - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbUnderline

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Get / Set whether the Caption text is displayed underlined.


pbUseVisualStyle - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbUseVisualStyle

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

If True the currently set Windows XP visual style will be used to theme the control. If using SkinFramwork, the currently set style of the SkinFramework will be used to skin the control.

If False the currently set appearance\style in the OS will be used.


pbVisible - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Properties:

pbVisible

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the button is visible.


None

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Methods:

None

 Previous topic Next topic

There are no public methods.


OnClick - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Events:

OnClick

 Previous topic Next topic

Prototype

Procedure OnClick

Parameters

None

Return Parameters

Not Applicable

Description

Fires when the button is clicked.


OLExtpAlign - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Enumerations:

OLExtpAlign

 Previous topic Next topic

Description

These values control the alignment of the Caption text.

Values

OLExtpAlignLeft

OLExtpAlignRight

OLExtpAlignCenter

OLExtpAlignMiddle

OLExtpAlignTop

OLExtpAlignBottom


OLExtpAppearance - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Enumerations:

OLExtpAppearance

 Previous topic Next topic

Description

These values control the style of the control.

Values

OLExtpAppearanceStandard

OLExtpAppearanceFlat

OLExtpAppearanceUltraFlat

OLExtpAppearanceOffice2000

OLExtpAppearanceOfficeXP

OLExtpAppearanceOffice2003

OLExtpAppearanceOffice2007


OLExtpButtonStyle - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Enumerations:

OLExtpButtonStyle

 Previous topic Next topic

Description

These values control the style of the button.

Values

OLExtpButtonNormal | Normal button
OLExtpButtonDropDown | Combo style button The dropdown will appear under the button.
OLExtpButtonDropDownRight | Combo style button The dropdown will appear to the right of the button.
OLExtpButtonSplitDropDown | Combo style button The dropdown will appear under the button. There is a visual split between the button and the arrow


OLExtpTextImageRelationStyle - cSigCJPushButton

Home topic SIG Codejock Library > Classes > cSigCJPushButton > Enumerations:

OLExtpTextImageRelationStyle

 Previous topic Next topic

Description

These values control the alignment between the caption text and the image.

Values

OLExtpImageAboveText

OLExtpImageBeforeText

OLExtpOverlay

OLExtpTextAboveImage

OLExtpTextBeforeImage


cSigCJReportControl

Home topic SIG Codejock Library > Classes:

cSigCJReportControl

 Previous topic Next topic

Description

This class implements the Codejock Report control. This should be considered a complex component and not just a control.

The Report control is a very complex component. This package does not implements all of the features. Features are added when they are required for real world applications.

Edit Mode

Currently the Report control does not support editing. Editing is a requirement and will be added when time permits or business requirement dictate.

Virtual Mode

The Report control currently runs in "normal" mode. This means that all the data is read into memory before the report is displayed. The report control can run in "virtual" mode, which means that the control asks for data when it needs it. Virtual mode by necessity precludes certain features such as Grouping. Virtual mode is also a requirement and will be added when time permits or business requirement dictate.

Restrictions

The report control does not understand Rich Text data (RTF).


pbActive_Track - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbActive_Track

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Determines if OnActive_Track is fired when the selected record changes.

Example

These examples will find the current record base on value of a column, by default this is the first column, this can be changed by setting piRef_Column to the column of your choice, note this must unique for Active tracking to work. Note you do not need to use the OnActive_Track method if you have set Set pbRowID_Mode to True

Set pbActive_Track to True

In this case the recnum value is being passed

Procedure OnActive_Track String sID

Send Find_By_Recnum of Tms023_DD Tms023.File_Number (Integer(sID))

End_Procedure

In this case the Company Name value is being passed

Procedure OnActive_Track String sID

Send Clear of oCompany_DD

Move sID to Company.Name

Send Find of oCompany_DD Eq 1

End_Procedure


pbAuto_Columns - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbAuto_Columns

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Determines if the columns are automatically created from the table date dictionary (phoDD).

Set pbShow_Recnum to True to include RecNum.

If False columns have to be added with method Add_Report_Column

Example

Set pbShow_Recnum to True

Set pbAuto_Columns to True


pbAuto_Fill - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbAuto_Fill

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Determines if records are loaded automatically when the report is created.

If False then you must call Rebuild_Report to populate the report.

Example

Set pbAuto_Fill to True


pbAuto_Row_Ref - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbAuto_Row_Ref

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_Text

If True the row number is used as the unique reference number for the record.

If False the column to use as the Row Reference must be specified by setting piRef_Column.

Example

Set peDb_Type to eRC_db_Text

Set pbAuto_Row_Ref to False


piCh_No - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piCh_No

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_Text

The sequential I/O channel used to load the text data is required in the methods listed below. This property is provided as a convenient place to store the channel number. You are free to create your own property / global variable to store the channel number if you wish.

OnOpen_DataSource

OnPrepare_RowData

OnClose_DataSource

Example

This is really for adding data manually to the Report Control

Procedure OnDefine_Columns

Send Add_Report_Column "Date" 70 eRC_Date eRC_Standard

Send Add_Report_Column "Time" 60 eRC_String eRC_Standard

Send Add_Report_Column "User" 120 eRC_String eRC_Standard

Send Add_Report_Column "Error No." 60 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Line" 80 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Text" 600 eRC_Text eRC_Standard

End_Procedure

Procedure OnOpen_DataSource

Integer iCh_No

String sLine sPath

Get psHome of (phoWorkspace(ghoApplication)) to sPath

Get Seq_New_Channel to iCh_No

Set piCh_No to iCh_No

Direct_Input channel iCh_No (sPath - "Error.log")

Readln channel iCh_No sLine //Skip header rows

Readln channel iCh_No sLine

Set pbEOF to (SeqEof)

End_Procedure

Procedure OnPrepare_RowData

Integer iCh_No iLoop iColumn_Count

String sLine

Get piCh_No to iCh_No

Get piColumn_Count to iColumn_Count

Readln channel iCh_No sLine

If (SeqEof) Begin

Set pbEOF to True

End

Else Begin

Send Add_Item_Data (Mid(sLine, 10, 1)) //Date

Send Add_Item_Data (Mid(sLine, 8, 12)) //Time

Send Add_Item_Data (Mid(sLine, 20, 20)) //User

Send Add_Item_Data (Mid(sLine, 6, 41)) //Error No.

Send Add_Item_Data (Mid(sLine, 8, 48)) //Error Line

Send Add_Item_Data (Mid(sLine, 500, 57)) //Error Text

End

End_Procedure

Procedure OnClose_DataSource

Integer iCh_No

Get piCh_No to iCh_No

Close_Input channel iCh_No

Send Seq_Release_Channel iCh_No

End_Procedure


pbCollapseGroups - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbCollapseGroups

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Determines if groups will be displayed collapsed or expanded when grouping is changed.

Example

Set pbCollapseGroups to True


pbColumn_Resort - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbColumn_Resort

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Determines if Columns are resorted when refreshing or rebuilding the grid.

If this property is set to false then the columns will keep the sort order set by the user for the current session.

Example

Set pbColumn_Resort to False


piColumn_Count - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piColumn_Count

 Previous topic Next topic

Property Type

Integer

Default Value

not applicable

Access

Read Only

Description

Returns the number of columns in the report.

Example

Integer iCount

Get piColumn_Count to iCount


piFiltered_Row_Count - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piFiltered_Row_Count

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read Only

Description

This is the number of rows that match the specified filter.

Use Filter_Rows to set a filter

piRow_Count gives that total number of rows (records) added to the report.

piSelected_Row_Count gives the number of rows that are currently selected.

Example

Integer iCount

Get piFiltered_Row_Count to iCount


peDb_Type - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

peDb_Type

 Previous topic Next topic

Property Type

Enumeration eRC_db_Type

Default Value

eRC_db_Table

Access

Read / Write

Description

These values describe the different database types supported by the class.

Name | Value | Notes
eRC_db_Table | 0 | Standard table access (both Dataflex tables and SQL server tables
eRC_db_SQL | 1 | Embedded SQL
eRC_db_Text | 2 | Text files. Any type fixed width / delimited


phoDD - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

phoDD

 Previous topic Next topic

Property Type

Handle

Default Value

0

Access

Read / Write

Description

The property only applies when peDb_Type is set to eRC_db_Table

Set to the Data Dictionary object you want the report control to used to access the data.

Example

Set peDb_Type to eRC_db_Table

Set pHoDD to oCustomer_DD


pbDescending - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbDescending

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

The property only applies when peDb_Type is set to eRC_db_Table or eRC_db_SQL

If True the records will be loaded in descending order of index piTable_Index.

Example

Set peDb_Type to eRC_db_Table

Set pbDescending to True


pbEOF - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbEOF

 Previous topic Next topic

Property Type

Integer

Default Value

False

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_Text

You must set this to True when the end of the text data has been reached. This informs that class to stop calling OnPrepare_RowData and to call OnClose_DataSource so that the data source can be closed.

Example

This is really for adding data manually to the Report Control

Procedure OnDefine_Columns

Send Add_Report_Column "Date" 70 eRC_Date eRC_Standard

Send Add_Report_Column "Time" 60 eRC_String eRC_Standard

Send Add_Report_Column "User" 120 eRC_String eRC_Standard

Send Add_Report_Column "Error No." 60 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Line" 80 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Text" 600 eRC_Text eRC_Standard

End_Procedure

Procedure OnOpen_DataSource

Integer iCh_No

String sLine sPath

Get psHome of (phoWorkspace(ghoApplication)) to sPath

Get Seq_New_Channel to iCh_No

Set piCh_No to iCh_No

Direct_Input channel iCh_No (sPath - "Error.log")

Readln channel iCh_No sLine //Skip header rows

Readln channel iCh_No sLine

Set pbEOF to (SeqEof)

End_Procedure

Procedure OnPrepare_RowData

Integer iCh_No iLoop iColumn_Count

String sLine

Get piCh_No to iCh_No

Get piColumn_Count to iColumn_Count

Readln channel iCh_No sLine

If (SeqEof) Begin

Set pbEOF to True

End

Else Begin

Send Add_Item_Data (Mid(sLine, 10, 1)) //Date

Send Add_Item_Data (Mid(sLine, 8, 12)) //Time

Send Add_Item_Data (Mid(sLine, 20, 20)) //User

Send Add_Item_Data (Mid(sLine, 6, 41)) //Error No.

Send Add_Item_Data (Mid(sLine, 8, 48)) //Error Line

Send Add_Item_Data (Mid(sLine, 500, 57)) //Error Text

End

End_Procedure

Procedure OnClose_DataSource

Integer iCh_No

Get piCh_No to iCh_No

Close_Input channel iCh_No

Send Seq_Release_Channel iCh_No

End_Procedure


psGridFontName - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psGridFontName

 Previous topic Next topic

Property Type

String

Default Value

none

Access

Read / Write

Description

Set this to the new Font Name.

Example

This example show how to change the Fonts and Font size within the grid.

Set psGridFontName to "Calibri"

Set pnGridFontSize to 11

Set psPreviewFontName to "Calibri"

Set pnPreviewFontSize to 11


pnGridFontSize - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pnGridFontSize

 Previous topic Next topic

Property Type

Number

Default Value

none

Access

Read / Write

Description

Set this to the new Font Size.

Example

This example show how to change the Fonts and Font size within the grid.

Set psGridFontName to "Calibri"

Set pnGridFontSize to 11

Set psPreviewFontName to "Calibri"

Set pnPreviewFontSize to 11


pbGroup_Sorted_Columns - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbGroup_Sorted_Columns

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read

Description

Determines if the data rows will be grouped / regrouped when the sort order changes.

You would not normally set both this and pbShowGroupBox True at the same time.

Example

Set pbGroup_Sorted_Columns to True


piItem_BackColor - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piItem_BackColor

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read / Write

Description

Set this to the new background color. The default color will be applied if this is not set and can be used by the OnSetItemColor method.

Example

This example show how to change the Item color base on data held within the row

Set pbItem_Colors to True

Procedure OnSetItemColor Integer iColumn String sValue

String sColumn_Name

Get psColumn_Label iColumn to sColumn_Name

If (sColumn_Name = 'Order Total') Begin

If (Number(sValue) > 5000) Begin

Set piItem_BackColor to clLime

End

If (Number(sValue) < 1000) Begin

Set piItem_BackColor to clLime

End

End

If (iColumn = 10) Begin

If (sValue > "") Begin

Set piItem_ForeColor to clRed

Set piItem_BackColor to clYellow

End

End

End_Procedure


pbItem_Color - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbItem_Color

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if OnSetItemColor should be fired so that the foreground and background colors for the row can be set. Also see piItem_BackColor and piItem_ForeColor

Example

This example show how to change the Item color base on data held within the row

Set pbItem_Colors to True

Procedure OnSetItemColor Integer iColumn String sValue

String sColumn_Name

Get psColumn_Label iColumn to sColumn_Name

If (sColumn_Name = 'Order Total') Begin

If (Number(sValue) > 5000) Begin

Set piItem_BackColor to clLime

End

If (Number(sValue) < 1000) Begin

Set piItem_BackColor to clLime

End

End

If (iColumn = 10) Begin

If (sValue > "") Begin

Set piItem_ForeColor to clRed

Set piItem_BackColor to clYellow

End

End

End_Procedure


piItem_ForeColor - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piItem_ForeColor

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read / Write

Description

Set this to the new foreground color. The default color will be applied if this is not set and can be used by the OnSetItemColor method.

Example

This example show how to change the Item color base on data held within the row

Set pbItem_Colors to True

Procedure OnSetItemColor Integer iColumn String sValue

String sColumn_Name

Get psColumn_Label iColumn to sColumn_Name

If (sColumn_Name = 'Order Total') Begin

If (Number(sValue) > 5000) Begin

Set piItem_BackColor to clLime

End

If (Number(sValue) < 1000) Begin

Set piItem_BackColor to clLime

End

End

If (iColumn = 10) Begin

If (sValue > "") Begin

Set piItem_ForeColor to clRed

Set piItem_BackColor to clYellow

End

End

End_Procedure


piLoad_Monitor - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piLoad_Monitor

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

If piLoad_Monitor is set to a value greater than zero the load monitor events (OnLoad_Start, OnLoad_Monitor, OnLoad_End) will fire.

OnLoad_Monitor only fires when the records loaded is divisible by piLoad_Monitor. Setting piLoad_Monitor to 25 will fire OnLoad_Monitor every 25 records.

Example

These examples how to use the load monitor, this can be handy when reviewing loading speed issues

Procedure OnLoad_Start Integer iMax_Rows

If (iMax_Rows = 0) Begin

Get_Attribute DF_FILE_RECORDS_USED of (Main_File(Server(Self))) to iMax_Rows

End

Set ComMax of oSigCJProgressBar1 to iMax_Rows

End_Procedure

Procedure OnLoad_Monitor Integer iRow_Count

Integer iOuter iInner iMax_Rows iMax

Get ComMax of oSigCJProgressBar1 to iMax_Rows

Move (iMax_Rows/20) to iMax

While (iMax < iRow_Count)

Move (iMax + iMax) to iMax

Loop

If (iMax = iRow_Count) Send Do_Update of oSigCJProgressBar1 iRow_Count

End_Procedure

Procedure OnLoad_End Integer iRow_Count

Send Reset_bar of oSigCJProgressBar1

Send sigInfo_Box ("Load Time for" * String(iRow_Count) * "rows is" * String(ptsTimeSpan_Load(Self)) ) "Load Times"

End_Procedure

Progress bar Object

Object oSigCJProgressBar1 is a cSigCJProgressBar

Set Size to 13 387

Set Location to 199 59

Set peAnchors to anBottomLeftRight

Set peStyle to ePR_BarSmooth

Set pbFlatStyle to True

Set piBarColor to (RGB(128,197,255))

Procedure Do_Update Integer iVal

Set ComValue to iVal

Set ComText to ("Loading Data Please Wait..." * String(iVal))

End_Procedure

Procedure Reset_Bar

Set ComValue to 0

Set ComText to ""

End_Procedure

End_Object


piMax_Rows - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piMax_Rows

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

You can limit the number of rows added to the report. Set this to the number of rows required. This is useful if you want to only show the first 'n' rows (e.g. the first 2,000 of 200,000).

We recommend that you use a maximum of 9000.

Example

Set piMax_Rows to 9000


psPreviewFontName - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psPreviewFontName

 Previous topic Next topic

Property Type

String

Default Value

none

Access

Read / Write

Description

Set this to the new Font Name for the Preview.

Example

This example show how to change the Fonts and Font size within the grid.

Set psGridFontName to "Calibri"

Set pnGridFontSize to 11

Set psPreviewFontName to "Calibri"

Set pnPreviewFontSize to 11


pnPreviewFontSize - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pnPreviewFontSize

 Previous topic Next topic

Property Type

Number

Default Value

none

Access

Read / Write

Description

Set this to the new Font Size of the Preview.

Example

This example show how to change the Fonts and Font size within the grid.

Set psGridFontName to "Calibri"

Set pnGridFontSize to 11

Set psPreviewFontName to "Calibri"

Set pnPreviewFontSize to 11


pbPrintLandscape - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbPrintLandscape

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies print orientation.

Example

Set pbPrintLandscape to True


psProcess_Type - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psProcess_Type

 Previous topic Next topic

Property Type

String

Default Value

Null

Access

Read / Write

Description

This stores the process type which is used by the Process Rows options.

Example

One of the Features we added to the Report Control is to Process Selected Rows of data. For example we may wish to change the Planned date.

First thing we need to add an item to the Context menu as follows

Procedure OnAdd_ContextMenu_ReportArea Handle hoContextMenu

Send Add_MenuItem of hoContextMenu "Change Planned Replacement Date" "mUpdate_Planned_Date" False

End_Procedure

We need a method that is call from the Context Menu

Procedure mUpdate_Planned_Date

String sValue

Integer iResponse

Get pdNew_Planned_Date_Value to sValue

If (sValue > "")Begin

Move (YesNo_Box(("Change Planned Date for all selected items to" * String(sValue)),"Update Planned Date",MB_DEFBUTTON2)) to iResponse

If (iResponse = MBR_YES) Begin

Set psProcess_Type to "Change_Planned_Date"

Send Process_Rows

End

Send Refresh_Report

End

Else Send Info_Box "You've not selected a date"

Set psProcess_Type to ""

En End_Procedure

The OnProcess_Rows get automatically called Process_Rows for each selected rows

Procedure OnProcess_Rows String sID String sProcess_Type Boolean ByRef bCancel

Date dValue

Get pdNew_Planned_Date_Value to dValue

Send Clear of Tickets_DD

Move sID to Tickets.Ticket

Send Find of Tickets_DD Eq 1

If (Found) Begin

If (sProcess_Type = "Change_Planned_Date") Begin

Set Field_Changed_Value of Tickets_DD Field Tickets.Planned_Date to dValue

Send Request_Save of Tickets_DD

End

End

End_Procedure

Or if your using Row_Id

Procedure OnProcess_Rows_RowID RowID Row_ID String sProcess_Type Boolean ByRef bCancel

Date dValue

Send Clear of Tickets_DD

Send FindByRowID of Tickets_DD Tickets.File_Number Row_ID

If (Found) Begin

If (sProcess_Type = "Change_Planned_Date") Begin

Get pdNew_Planned_Date_Value to dValue

Set Field_Changed_Value of Tickets_DD Field Tickets.Planned_Date to dValue

Send Request_Save of Tickets_DD

End

End

End_Procedure


psPX_Class - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psPX_Class

 Previous topic Next topic

Property Type

String

Default Value

SigCjReportControl

Access

Read / Write

Description

This is the first part of the two part registry key which specifies where the Report layout information is saved.

Also See pbPX_Save_Layout and psPX_Tag

Example

These examples how to use the property exchange feature

Set pbPX_Save_Layout to True

Set psPX_Tag to (Label(Self))


pbPX_Save_Layout - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbPX_Save_Layout

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the report layout should be saved to the registry when the report is closed. If there is a saved layout it will be applied when the report is opened.

Also See pbPX_Class and psPX_Tag

The settings are saved in

HKEY_CURRENT_USER \ application key \ psPX_Category \ psPX_Tag

The application key is specified by oApplication properties as

SOFTWARE \ psCompany \ psProduct \ psVersion \ psProgram

Example

These examples how to use the property exchange feature

Set pbPX_Save_Layout to True

Set psPX_Tag to (Label(Self))


psPX_Tag - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psPX_Tag

 Previous topic Next topic

Property Type

String

Default Value

none

Access

Read / Write

Description

This is the second part of the two part registry key which specifies where the Report layout information is saved.

Also See pbPX_Class and pbPX_Save_Layout

Example

These examples how to use the property exchange feature

Set pbPX_Save_Layout to True

Set psPX_Tag to (Label(Self))


piRef_Column - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piRef_Column

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

This specifies which of the columns should be used as the unique reference. This is ignored if pbRowID_Mode is set to True, columns numbers are zero based.

Determines the data passed to OnActive_Track method.

Example

Set piRef_Column to 3


piRow_BackColor - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piRow_BackColor

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read / Write

Description

This property is only used in OnCreateRowItem.

Set this to the new background color. The default color will be applied if this is not set.


pbRow_Colors - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbRow_Colors

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if OnSetRowColor should be fired so that the foreground and background colors for the row can be set.

Example

This example show how to change the row color base on data held within the row

Set pbRow_Colors to True

Procedure OnSetRowColor Integer iColumn String sValue

String sColumn_Name

Get psColumn_Label iColumn to sColumn_Name

If (sColumn_Name = 'Order') Begin

If (Mod(Integer(sValue),2)=0) Set piRow_BackColor to clAqua

End

End_Procedure


piRow_Count - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piRow_Count

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read Only

Description

This is the number of rows (records) that have been added to the report.

piFiltered_Row_Count gives the number of rows that match the applied filter.

piSelected_Row_Count gives the number of rows that are currently selected.

Example

Integer iCount

Get piRow_Count to iCount


piRow_ForeColor - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piRow_ForeColor

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read / Write

Description

This property is only used in OnCreateRowItem.

Set this to the new foreground color. The default color will be applied if this is not set.

Example

This example show how to change the row color base on data held within the row

Set pbRow_Colors to True

Procedure OnSetRowColor Integer iColumn String sValue

String sColumn_Name

Get psColumn_Label iColumn to sColumn_Name

If (sColumn_Name = 'Order') Begin

If (Mod(Integer(sValue),2)=0) Set piRow_BackColor to clAqua

End

End_Procedure


pbRow_Item - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbRow_Item

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if OnCreateRowItem should be fired for each report item before it is added to the report. This enables the item to be "customised".

Example

These examples how to use Row Item feature

Set pbRow_Item to True

Procedure OnCreateRowItem Integer iColumn Handle hoItem String sValue

If (iColumn = 10) Begin

If (Trim(sValue) > "") Set psImage of hoItem to "FlagUK_16.bmp"

End

End_Procedure


pbRowID_Mode - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbRowID_Mode

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if the class should use and automatically handle Row_ID as the unique row ID.

Example

Set pbRowID_Mode to True


piSelected_Row_Count - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piSelected_Row_Count

 Previous topic Next topic

Property Type

Integer

Default Value

none

Access

Read Only

Description

This is the number of rows that are currently selected

piFiltered_Row_Count gives the number of rows that match the applied filter.

piRow_Count gives that total number of rows (records) added to the report.

Example

Integer iCount

Get piSelected_Row_Count to iCount


pbShow_Recnum - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbShow_Recnum

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

Specifies if RECNUM should be included in the columns when pbAuto_Columns is set to True.

Example

Set pbShow_Recnum to True


pbShowGroupBox - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbShowGroupBox

 Previous topic Next topic

Property Type

Boolean

Default Value

True

Access

Read / Write

Description

Specifies if the Group Box is shown above the main report area. The report can be grouped by dragging columns from the main report area to the Group Box.

Example

Set pbShowGroupBox to True


pbSQL_Case - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbSQL_Case

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_SQL

Determines if the sEval parameter of Add_Report_Column should be treaded as a SQL case statement instead of a VDF eval expression.

Example

These examples how to use SQL properties.

It is not necessary to use these properties as the report control will automatically build the SQL statements required for you, these properties can be overridden which allows for you to write whatever SQL statements you may require.

Set peDb_Type to eRC_db_SQL

Set pbSQL_Case to True

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Case when Ticket.outstanding='Y' then 1 else 0 end)"

Set pbSQL_Case to False

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(If((Ticket.outstanding='Y'),True,False))"

Or

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Ticket.outstanding='Y')"

Set pbSQL_Select to "Orderhrd.Order_Ref, Orderhrd.Title, Company.Company_Id, Company.Name, Staff.Staff_No, Staff_Name"

Set pbSQL_From to "Orderhrd, Company, Staff"

Set pbSQL_Where to "Orderhrd.Company_Id = Company.Company_Id and Orderhrd.Sales_Person_Id = Staff.Staff_No"

Set pbSQL_Order_By to "Orderhrd.Sales_Person_Id, Orderhrd.Order_Ref"

StraString sSQL_Statement

f (psif (psSQL_Select(Self) <> "") Move (Append(sSQL_Statement,("select" * String(psSQL_Select(Self)) ))) to sSQL_Statement

If (psSQL_From(Self) <> "") Move (Append(sSQL_Statement,(" from" * String(psSQL_From(Self)) ))) to sSQL_Statement

If (psSQL_Where(Self) <> "") Move (Append(sSQL_Statement,(" where" * String(psSQL_Where(Self)) ))) to sSQL_Statement

If (psSQL_OrderBy(Self) <> "") Move (Append(sSQL_Statement,(" order by" * String(psSQL_OrderBy(Self)) ))) to sSQL_Statement

Set psSQL_Select_Statment to sSQL_Statement

Real world example of setting the where statement from information the user has selected in the view

Set peDb_Type to eRC_db_SQL

Procedure OnBuild_SQL_Statement

String sCompany_Id

Boolean bShowOutstanding

Get Field_Current_Value of oCompany_DD Field Company.Company_IDd to sCompany_Id

Get Checked_State of oShowOutstanding to bShowOutstanding

Set psSQL_Where to ("Contract.Company_Id = '" * String(sCompany_Id) + "' " + (If(bShowOutstanding,"And Contract.End_Date > GetDate()",'')))

EnEnd_Procedure


psSQL_From - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psSQL_From

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_SQL

This property can only be set in OnBuild_SQL_Statement.

Use this to specify a custom FROM clause for the SQL statement.

Example

These examples how to use SQL properties.

It is not necessary to use these properties as the report control will automatically build the SQL statements required for you, these properties can be overridden which allows for you to write whatever SQL statements you may require.

Set peDb_Type to eRC_db_SQL

Set pbSQL_Case to True

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Case when Ticket.outstanding='Y' then 1 else 0 end)"

Set pbSQL_Case to False

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(If((Ticket.outstanding='Y'),True,False))"

Or

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Ticket.outstanding='Y')"

Set pbSQL_Select to "Orderhrd.Order_Ref, Orderhrd.Title, Company.Company_Id, Company.Name, Staff.Staff_No, Staff_Name"

Set pbSQL_From to "Orderhrd, Company, Staff"

Set pbSQL_Where to "Orderhrd.Company_Id = Company.Company_Id and Orderhrd.Sales_Person_Id = Staff.Staff_No"

Set pbSQL_Order_By to "Orderhrd.Sales_Person_Id, Orderhrd.Order_Ref"

StraString sSQL_Statement

f (psif (psSQL_Select(Self) <> "") Move (Append(sSQL_Statement,("select" * String(psSQL_Select(Self)) ))) to sSQL_Statement

If (psSQL_From(Self) <> "") Move (Append(sSQL_Statement,(" from" * String(psSQL_From(Self)) ))) to sSQL_Statement

If (psSQL_Where(Self) <> "") Move (Append(sSQL_Statement,(" where" * String(psSQL_Where(Self)) ))) to sSQL_Statement

If (psSQL_OrderBy(Self) <> "") Move (Append(sSQL_Statement,(" order by" * String(psSQL_OrderBy(Self)) ))) to sSQL_Statement

Set psSQL_Select_Statment to sSQL_Statement

Real world example of setting the where statement from information the user has selected in the view

Set peDb_Type to eRC_db_SQL

Procedure OnBuild_SQL_Statement

String sCompany_Id

Boolean bShowOutstanding

Get Field_Current_Value of oCompany_DD Field Company.Company_IDd to sCompany_Id

Get Checked_State of oShowOutstanding to bShowOutstanding

Set psSQL_Where to ("Contract.Company_Id = '" * String(sCompany_Id) + "' " + (If(bShowOutstanding,"And Contract.End_Date > GetDate()",'')))

EnEnd_Procedure


psSQL_OrderBy - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psSQL_OrderBy

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_SQL

This property can only be set in OnBuild_SQL_Statement.

Use this to specify a custom ORDERBY clause for the SQL statement.

Example

These examples how to use SQL properties.

It is not necessary to use these properties as the report control will automatically build the SQL statements required for you, these properties can be overridden which allows for you to write whatever SQL statements you may require.

Set peDb_Type to eRC_db_SQL

Set pbSQL_Case to True

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Case when Ticket.outstanding='Y' then 1 else 0 end)"

Set pbSQL_Case to False

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(If((Ticket.outstanding='Y'),True,False))"

Or

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Ticket.outstanding='Y')"

Set pbSQL_Select to "Orderhrd.Order_Ref, Orderhrd.Title, Company.Company_Id, Company.Name, Staff.Staff_No, Staff_Name"

Set pbSQL_From to "Orderhrd, Company, Staff"

Set pbSQL_Where to "Orderhrd.Company_Id = Company.Company_Id and Orderhrd.Sales_Person_Id = Staff.Staff_No"

Set pbSQL_Order_By to "Orderhrd.Sales_Person_Id, Orderhrd.Order_Ref"

StraString sSQL_Statement

f (psif (psSQL_Select(Self) <> "") Move (Append(sSQL_Statement,("select" * String(psSQL_Select(Self)) ))) to sSQL_Statement

If (psSQL_From(Self) <> "") Move (Append(sSQL_Statement,(" from" * String(psSQL_From(Self)) ))) to sSQL_Statement

If (psSQL_Where(Self) <> "") Move (Append(sSQL_Statement,(" where" * String(psSQL_Where(Self)) ))) to sSQL_Statement

If (psSQL_OrderBy(Self) <> "") Move (Append(sSQL_Statement,(" order by" * String(psSQL_OrderBy(Self)) ))) to sSQL_Statement

Set psSQL_Select_Statment to sSQL_Statement

Real world example of setting the where statement from information the user has selected in the view

Set peDb_Type to eRC_db_SQL

Procedure OnBuild_SQL_Statement

String sCompany_Id

Boolean bShowOutstanding

Get Field_Current_Value of oCompany_DD Field Company.Company_IDd to sCompany_Id

Get Checked_State of oShowOutstanding to bShowOutstanding

Set psSQL_Where to ("Contract.Company_Id = '" * String(sCompany_Id) + "' " + (If(bShowOutstanding,"And Contract.End_Date > GetDate()",'')))

EnEnd_Procedure


psSQL_Select - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psSQL_Select

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_SQL

This property can only be set in OnBuild_SQL_Statement.

Use this to specify a custom SELECT clause for the SQL statement.

Example

These examples how to use SQL properties.

It is not necessary to use these properties as the report control will automatically build the SQL statements required for you, these properties can be overridden which allows for you to write whatever SQL statements you may require.

Set peDb_Type to eRC_db_SQL

Set pbSQL_Case to True

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Case when Ticket.outstanding='Y' then 1 else 0 end)"

Set pbSQL_Case to False

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(If((Ticket.outstanding='Y'),True,False))"

Or

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Ticket.outstanding='Y')"

Set pbSQL_Select to "Orderhrd.Order_Ref, Orderhrd.Title, Company.Company_Id, Company.Name, Staff.Staff_No, Staff_Name"

Set pbSQL_From to "Orderhrd, Company, Staff"

Set pbSQL_Where to "Orderhrd.Company_Id = Company.Company_Id and Orderhrd.Sales_Person_Id = Staff.Staff_No"

Set pbSQL_Order_By to "Orderhrd.Sales_Person_Id, Orderhrd.Order_Ref"

StraString sSQL_Statement

f (psif (psSQL_Select(Self) <> "") Move (Append(sSQL_Statement,("select" * String(psSQL_Select(Self)) ))) to sSQL_Statement

If (psSQL_From(Self) <> "") Move (Append(sSQL_Statement,(" from" * String(psSQL_From(Self)) ))) to sSQL_Statement

If (psSQL_Where(Self) <> "") Move (Append(sSQL_Statement,(" where" * String(psSQL_Where(Self)) ))) to sSQL_Statement

If (psSQL_OrderBy(Self) <> "") Move (Append(sSQL_Statement,(" order by" * String(psSQL_OrderBy(Self)) ))) to sSQL_Statement

Set psSQL_Select_Statment to sSQL_Statement

Real world example of setting the where statement from information the user has selected in the view

Set peDb_Type to eRC_db_SQL

Procedure OnBuild_SQL_Statement

String sCompany_Id

Boolean bShowOutstanding

Get Field_Current_Value of oCompany_DD Field Company.Company_IDd to sCompany_Id

Get Checked_State of oShowOutstanding to bShowOutstanding

Set psSQL_Where to ("Contract.Company_Id = '" * String(sCompany_Id) + "' " + (If(bShowOutstanding,"And Contract.End_Date > GetDate()",'')))

EnEnd_Procedure


psSQL_Select_Statment - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psSQL_Select_Statment

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_SQL

Use this to specify a complete custom SQL statement. The class assumes that the statement is complete and valid.

Example

These examples how to use SQL properties.

It is not necessary to use these properties as the report control will automatically build the SQL statements required for you, these properties can be overridden which allows for you to write whatever SQL statements you may require.

Set peDb_Type to eRC_db_SQL

Set pbSQL_Case to True

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Case when Ticket.outstanding='Y' then 1 else 0 end)"

Set pbSQL_Case to False

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(If((Ticket.outstanding='Y'),True,False))"

Or

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Ticket.outstanding='Y')"

Set pbSQL_Select to "Orderhrd.Order_Ref, Orderhrd.Title, Company.Company_Id, Company.Name, Staff.Staff_No, Staff_Name"

Set pbSQL_From to "Orderhrd, Company, Staff"

Set pbSQL_Where to "Orderhrd.Company_Id = Company.Company_Id and Orderhrd.Sales_Person_Id = Staff.Staff_No"

Set pbSQL_Order_By to "Orderhrd.Sales_Person_Id, Orderhrd.Order_Ref"

StraString sSQL_Statement

f (psif (psSQL_Select(Self) <> "") Move (Append(sSQL_Statement,("select" * String(psSQL_Select(Self)) ))) to sSQL_Statement

If (psSQL_From(Self) <> "") Move (Append(sSQL_Statement,(" from" * String(psSQL_From(Self)) ))) to sSQL_Statement

If (psSQL_Where(Self) <> "") Move (Append(sSQL_Statement,(" where" * String(psSQL_Where(Self)) ))) to sSQL_Statement

If (psSQL_OrderBy(Self) <> "") Move (Append(sSQL_Statement,(" order by" * String(psSQL_OrderBy(Self)) ))) to sSQL_Statement

Set psSQL_Select_Statment to sSQL_Statement

Real world example of setting the where statement from information the user has selected in the view

Set peDb_Type to eRC_db_SQL

Procedure OnBuild_SQL_Statement

String sCompany_Id

Boolean bShowOutstanding

Get Field_Current_Value of oCompany_DD Field Company.Company_IDd to sCompany_Id

Get Checked_State of oShowOutstanding to bShowOutstanding

Set psSQL_Where to ("Contract.Company_Id = '" * String(sCompany_Id) + "' " + (If(bShowOutstanding,"And Contract.End_Date > GetDate()",'')))

EnEnd_Procedure


psSQL_Where - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psSQL_Where

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Read / Write

Description

This property only applies when peDb_Type is set to eRC_db_SQL

This property can only be set in OnBuild_SQL_Statement.

Use this to specify a custom WHERE clause for the SQL statement.

Example

These examples how to use SQL properties.

It is not necessary to use these properties as the report control will automatically build the SQL statements required for you, these properties can be overridden which allows for you to write whatever SQL statements you may require.

Set peDb_Type to eRC_db_SQL

Set pbSQL_Case to True

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Case when Ticket.outstanding='Y' then 1 else 0 end)"

Set pbSQL_Case to False

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(If((Ticket.outstanding='Y'),True,False))"

Or

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Ticket.outstanding='Y')"

Set pbSQL_Select to "Orderhrd.Order_Ref, Orderhrd.Title, Company.Company_Id, Company.Name, Staff.Staff_No, Staff_Name"

Set pbSQL_From to "Orderhrd, Company, Staff"

Set pbSQL_Where to "Orderhrd.Company_Id = Company.Company_Id and Orderhrd.Sales_Person_Id = Staff.Staff_No"

Set pbSQL_Order_By to "Orderhrd.Sales_Person_Id, Orderhrd.Order_Ref"

StraString sSQL_Statement

f (psif (psSQL_Select(Self) <> "") Move (Append(sSQL_Statement,("select" * String(psSQL_Select(Self)) ))) to sSQL_Statement

If (psSQL_From(Self) <> "") Move (Append(sSQL_Statement,(" from" * String(psSQL_From(Self)) ))) to sSQL_Statement

If (psSQL_Where(Self) <> "") Move (Append(sSQL_Statement,(" where" * String(psSQL_Where(Self)) ))) to sSQL_Statement

If (psSQL_OrderBy(Self) <> "") Move (Append(sSQL_Statement,(" order by" * String(psSQL_OrderBy(Self)) ))) to sSQL_Statement

Set psSQL_Select_Statment to sSQL_Statement

Real world example of setting the where statement from information the user has selected in the view

Set peDb_Type to eRC_db_SQL

Procedure OnBuild_SQL_Statement

String sCompany_Id

Boolean bShowOutstanding

Get Field_Current_Value of oCompany_DD Field Company.Company_IDd to sCompany_Id

Get Checked_State of oShowOutstanding to bShowOutstanding

Set psSQL_Where to ("Contract.Company_Id = '" * String(sCompany_Id) + "' " + (If(bShowOutstanding,"And Contract.End_Date > GetDate()",'')))

EnEnd_Procedure


piTable_Index - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

piTable_Index

 Previous topic Next topic

Property Type

Integer

Default Value

0

Access

Read / Write

Description

This specifies which index should be used when accessing the data. This is ignored when peDb_Type is set to eRC_db_Text

Example

Set piTable_Index to 1


ptsTimeSpan_Load - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

ptsTimeSpan_Load

 Previous topic Next topic

Property Type

TimeSpan

Default Value

None

Access

Read Only

Description

This property will contain the total time taken to load the data.

It is provided for debugging information.

Example

String sTimeSpan

Get ptsTimeSpan_Load to sTimeSpan


ptsTimeSpan_SQL - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

ptsTimeSpan_SQL

 Previous topic Next topic

Property Type

TimeSpan

Default Value

None

Access

Read Only

Description

This property only applies when peDb_Type is set to eRC_db_SQL

This property contain the total time taken to build and execute the SQL statement.

It is provided for debugging information.

Example

String sTimeSpan

Get ptsTimeSpan_SQL to sTimeSpan


psWatermarkBitmap - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

psWatermarkBitmap

 Previous topic Next topic

Property Type

String

Default Value

None

Access

Write / Read

Description

This property specifies which Bitmap to use to Watermark the Grid.

Example

Set psWatermarkBitmap to "Logo.bmp"


pbZero_Suppress_Currency - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbZero_Suppress_Currency

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

This property will suppress zero Currency values.

Example

Set pbZero_Suppress_Currency to True


pbZero_Suppress_Decimal - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbZero_Suppress_Decimal

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

This property will suppress zero Decimal values.

Example

Set pbZero_Suppress_Decimal to True


pbZero_Suppress_Integer - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Properties:

pbZero_Suppress_Integer

 Previous topic Next topic

Property Type

Boolean

Default Value

False

Access

Read / Write

Description

This property will suppress zero Integer values.

Example

Set pbZero_Suppress_Integer to True


Add_Item_Data - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

Add_Item_Data

 Previous topic Next topic

Prototype

Procedure Add_Item_Data String sItem

Parameters

sItem

Data for the row item

Return Parameters

Not Applicable

Description

This method is only used from within OnPrepare_RowData.

It is used to add the next row item to the report.

Example

This is really for adding data manually to the Report Control

Procedure OnDefine_Columns

Send Add_Report_Column "Date" 70 eRC_Date eRC_Standard

Send Add_Report_Column "Time" 60 eRC_String eRC_Standard

Send Add_Report_Column "User" 120 eRC_String eRC_Standard

Send Add_Report_Column "Error No." 60 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Line" 80 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Text" 600 eRC_Text eRC_Standard

End_Procedure

Procedure OnOpen_DataSource

Integer iCh_No

String sLine sPath

Get psHome of (phoWorkspace(ghoApplication)) to sPath

Get Seq_New_Channel to iCh_No

Set piCh_No to iCh_No

Direct_Input channel iCh_No (sPath - "Error.log")

Readln channel iCh_No sLine //Skip header rows

Readln channel iCh_No sLine

Set pbEOF to (SeqEof)

End_Procedure

Procedure OnPrepare_RowData

Integer iCh_No iLoop iColumn_Count

String sLine

Get piCh_No to iCh_No

Get piColumn_Count to iColumn_Count

Readln channel iCh_No sLine

If (SeqEof) Begin

Set pbEOF to True

End

Else Begin

Send Add_Item_Data (Mid(sLine, 10, 1)) //Date

Send Add_Item_Data (Mid(sLine, 8, 12)) //Time

Send Add_Item_Data (Mid(sLine, 20, 20)) //User

Send Add_Item_Data (Mid(sLine, 6, 41)) //Error No.

Send Add_Item_Data (Mid(sLine, 8, 48)) //Error Line

Send Add_Item_Data (Mid(sLine, 500, 57)) //Error Text

End

End_Procedure

Procedure OnClose_DataSource

Integer iCh_No

Get piCh_No to iCh_No

Close_Input channel iCh_No

Send Seq_Release_Channel iCh_No

End_Procedure


Add_Report_Column - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

Add_Report_Column

 Previous topic Next topic

CAUTION -

Overloaded method

Prototype - 1

Procedure Add_Report_Column Overloaded

String sLabel Integer iSize Integer eDataType integer eStyle

Prototype - 2

Procedure Add_Report_Column Overloaded

String sLabel Integer iSize Integer eDataType integer eStyle ;

String sTC_Name String sEval

Parameters

sLabel | The caption / label for the column
iSize | The column width
eDataType | The type of data the column will contain. This controls alignment and sorting. See eRC_DataType for valid values.
eStyle | The column style. See eRC_ColumnStyle for valid values.
sTC_Name | The Table.Column name for the data to be displayed. This is passed as a string.
sEval | An 'evaluation' expression to be applied to the data before it is added to the report.

Return Parameters

Not Applicable

Description

This method is only used from within OnDefine_Columns.

It is used to add columns to the report.

Prototype - 1 is used when peDb_Type is set to eRC_db_Text

Prototype - 2 is used when peDb_Type is set to eRC_db_SQL or eRC_db_Table

Example

Procedure OnDefine_Columns

Send Add_Report_Column "Order" 80 eRC_Integer eRC_Standard "OrderDtl.Order_Number"

Send Add_Report_Column "Line" 80 eRC_Integer eRC_Standard "OrderDtl.Detail_Number"

Send Add_Report_Column "Item" 100 eRC_String eRC_Standard "OrderDtl.Item_ID"

Send Add_Report_Column "Qty" 80 eRC_Integer eRC_Standard "OrderDtl.Qty_Ordered"

Send Add_Report_Column "Price" 80 eRC_Currency eRC_Standard "OrderDtl.Price"

Send Add_Report_Column "Line Total" 100 eRC_Currency eRC_Standard "OrderDtl.Extended_Price"

Send Add_Report_Column "Sales Person" 100 eRC_String eRC_Standard "SalesP.Name"

Send Add_Report_Column "Customer" 150 eRC_String eRC_Standard "Customer.Name"

Send Add_Report_Column "Dated" 80 eRC_Date eRC_Standard "OrderHea.Order_Date"

Send Add_Report_Column "Order Total" 100 eRC_Currency eRC_Standard "OrderHea.Order_Total"

Send Add_Report_Column "!" 100 eRC_String eRC_Standard "OrderHea.Order_Total" ;

"(If(OrderHea.Order_Total > 10000 , 'Large Order' , ''))"

Send Add_Report_Column "Customer" 0 eRC_String eRC_Preview "Customer.Comments"

End_Procedure


psColumn_Label - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

psColumn_Label

 Previous topic Next topic

Prototype

Function psColumn_Label Integer iColumn Returns String

Default Value

not applicable

Access

Read Only

Description

Returns the name of column in the report.

Example

Get psColumn_Label iColumn to sLabel

Set pbRow_Color to True

Procedure OnSetRowColor Integer iColumn String sValue

String sColumn_Label

Get psColumn_Label iColumn to sColumn_Label

If (sColumn_Label = 'Order') Begin

If (Mod(Integer(sValue),2)=0) Set piRow_BackColor to clAqua

End

End_Procedure


CSV_Export - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

CSV_Export

 Previous topic Next topic

Prototype

Procedure CSV_Export

Parameters

None

Return Parameters

Not Applicable

Description

This method will popup a dialog asking for an output file name and then export the currently selected rows in CSV format.

Example

Send CSV_Export


DefaultLayout - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

DefaultLayout

 Previous topic Next topic

Prototype

Procedure DefaultLayout

Parameters

None

Return Parameters

Not Applicable

Description

This method will reset the report to the initial programmed layout.

Example

Send DefaultLayout


DeselectAll - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

DeselectAll

 Previous topic Next topic

Prototype

Procedure DeselectAll

Parameters

None

Return Parameters

Not Applicable

Description

This method will deselect and rows that are currently selected.

Example

Send DeselectAll


Ensure_Visible - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

Ensure_Visible

 Previous topic Next topic

Prototype

Function Ensure_Visible String sTag Returns Boolean

Parameters

sTag

The unique ID for the row

Return Parameters

Boolean

Returns true if the Tag has been found and the row made visible.

Description

This will find the first row with a Tag that matches sTag and move the focus to it. If the row is in a closed group the group will be expanded. The report will be scrolled if necessary.


Filter_Rows - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

Filter_Rows

 Previous topic Next topic

Prototype

Procedure Filter_Rows String sValue

Parameters

sValue

The value to filter on.

Return Parameters

Not Applicable

Description

This method will limited the rows displayed to any the contain sValue. Every column is checked.

Setting the filter to "A" will limited the rows to any that has the letter A in any column.

Setting the filter to "ABC" will limited the rows to any that has the letter combination ABC in any column.

Example

Send Filter_Rows sValue


Invert_Selection - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

Invert_Selection

 Previous topic Next topic

Prototype

Procedure Invert_Selection

Parameters

None

Return Parameters

Not Applicable

Description

This method will invert the selection state of all rows in the report.

Example

Send Invert_Selection


PreviewReport - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

PreviewReport

 Previous topic Next topic

Prototype

Procedure PreviewReport

Parameters

None

Return Parameters

Not Applicable

Description

This method will show the print preview window.

Example

Send PreviewReport


PrintReport - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

PrintReport

 Previous topic Next topic

Prototype

Procedure PrintReport

Parameters

None

Return Parameters

Not Applicable

Description

This method will show the print dialog so that the report can be printed.

Example

Send PrintReport


Process_Rows - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

Process_Rows

 Previous topic Next topic

Prototype

Procedure Process_Rows

Parameters

None

Return Parameters

Not Applicable

Description

This method will fired the event OnProcess_Rows or OnProcess_Rows_RowID for each row that is currently selected.

If pbRowID_Mode is False then OnProcess_Rows is fired.

If pbRowID_Mode is True then OnProcess_Rows_RowID is fired.

Example

One of the Features we added to the Report Control is to Process Selected Rows of data. For example we may wish to change the Planned date.

First thing we need to add an item to the Context menu as follows

Procedure OnAdd_ContextMenu_ReportArea Handle hoContextMenu

Send Add_MenuItem of hoContextMenu "Change Planned Replacement Date" "mUpdate_Planned_Date" False

End_Procedure

We need a method that is call from the Context Menu

Procedure mUpdate_Planned_Date

String sValue

Integer iResponse

Get pdNew_Planned_Date_Value to sValue

If (sValue > "")Begin

Move (YesNo_Box(("Change Planned Date for all selected items to" * String(sValue)),"Update Planned Date",MB_DEFBUTTON2)) to iResponse

If (iResponse = MBR_YES) Begin

Set psProcess_Type to "Change_Planned_Date"

Send Process_Rows

End

Send Refresh_Report

End

Else Send Info_Box "You've not selected a date"

Set psProcess_Type to ""

En End_Procedure

The OnProcess_Rows get automatically called Process_Rows for each selected rows

Procedure OnProcess_Rows String sID String sProcess_Type Boolean ByRef bCancel

Date dValue

Get pdNew_Planned_Date_Value to dValue

Send Clear of Tickets_DD

Move sID to Tickets.Ticket

Send Find of Tickets_DD Eq 1

If (Found) Begin

If (sProcess_Type = "Change_Planned_Date") Begin

Set Field_Changed_Value of Tickets_DD Field Tickets.Planned_Date to dValue

Send Request_Save of Tickets_DD

End

End

End_Procedure

Or if your using Row_Id

Procedure OnProcess_Rows_RowID RowID Row_ID String sProcess_Type Boolean ByRef bCancel

Date dValue

Send Clear of Tickets_DD

Send FindByRowID of Tickets_DD Tickets.File_Number Row_ID

If (Found) Begin

If (sProcess_Type = "Change_Planned_Date") Begin

Get pdNew_Planned_Date_Value to dValue

Set Field_Changed_Value of Tickets_DD Field Tickets.Planned_Date to dValue

Send Request_Save of Tickets_DD

End

End

End_Procedure


Rebuild_Report - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

Rebuild_Report

 Previous topic Next topic

Prototype

Procedure Rebuild_Report

Parameters

None

Return Parameters

Not Applicable

Description

This method will rebuild the report and reload the data.

If there is a layout saved in the registry and pbPX_Save_Layout is True then the layout will be reset to the saved layout, otherwise the default programmed layout will be used.

Use Refresh_Report if you only want the date refreshed.

Example

Send Rebuild_Report


Refresh_Report - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

Refresh_Report

 Previous topic Next topic

Prototype

Procedure Refresh_Report

Parameters

None

Return Parameters

Not Applicable

Description

This method will reload all the data in the report.

To completely reset the report use Rebuild_Report

Example

Send Refresh_Report


SelectAll - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Methods:

SelectAll

 Previous topic Next topic

Prototype

Procedure SelectAll

Parameters

None

Return Parameters

Not Applicable

Description

This method will select all the rows in the report.

Example

Send SelectAll


OnActive_Track - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnActive_Track

 Previous topic Next topic

Prototype

Procedure OnActive_Track String sID

Parameters

sID

The unique reference for the row data record

Return Parameters

Not Applicable

Description

This event is fired when pbActive_Track is True.

The purpose of this method is to update other DEO's with the data from the selected row.

If pbRowID_Mode is True the record for the row will have been found via the data dictionary specified in phoDD and sID will contain the de-serialised RowID for the record.

If pbRowID_Mode is False sID will contain the unique reference for the record, but the record will NOT have been found. (The record is not found as we cannot know if the reference is a unique key for the data dictionary specified in phoDD.)

Example

These examples will find the current record base on value of a column, by default this is the first column, this can be changed by setting piRef_Column to the column of your choice, note this must unique for Active tracking to work. Note you do not need to use the OnActive_Track method if you have set Set pbRowID_Mode to True

Set pbActive_Track to True

In this case the recnum value is being passed

Procedure OnActive_Track String sID

Send Find_By_Recnum of Tms023_DD Tms023.File_Number (Integer(sID))

End_Procedure

In this case the Company Name value is being passed

Procedure OnActive_Track String sID

Send Clear of oCompany_DD

Move sID to Company.Name

Send Find of oCompany_DD Eq 1

End_Procedure


OnAdd_ContextMenu_GroupBox - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnAdd_ContextMenu_GroupBox

 Previous topic Next topic

Prototype

Procedure OnAdd_ContextMenu_GroupBox Handle hoContextMenu

Parameters

hoContextMenu

The unique reference for the Context Menu

Return Parameters

Not Applicable

Description

This event is fired when loading the Report Control object.

The purpose of this method is to allow adding Context Menu options from the Standard.

Example

Procedure OnAdd_ContextMenu_ReportArea Handle hoContextMenu

Send Add_MenuItem of hoContextMenu "Process Selected Rows" "Process_Rows" True

End_Procedure


OnAdd_ContextMenu_Header - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnAdd_ContextMenu_Header

 Previous topic Next topic

Prototype

Procedure OnAdd_ContextMenu_Header Handle hoContextMenu

Parameters

hoContextMenu

The unique reference for the Context Menu

Return Parameters

Not Applicable

Description

This event is fired when loading the Report Control object.

The purpose of this method is to allow adding Context Menu options from the Standard.

Example

Procedure OnAdd_ContextMenu_ReportArea Handle hoContextMenu

Send Add_MenuItem of hoContextMenu "Process Selected Rows" "Process_Rows" True

End_Procedure


OnAdd_ContextMenu_ReportArea - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnAdd_ContextMenu_ReportArea

 Previous topic Next topic

Prototype

Procedure OnAdd_ContextMenu_ReportArea Handle hoContextMenu

Parameters

hoContextMenu

The unique reference for the Context Menu

Return Parameters

Not Applicable

Description

This event is fired when loading the Report Control object.

The purpose of this method is to allow adding Context Menu options from the Standard.

Example

Procedure OnAdd_ContextMenu_ReportArea Handle hoContextMenu

Send Add_MenuItem of hoContextMenu "Process Selected Rows" "Process_Rows" True

End_Procedure


OnAfter_Load_Data - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnAfter_Load_Data

 Previous topic Next topic

Prototype

Procedure OnAfter_Load_Data

Parameters

None

Return Parameters

Not Applicable

Description

This event is fired after the data has been loaded by the Report control.

It is provided for any post data load processing that you wish to do.


OnBefore_Load_Data - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnBefore_Load_Data

 Previous topic Next topic

Prototype

Procedure OnBefore_Load_Data

Parameters

None

Return Parameters

Not Applicable

Description

This event is fired before the data is loaded by the Report control.

It is provided for any pre data load processing that you wish to do.


OnBuild_SQL_Statement - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnBuild_SQL_Statement

 Previous topic Next topic

Prototype

Procedure OnBuild_SQL_Statement

Parameters

None

Return Parameters

Not Applicable

Description

If psSQL_Select_Statment contains an empty string then this event is fired before the SQL statement is constructed.

If psSQL_Select_Statment contains a value then the class assumes that it contains a complete and valid SQL statement is uses it instead.

If you set any of the properties listed below then they will be used in the SQL statement. If a property is not set then the SQL building routine will use the columns and or data dictionary information already define in the report.

After the SQL statement has been build psSQL_Select_Statment will contain the complete statement.

pbSQL_Case

psSQL_From

psSQL_OrderBy

psSQL_Select

psSQL_Where

Example

These examples how to use SQL properties.

It is not necessary to use these properties as the report control will automatically build the SQL statements required for you, these properties can be overridden which allows for you to write whatever SQL statements you may require.

Set peDb_Type to eRC_db_SQL

Set pbSQL_Case to True

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Case when Ticket.outstanding='Y' then 1 else 0 end)"

Set pbSQL_Case to False

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(If((Ticket.outstanding='Y'),True,False))"

Or

Send Add_Report_Column "To Do" 40 eRC_String eRC_CheckBox "Ticket.outstanding" "(Ticket.outstanding='Y')"

Set pbSQL_Select to "Orderhrd.Order_Ref, Orderhrd.Title, Company.Company_Id, Company.Name, Staff.Staff_No, Staff_Name"

Set pbSQL_From to "Orderhrd, Company, Staff"

Set pbSQL_Where to "Orderhrd.Company_Id = Company.Company_Id and Orderhrd.Sales_Person_Id = Staff.Staff_No"

Set pbSQL_Order_By to "Orderhrd.Sales_Person_Id, Orderhrd.Order_Ref"

StraString sSQL_Statement

f (psif (psSQL_Select(Self) <> "") Move (Append(sSQL_Statement,("select" * String(psSQL_Select(Self)) ))) to sSQL_Statement

If (psSQL_From(Self) <> "") Move (Append(sSQL_Statement,(" from" * String(psSQL_From(Self)) ))) to sSQL_Statement

If (psSQL_Where(Self) <> "") Move (Append(sSQL_Statement,(" where" * String(psSQL_Where(Self)) ))) to sSQL_Statement

If (psSQL_OrderBy(Self) <> "") Move (Append(sSQL_Statement,(" order by" * String(psSQL_OrderBy(Self)) ))) to sSQL_Statement

Set psSQL_Select_Statment to sSQL_Statement

Real world example of setting the where statement from information the user has selected in the view

Set peDb_Type to eRC_db_SQL

Procedure OnBuild_SQL_Statement

String sCompany_Id

Boolean bShowOutstanding

Get Field_Current_Value of oCompany_DD Field Company.Company_IDd to sCompany_Id

Get Checked_State of oShowOutstanding to bShowOutstanding

Set psSQL_Where to ("Contract.Company_Id = '" * String(sCompany_Id) + "' " + (If(bShowOutstanding,"And Contract.End_Date > GetDate()",'')))

EnEnd_Procedure


OnClose_DataSource - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnClose_DataSource

 Previous topic Next topic

Prototype

Procedure OnClose_DataSource

Parameters

None

Return Parameters

Not Applicable

Description

This only applies when peDb_Type is set to eRC_db_Text

This event is fired after pbEOF has been set True.

Place any code needed to close the text file(s) in this event.

Example

This is really for adding data manually to the Report Control

Procedure OnDefine_Columns

Send Add_Report_Column "Date" 70 eRC_Date eRC_Standard

Send Add_Report_Column "Time" 60 eRC_String eRC_Standard

Send Add_Report_Column "User" 120 eRC_String eRC_Standard

Send Add_Report_Column "Error No." 60 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Line" 80 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Text" 600 eRC_Text eRC_Standard

End_Procedure

Procedure OnOpen_DataSource

Integer iCh_No

String sLine sPath

Get psHome of (phoWorkspace(ghoApplication)) to sPath

Get Seq_New_Channel to iCh_No

Set piCh_No to iCh_No

Direct_Input channel iCh_No (sPath - "Error.log")

Readln channel iCh_No sLine //Skip header rows

Readln channel iCh_No sLine

Set pbEOF to (SeqEof)

End_Procedure

Procedure OnPrepare_RowData

Integer iCh_No iLoop iColumn_Count

String sLine

Get piCh_No to iCh_No

Get piColumn_Count to iColumn_Count

Readln channel iCh_No sLine

If (SeqEof) Begin

Set pbEOF to True

End

Else Begin

Send Add_Item_Data (Mid(sLine, 10, 1)) //Date

Send Add_Item_Data (Mid(sLine, 8, 12)) //Time

Send Add_Item_Data (Mid(sLine, 20, 20)) //User

Send Add_Item_Data (Mid(sLine, 6, 41)) //Error No.

Send Add_Item_Data (Mid(sLine, 8, 48)) //Error Line

Send Add_Item_Data (Mid(sLine, 500, 57)) //Error Text

End

End_Procedure

Procedure OnClose_DataSource

Integer iCh_No

Get piCh_No to iCh_No

Close_Input channel iCh_No

Send Seq_Release_Channel iCh_No

End_Procedure


OnCreateColumn - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnCreateColumn

 Previous topic Next topic

Prototype

Procedure OnCreateColumn Integer iColumn Handle hoCol

Parameters

iColumn | The column number
hoCol | Handle to the column object

Return Parameters

Not Applicable

Description

It is fired after the column has been created.

It is provided so that the column properties can be adjusted.

The only Column property currently exposed is the icon property (psImage).

Until the other properties are exposed you will have to interact directly with the report control COM wrapper.

Example

This example we are changing the Column Alignment

Procedure OnCreateColumn Integer iColumn Handle hoCol

String sColumn_Label

Get psColumn_Label iColumn to sColumn_Label

If (sColumn_Label = 'Status') Begin

Set ComAlignment of hoCol to OLExtpAlignmentCenter

End

End_Procedure


OnCreateRowItem - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnCreateRowItem

 Previous topic Next topic

Prototype

Procedure OnCreateRowItem Integer iColumn Handle hoItem String sValue

Parameters

iColumn | The column number
hoItem | Handle to the item object
sValue | The value that has been assigned to the item

Return Parameters

Not Applicable

Description

This event is fired when pbRow_Item is True.

It is fired after the item has been created.

It is provided so that the item properties can be adjusted.

The only Item property currently exposed is the icon property (psImage).

Until the other properties are exposed you will have to interact directly with the report control COM wrapper.

Example

These examples how to use Row Item feature

Set pbRow_Item to True

Procedure OnCreateRowItem Integer iColumn Handle hoItem String sValue

If (iColumn = 10) Begin

If (Trim(sValue) > "") Set psImage of hoItem to "FlagUK_16.bmp"

End

End_Procedure


OnDefine_Columns - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnDefine_Columns

 Previous topic Next topic

Prototype

Procedure OnDefine_Columns

Parameters

sID

The unique reference for the row data record

Return Parameters

Not Applicable

Description

This event is fired when pbAuto_Columns is False.

You need to code an Add_Report_Column statement for each column you want added to the report.

Example

Procedure OnDefine_Columns

Send Add_Report_Column "Order" 80 eRC_Integer eRC_Standard "OrderDtl.Order_Number"

Send Add_Report_Column "Line" 80 eRC_Integer eRC_Standard "OrderDtl.Detail_Number"

Send Add_Report_Column "Item" 100 eRC_String eRC_Standard "OrderDtl.Item_ID"

Send Add_Report_Column "Qty" 80 eRC_Integer eRC_Standard "OrderDtl.Qty_Ordered"

Send Add_Report_Column "Price" 80 eRC_Currency eRC_Standard "OrderDtl.Price"

Send Add_Report_Column "Line Total" 100 eRC_Currency eRC_Standard "OrderDtl.Extended_Price"

Send Add_Report_Column "Sales Person" 100 eRC_String eRC_Standard "SalesP.Name"

Send Add_Report_Column "Customer" 150 eRC_String eRC_Standard "Customer.Name"

Send Add_Report_Column "Dated" 80 eRC_Date eRC_Standard "OrderHea.Order_Date"

Send Add_Report_Column "Order Total" 100 eRC_Currency eRC_Standard "OrderHea.Order_Total"

Send Add_Report_Column "!" 100 eRC_String eRC_Standard "OrderHea.Order_Total" "(If(OrderHea.Order_Total > 10000 , 'Large Order' , ''))"

Send Add_Report_Column "Customer" 0 eRC_String eRC_Preview "Customer.Comments"

End_Procedure


OnDouble_Click - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnDouble_Click

 Previous topic Next topic

Prototype

Procedure OnDouble_Click String sID

Parameters

sID

The unique reference for the row data record

Return Parameters

Not Applicable

Description

This event is only fired if pbRowID_Mode is False.

This event is fired when the user double left clicks on a report row.

Example

Procedure OnDouble_Click String sID

Send Clear of OrderDtl_DD

Move sID to OrderDtl.Order_Number

Send Find of OrderDtl_DD Eq 1

If (Found) Begin

Send Activate_Order_View OrderDtl.Order_Number

End

End_Procedure


OnDouble_Click_RowID - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnDouble_Click_RowID

 Previous topic Next topic

Prototype

Procedure OnDouble_Click_RowID RowID Row_ID

Parameters

Row_ID

The Deserialised Row_Id

Return Parameters

Not Applicable

Description

This event is only fired if pbRowID_Mode is True.

This event is fired when the user double left clicks on a report row.

Example

This is really for adding data manually to the Report Control

Procedure OnDouble_Click_RowID RowID Row_ID

Boolean bFound

Move (FindByRowId(OrderDtl.File_Number, Row_ID)) to bFound

If (bFound) Begin

Send Activate_Order_View OrderDtl.Order_Number

End

End_Procedure


OnFiltered_Row_Count - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnFiltered_Row_Count

 Previous topic Next topic

Prototype

Procedure OnReport_Row_Count Integer iFiltered_Count

Parameters

iFiltered_Count

Return Parameters

Not Applicable

Description

This event is fired when the filtered row count changes.

Example

Procedure OnFiltered_Row_Count Integer iFiltered_Count

Set Value of oFilter_Rows_Form to iFiltered_Count

End_Procedure


OnLeftClick_GroupBox - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnLeftClick_GroupBox

 Previous topic Next topic

Prototype

Procedure OnLeftClick_GroupBox Handle hoColumn

Parameters

hoColumn

The unique reference for the Column handle

Return Parameters

Not Applicable

Description

This event is fired On Left Click in the Group Box.

Example

Procedure OnLeftClick_GroupBox Handle hoColumn

Send AboutBox

End_Procedure


OnLeftClick_Header - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnLeftClick_Header

 Previous topic Next topic

Prototype

Procedure OnLeftClick_Header Handle hoColumn

Parameters

hoColumn

The unique reference for the Column handle

Return Parameters

Not Applicable

Description

This event is fired On Left Click in the Header.

Example

Procedure OnLeftClick_Header Handle hoColumn

Send AboutBox

End_Procedure


OnLeftClick_ReportArea - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnLeftClick_ReportArea

 Previous topic Next topic

Prototype

Procedure OnLeftClick_ReportArea Handle hoColumn Handle hoRow Handle hoItem

Parameters

hoColumn | The unique reference for the Column Handle
hoRow | The unique reference for the Row Handle
hoItem | The unique reference for the Item Handle

Return Parameters

Not Applicable

Description

This event is fired On Left Click in the Report Area.

Example

Procedure OnLeftClick_ReportArea Handle hoColumn Handle hoRow Handle hoItem

Send AboutBox

End_Procedure


OnLoad_End - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnLoad_End

 Previous topic Next topic

Prototype

Procedure OnLoad_End Integer iRow_Count

Parameters

iRow_Count | The current value of piRow_Count

Return Parameters

Not Applicable

Description

This only applies when piLoad_Monitor is set to a value greater than zero.

This event is fired after the data is loaded. iRow_Count contains number of records loaded.

Example

These examples how to use the load monitor, this can be handy when reviewing loading speed issues

Procedure OnLoad_Start Integer iMax_Rows

If (iMax_Rows = 0) Begin

Get_Attribute DF_FILE_RECORDS_USED of (Main_File(Server(Self))) to iMax_Rows

End

Set ComMax of oSigCJProgressBar1 to iMax_Rows

End_Procedure

Procedure OnLoad_Monitor Integer iRow_Count

Integer iOuter iInner iMax_Rows iMax

Get ComMax of oSigCJProgressBar1 to iMax_Rows

Move (iMax_Rows/20) to iMax

While (iMax < iRow_Count)

Move (iMax + iMax) to iMax

Loop

If (iMax = iRow_Count) Send Do_Update of oSigCJProgressBar1 iRow_Count

End_Procedure

Procedure OnLoad_End Integer iRow_Count

Send Reset_bar of oSigCJProgressBar1

Send sigInfo_Box ("Load Time for" * String(iRow_Count) * "rows is" * String(ptsTimeSpan_Load(Self)) ) "Load Times"

End_Procedure

Progress bar Object

Object oSigCJProgressBar1 is a cSigCJProgressBar

Set Size to 13 387

Set Location to 199 59

Set peAnchors to anBottomLeftRight

Set peStyle to ePR_BarSmooth

Set pbFlatStyle to True

Set piBarColor to (RGB(128,197,255))

Procedure Do_Update Integer iVal

Set ComValue to iVal

Set ComText to ("Loading Data Please Wait..." * String(iVal))

End_Procedure

Procedure Reset_Bar

Set ComValue to 0

Set ComText to ""

End_Procedure

End_Object


OnLoad_Monitor - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnLoad_Monitor

 Previous topic Next topic

Prototype

Procedure OnLoad_Monitor Integer iRow_Count

Parameters

iRow_Count | The current value of piRow_Count

Return Parameters

Not Applicable

Description

This only applies when piLoad_Monitor is set to a value greater than zero.

This event is fired during the data loading loop. It fires when the number of records loaded is divisible by the value in piLoad_Monitor.

If piLoad_Monitor is set to 5 then this event will fire every 5 records, if piLoad_Monitor is set to 100 then this event will fire every 100 records. This allows you to balance the feed back between speed and user confidence.

Example

These examples how to use the load monitor, this can be handy when reviewing loading speed issues

Procedure OnLoad_Start Integer iMax_Rows

If (iMax_Rows = 0) Begin

Get_Attribute DF_FILE_RECORDS_USED of (Main_File(Server(Self))) to iMax_Rows

End

Set ComMax of oSigCJProgressBar1 to iMax_Rows

End_Procedure

Procedure OnLoad_Monitor Integer iRow_Count

Integer iOuter iInner iMax_Rows iMax

Get ComMax of oSigCJProgressBar1 to iMax_Rows

Move (iMax_Rows/20) to iMax

While (iMax < iRow_Count)

Move (iMax + iMax) to iMax

Loop

If (iMax = iRow_Count) Send Do_Update of oSigCJProgressBar1 iRow_Count

End_Procedure

Procedure OnLoad_End Integer iRow_Count

Send Reset_bar of oSigCJProgressBar1

Send sigInfo_Box ("Load Time for" * String(iRow_Count) * "rows is" * String(ptsTimeSpan_Load(Self)) ) "Load Times"

End_Procedure

Progress bar Object

Object oSigCJProgressBar1 is a cSigCJProgressBar

Set Size to 13 387

Set Location to 199 59

Set peAnchors to anBottomLeftRight

Set peStyle to ePR_BarSmooth

Set pbFlatStyle to True

Set piBarColor to (RGB(128,197,255))

Procedure Do_Update Integer iVal

Set ComValue to iVal

Set ComText to ("Loading Data Please Wait..." * String(iVal))

End_Procedure

Procedure Reset_Bar

Set ComValue to 0

Set ComText to ""

End_Procedure

End_Object


OnLoad_Start - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnLoad_Start

 Previous topic Next topic

Prototype

Procedure OnLoad_Start Integer iMax_Rows

Parameters

iMax_Rows | The current value of piMax_Rows

Return Parameters

Not Applicable

Description

This only applies when piLoad_Monitor is set to a value greater than zero.

This event is fired before the data is loaded. piMax_Row is passed as a parameter for convenience. If piMax_Rows has been set it may be useful for specifying the maximum value of a progress bar.

Example

These examples how to use the load monitor, this can be handy when reviewing loading speed issues

Procedure OnLoad_Start Integer iMax_Rows

If (iMax_Rows = 0) Begin

Get_Attribute DF_FILE_RECORDS_USED of (Main_File(Server(Self))) to iMax_Rows

End

Set ComMax of oSigCJProgressBar1 to iMax_Rows

End_Procedure

Procedure OnLoad_Monitor Integer iRow_Count

Integer iOuter iInner iMax_Rows iMax

Get ComMax of oSigCJProgressBar1 to iMax_Rows

Move (iMax_Rows/20) to iMax

While (iMax < iRow_Count)

Move (iMax + iMax) to iMax

Loop

If (iMax = iRow_Count) Send Do_Update of oSigCJProgressBar1 iRow_Count

End_Procedure

Procedure OnLoad_End Integer iRow_Count

Send Reset_bar of oSigCJProgressBar1

Send sigInfo_Box ("Load Time for" * String(iRow_Count) * "rows is" * String(ptsTimeSpan_Load(Self)) ) "Load Times"

End_Procedure

Progress bar Object

Object oSigCJProgressBar1 is a cSigCJProgressBar

Set Size to 13 387

Set Location to 199 59

Set peAnchors to anBottomLeftRight

Set peStyle to ePR_BarSmooth

Set pbFlatStyle to True

Set piBarColor to (RGB(128,197,255))

Procedure Do_Update Integer iVal

Set ComValue to iVal

Set ComText to ("Loading Data Please Wait..." * String(iVal))

End_Procedure

Procedure Reset_Bar

Set ComValue to 0

Set ComText to ""

End_Procedure

End_Object


OnOpen_DataSource - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnOpen_DataSource

 Previous topic Next topic

Prototype

Procedure OnOpen_DataSource

Parameters

None

Return Parameters

Not Applicable

Description

This only applies when peDb_Type is set to eRC_db_Text

Place any code needed to open the text file(s) in this event.

Example

This is really for adding data manually to the Report Control

Procedure OnDefine_Columns

Send Add_Report_Column "Date" 70 eRC_Date eRC_Standard

Send Add_Report_Column "Time" 60 eRC_String eRC_Standard

Send Add_Report_Column "User" 120 eRC_String eRC_Standard

Send Add_Report_Column "Error No." 60 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Line" 80 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Text" 600 eRC_Text eRC_Standard

End_Procedure

Procedure OnOpen_DataSource

Integer iCh_No

String sLine sPath

Get psHome of (phoWorkspace(ghoApplication)) to sPath

Get Seq_New_Channel to iCh_No

Set piCh_No to iCh_No

Direct_Input channel iCh_No (sPath - "Error.log")

Readln channel iCh_No sLine //Skip header rows

Readln channel iCh_No sLine

Set pbEOF to (SeqEof)

End_Procedure

Procedure OnPrepare_RowData

Integer iCh_No iLoop iColumn_Count

String sLine

Get piCh_No to iCh_No

Get piColumn_Count to iColumn_Count

Readln channel iCh_No sLine

If (SeqEof) Begin

Set pbEOF to True

End

Else Begin

Send Add_Item_Data (Mid(sLine, 10, 1)) //Date

Send Add_Item_Data (Mid(sLine, 8, 12)) //Time

Send Add_Item_Data (Mid(sLine, 20, 20)) //User

Send Add_Item_Data (Mid(sLine, 6, 41)) //Error No.

Send Add_Item_Data (Mid(sLine, 8, 48)) //Error Line

Send Add_Item_Data (Mid(sLine, 500, 57)) //Error Text

End

End_Procedure

Procedure OnClose_DataSource

Integer iCh_No

Get piCh_No to iCh_No

Close_Input channel iCh_No

Send Seq_Release_Channel iCh_No

End_Procedure


OnPrepare_RowData - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnPrepare_RowData

 Previous topic Next topic

Prototype

Procedure OnPrepare_RowData

Parameters

None

Return Parameters

Not Applicable

Description

This only applies when peDb_Type is set to eRC_db_Text

This is the event where you add the data to the report. The event is called for each report row. When there is no more data set pbEOF to True.

You must call Add_Item_Data for each column in the report.

Example

This is really for adding data manually to the Report Control

Procedure OnDefine_Columns

Send Add_Report_Column "Date" 70 eRC_Date eRC_Standard

Send Add_Report_Column "Time" 60 eRC_String eRC_Standard

Send Add_Report_Column "User" 120 eRC_String eRC_Standard

Send Add_Report_Column "Error No." 60 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Line" 80 eRC_Integer eRC_Standard

Send Add_Report_Column "Error Text" 600 eRC_Text eRC_Standard

End_Procedure

Procedure OnOpen_DataSource

Integer iCh_No

String sLine sPath

Get psHome of (phoWorkspace(ghoApplication)) to sPath

Get Seq_New_Channel to iCh_No

Set piCh_No to iCh_No

Direct_Input channel iCh_No (sPath - "Error.log")

Readln channel iCh_No sLine //Skip header rows

Readln channel iCh_No sLine

Set pbEOF to (SeqEof)

End_Procedure

Procedure OnPrepare_RowData

Integer iCh_No iLoop iColumn_Count

String sLine

Get piCh_No to iCh_No

Get piColumn_Count to iColumn_Count

Readln channel iCh_No sLine

If (SeqEof) Begin

Set pbEOF to True

End

Else Begin

Send Add_Item_Data (Mid(sLine, 10, 1)) //Date

Send Add_Item_Data (Mid(sLine, 8, 12)) //Time

Send Add_Item_Data (Mid(sLine, 20, 20)) //User

Send Add_Item_Data (Mid(sLine, 6, 41)) //Error No.

Send Add_Item_Data (Mid(sLine, 8, 48)) //Error Line

Send Add_Item_Data (Mid(sLine, 500, 57)) //Error Text

End

End_Procedure

Procedure OnClose_DataSource

Integer iCh_No

Get piCh_No to iCh_No

Close_Input channel iCh_No

Send Seq_Release_Channel iCh_No

End_Procedure


OnProcess_Rows - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnProcess_Rows

 Previous topic Next topic

Prototype

Procedure OnProcess_Rows String sID

Parameters

sID

The unique reference for the row data record

Return Parameters

Not Applicable

Description

This event is only fired if pbRowID_Mode is False.

This event is fired for each record that is currently selected when Process_Rows is called.

Example

One of the Features we added to the Report Control is to Process Selected Rows of data. For example we may wish to change the Planned date.

First thing we need to add an item to the Context menu as follows

Procedure OnAdd_ContextMenu_ReportArea Handle hoContextMenu

Send Add_MenuItem of hoContextMenu "Change Planned Replacement Date" "mUpdate_Planned_Date" False

End_Procedure

We need a method that is call from the Context Menu

Procedure mUpdate_Planned_Date

String sValue

Integer iResponse

Get pdNew_Planned_Date_Value to sValue

If (sValue > "")Begin

Move (YesNo_Box(("Change Planned Date for all selected items to" * String(sValue)),"Update Planned Date",MB_DEFBUTTON2)) to iResponse

If (iResponse = MBR_YES) Begin

Set psProcess_Type to "Change_Planned_Date"

Send Process_Rows

End

Send Refresh_Report

End

Else Send Info_Box "You've not selected a date"

Set psProcess_Type to ""

En End_Procedure

The OnProcess_Rows get automatically called Process_Rows for each selected rows

Procedure OnProcess_Rows String sID String sProcess_Type Boolean ByRef bCancel

Date dValue

Get pdNew_Planned_Date_Value to dValue

Send Clear of Tickets_DD

Move sID to Tickets.Ticket

Send Find of Tickets_DD Eq 1

If (Found) Begin

If (sProcess_Type = "Change_Planned_Date") Begin

Set Field_Changed_Value of Tickets_DD Field Tickets.Planned_Date to dValue

Send Request_Save of Tickets_DD

End

End

End_Procedure

Or if your using Row_Id

Procedure OnProcess_Rows_RowID RowID Row_ID String sProcess_Type Boolean ByRef bCancel

Date dValue

Send Clear of Tickets_DD

Send FindByRowID of Tickets_DD Tickets.File_Number Row_ID

If (Found) Begin

If (sProcess_Type = "Change_Planned_Date") Begin

Get pdNew_Planned_Date_Value to dValue

Set Field_Changed_Value of Tickets_DD Field Tickets.Planned_Date to dValue

Send Request_Save of Tickets_DD

End

End

End_Procedure


OnProcess_Rows_RowID - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnProcess_Rows_RowID

 Previous topic Next topic

Prototype

Procedure OnProcess_Rows_RowID RowID Row_ID

Parameters

Row_ID

The Deserialised Row_Id

Return Parameters

Not Applicable

Description

This event is only fired if pbRowID_Mode is True.

This event is fired for each record that is currently selected when Process_Rows is called.

Example

One of the Features we added to the Report Control is to Process Selected Rows of data. For example we may wish to change the Planned date.

First thing we need to add an item to the Context menu as follows

Procedure OnAdd_ContextMenu_ReportArea Handle hoContextMenu

Send Add_MenuItem of hoContextMenu "Change Planned Replacement Date" "mUpdate_Planned_Date" False

End_Procedure

We need a method that is call from the Context Menu

Procedure mUpdate_Planned_Date

String sValue

Integer iResponse

Get pdNew_Planned_Date_Value to sValue

If (sValue > "")Begin

Move (YesNo_Box(("Change Planned Date for all selected items to" * String(sValue)),"Update Planned Date",MB_DEFBUTTON2)) to iResponse

If (iResponse = MBR_YES) Begin

Set psProcess_Type to "Change_Planned_Date"

Send Process_Rows

End

Send Refresh_Report

End

Else Send Info_Box "You've not selected a date"

Set psProcess_Type to ""

En End_Procedure

The OnProcess_Rows get automatically called Process_Rows for each selected rows

Procedure OnProcess_Rows String sID String sProcess_Type Boolean ByRef bCancel

Date dValue

Get pdNew_Planned_Date_Value to dValue

Send Clear of Tickets_DD

Move sID to Tickets.Ticket

Send Find of Tickets_DD Eq 1

If (Found) Begin

If (sProcess_Type = "Change_Planned_Date") Begin

Set Field_Changed_Value of Tickets_DD Field Tickets.Planned_Date to dValue

Send Request_Save of Tickets_DD

End

End

End_Procedure

Or if your using Row_Id

Procedure OnProcess_Rows_RowID RowID Row_ID String sProcess_Type Boolean ByRef bCancel

Date dValue

Send Clear of Tickets_DD

Send FindByRowID of Tickets_DD Tickets.File_Number Row_ID

If (Found) Begin

If (sProcess_Type = "Change_Planned_Date") Begin

Get pdNew_Planned_Date_Value to dValue

Set Field_Changed_Value of Tickets_DD Field Tickets.Planned_Date to dValue

Send Request_Save of Tickets_DD

End

End

End_Procedure


OnReport_Row_Count - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnReport_Row_Count

 Previous topic Next topic

Prototype

Procedure OnReport_Row_Count Integer iRow_Count

Parameters

iRow_Count

Return Parameters

Not Applicable

Description

This event is fired when the report row count changes.

Example

Procedure OnReport_Row_Count Integer iRow_Count

Set Value of oRows_Form to iRow_Count

End_Procedure


OnSelected_Row_Count - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnSelected_Row_Count

 Previous topic Next topic

Prototype

Procedure OnSelected_Row_Count Integer iSelectedCount

Parameters

iSelectedCount

Return Parameters

Not Applicable

Description

This event is fired when the report selected row count changes.

Example

Procedure OnSelected_Row_Count Integer iSelectedCount

Set Value of oSelected_Rows_Form to iSelectedCount

End_Procedure


OnSetColumnFormats - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnSetColumnFormats

 Previous topic Next topic

Prototype

Procedure OnSetColumnFormats

Parameters

None

Return Parameters

Not Applicable

Description

This event is fired after the column formats have been initialised. It is provided so tat the defaults can be overridden.

Example

Procedure OnSetColumnFormats

tdRC_Column_Formats tColumn_Formats

Get ptColumn_Formats to tColumn_Formats

Move True to tColumn_Formats[eRC_Currency].bBold

Move clBlue to tColumn_Formats[eRC_Currency].iForeColor

Set ptColumn_Formats to tColumn_Formats

End_Procedure


OnSetGrouping - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnSetGrouping

 Previous topic Next topic

Prototype

Procedure OnSetGrouping tdRC_Ordering[] ByRef taRC_Grouping

Parameters

taRC_Grouping

Array to define the required grouping

Return Parameters

Not Applicable

Description

This event is provided so that grouping can be set programmatically.

This event can be used to set an grouping,


OnSetItem_Color - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnSetItem_Color

 Previous topic Next topic

Prototype

Procedure OnSetItemColor Integer iColumn String sTag

Parameters

iColumn | The column number
sTag | This is the Unique reference for the row

Return Parameters

Not Applicable

Description

This event is fired when pbItem_Colors is True.

It is fired after the row has been added.

It is provided so that the row color can be changed.

Set piItem_ForeColor and piItem_BackColor to change the colors.

Example

This example show how to change the Item color base on data held within the row

Set pbItem_Colors to True

Procedure OnSetItemColor Integer iColumn String sValue

String sColumn_Name

Get psColumn_Label iColumn to sColumn_Name

If (sColumn_Name = 'Order Total') Begin

If (Number(sValue) > 5000) Begin

Set piItem_BackColor to clLime

End

If (Number(sValue) < 1000) Begin

Set piItem_BackColor to clLime

End

End

If (iColumn = 10) Begin

If (sValue > "") Begin

Set piItem_ForeColor to clRed

Set piItem_BackColor to clYellow

End

End

End_Procedure


OnSetOrdering - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnSetOrdering

 Previous topic Next topic

Prototype

Procedure OnSetOrdering tdRC_Ordering[] ByRef taRC_Ordering

Parameters

taRC_Ordering

Array to define the required sort order

Return Parameters

Not Applicable

Description

This event is provided so that the sort order can be set programmatically.

This event can be used to set an initial sort order,


OnSetRowColor - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Events:

OnSetRowColor

 Previous topic Next topic

Prototype

Procedure OnSetRowColor Integer iColumn String sTag

Parameters

iColumn | The column number
sTag | This is the Unique reference for the row

Return Parameters

Not Applicable

Description

This event is fired when pbRow_Colors is True.

It is fired after the row has been added.

It is provided so that the row color can be changed.

Set piRow_ForeColor and piRow_BackColor to change the colors.

Example

This example show how to change the row color base on data held within the row

Set pbRow_Colors to True

Procedure OnSetRowColor Integer iColumn String sValue

String sColumn_Name

Get psColumn_Label iColumn to sColumn_Name

If (sColumn_Name = 'Order') Begin

If (Mod(Integer(sValue),2)=0) Set piRow_BackColor to clAqua

End

End_Procedure


eRC_BestFit - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Enumerations:

eRC_BestFit

 Previous topic Next topic

Description

These values describe the the different best fit methods.

Name | Value | Notes
eRC_BestFit_None | 0 |
eRC_BestFit_Visible | 1 |
eRC_BestFit_All | 2 |


eRC_ColumnStyle - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Enumerations:

eRC_ColumnStyle

 Previous topic Next topic

Description

These values describe the different data style types supported by the class.

Name | Value | Notes
eRC_Standard | 0 | The data is displayed according to the type and formatting
eRC_CheckBox | 1 | The data is displayed as a check box value
eRC_Preview | 2 | The data is added to the preview (sub text) displayed below the row. If more than one columns is set to eRC_Preview the data is concatenated


eRC_DataType - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Enumerations:

eRC_DataType

 Previous topic Next topic

Description

These values describe the different data types supported by the class.

Name | Value | Notes
eRC_String | 0 | This first so string is default if data type not specified
eRC_Currency | 1 |
eRC_Date | 2 |
eRC_DateTime | 3 |
eRC_DTString | 4 | Datetime held as a String
eRC_Integer | 5 |
eRC_Real | 6 |
eRC_Decimal | 7 | It will work out the number decimal places, upto 8
eRC_Text | 8 | Text fields have automatic word wrap
eRC_Time | 9 |
eRC_Dev1 | 10 | For your Development formats
eRC_Dev2 | 11 | For your Development formats
eRC_Dev3 | 12 | For your Development formats
eRC_Last_DataType | 13 |


eRC_db_Type - cSigCJReportControl

Home topic SIG Codejock Library > Classes > cSigCJReportControl > Enumerations:

eRC_db_Type

 Previous topic Next topic

Description

These values describe the different database types supported by the class.

Name | Value | Notes
eRC_db_Table | 0 | Standard table access (both Dataflex tables and SQL server tables
eRC_db_SQL | 1 | Embedded SQL
eRC_db_Text | 2 | Text files. Any type fixed width / delimited


cSigCJShortcutCaption

Home topic SIG Codejock Library > Classes:

cSigCJShortcutCaption

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJSlider

Home topic SIG Codejock Library > Classes:

cSigCJSlider

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJSyntaxEdit

Home topic SIG Codejock Library > Classes:

cSigCJSyntaxEdit

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJTrayIcon

Home topic SIG Codejock Library > Classes:

cSigCJTrayIcon

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJTreeView

Home topic SIG Codejock Library > Classes:

cSigCJTreeView

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


cSigCJWebBrowser

Home topic SIG Codejock Library > Classes:

cSigCJWebBrowser

 Previous topic Next topic

SVN Package version - none

This control has not yet been done.

If you required this control please write it and send it in for inclusion in the project. The PushButton is a good example of the code layout and standards that are being used.

If you do write this component and require assistance please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/

p.s. Don't forget the help documentation


Excluded Controls

 Previous topic This is the last topic

These control will not be included in the SigCj project as we consider the versions supplied with VDF provide the necessary functionality.

GroupBox

MenuBar

MenuItem

RadioButton

Resizer

ScrollBar

Statusbar

StatusbarPane

TabControl

TabControlPage

ToolBar


Using the 3-Frame Option

Using the 3-frame layout option in Webhelp

Selecting the Premium Pack "3-frame layout" option displays an additional frame above the main help into which you can load an HTML page to integrate the help in your own website. You can define the height and HTML page name in the skin or template file but you must create the HTML page you want to use yourself.

The following instructions apply both for the *.hmxz project template version and for the *.hmxz skin version. For detailed instructions please refer to the Premium Pack help chapter, which you can find in the main Help & Manual Help.

1. Create the HTML file you want to load in the top frame. It should be suitable for loading into a narrow, banner-type strip.
2. If you want to store the HTML file in the same folder as your output add the HTML file and any graphics used in it to the Baggage Files section in Project Files > Baggage Files. If your HTML file is stored somewhere else you just need to include the URL to it in the next step.
3. Go to Configuration > Common Properties > Text Variables and enter the URL and/or name of the HTML file and the height of the top frame in the variables 3FRAME_PAGE and 3FRAME_HEIGHT. You can also turn on scrollbars in the top frame by entering "yes" or "auto" as the value for 3FRAME_SCROLLING but this is not recommended. Enter "no" for all normal web pages.
4. Delete the 3frame_header_dummy.htm file containing these instructions from the Baggage section to prevent it from being included with your published output.
5. When you publish your project select the "3-frame layout" option in the Include Options: box in the Publish dialog.


Classes

Home topic »No topics above this level«

Classes

 This is the first topic This is the last topic

Enter topic text here.


cSigCJdbForm

Home topic »No topics above this level«

cSigCJdbForm

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


cSigCJImage_Manager_Mixin

Home topic »No topics above this level«

cSigCJImage_Manager_Mixin

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


cSigCJMethods_Mixin

Home topic »No topics above this level«

cSigCJMethods_Mixin

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


cSigCJStandardCommandBarSystem

Home topic »No topics above this level«

cSigCJStandardCommandBarSystem

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


CSV_Export

Home topic »No topics above this level«

CSV_Export

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


psPX_Tag

Home topic »No topics above this level«

psPX_Tag

 This is the first topic This is the last topic

Scope

Docking Manager

Property Type

String

Default Value

None

Access

Read / Write

Description

Get / Set the Tag part of the registry key.

The registry key used when saving layout information is made up of

· The key use by "Preserve Environment" (see pbPreserveEnvironment in the VDF help)
· plus psPX_Category. This is set in the class (SigCJDockingPanesControl for docking panes, SigCjReportControl for the report control, etc)
· plus psPX_Tag

It is expected that there will be only one docking manager and therefore only one key under SigCJDockingPanesControl However each Report will have a different Tag, so there may be multiple keys under SigCjReportControl.

will only have This system allows ss

xs


Enumerations

Home topic »No topics above this level«

Enumerations

 This is the first topic This is the last topic

Enter topic text here.


Events

Home topic »No topics above this level«

Events

 This is the first topic This is the last topic

Enter topic text here.


Methods

Home topic »No topics above this level«

Methods

 This is the first topic This is the last topic

Enter topic text here.


None

Home topic »No topics above this level«

None

 This is the first topic This is the last topic

Enter topic text here.


None

Home topic »No topics above this level«

None

 This is the first topic This is the last topic

There are no public properties.


None

Home topic »No topics above this level«

None

 This is the first topic This is the last topic

There are no public events.


None

Home topic »No topics above this level«

None

 This is the first topic This is the last topic

There are no public enumerations.


None54

© 2012 UK VDF SIG - This help page is not part of Visual DataFlex.
For support please use the VDF SIG Codejock Library forum at http://support.dataaccess.com/Forums/


oSigCJMonthCalendar.dg

Home topic »No topics above this level«

oSigCJMonthCalendar.dg

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


oSigCjShortcutBar.pkg

Home topic »No topics above this level«

oSigCjShortcutBar.pkg

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


oSigCJTaskDialog.pkg

Home topic »No topics above this level«

oSigCJTaskDialog.pkg

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


Properties

Home topic »No topics above this level«

Properties

 This is the first topic This is the last topic

Enter topic text here.


Code Snippet blank template

Home topic »No topics above this level«

Code Snippet blank template

 This is the first topic This is the last topic

Example

This is really for adding data manually to the Report Control

Name | Value | Notes


Add_Bar

Home topic »No topics above this level«

Add_Bar

 This is the first topic This is the last topic

Prototype

Procedure Add_Bar Integer iID String sText String sImage

Parameters

iID | Unique ID for the bar
sText | The title / caption text
sImage | The image for the bar

Return Parameters

Not Applicable

Description

This method is used to add a bar. It method is only used from within the client area method SigCj_Setup_Shortcut_Bar.


Add_Item

Home topic »No topics above this level«

Add_Item

 This is the first topic This is the last topic

Prototype

Procedure Add_Item Integer iBar String sText String sImage String sMsg String sObj

Parameters

iBar | The bar to add the item to
sText | The title / caption text
sImage | The image for the item
sMsg | The message to send when the item is clicked
sObj | The object to send the message to

Return Parameters

Not Applicable

Description

This method is used to add an item to a bar. It method is only used from within the client area method SigCj_Setup_Shortcut_Bar.


SigCJLibraries

Home topic »No topics above this level«

SigCJLibraries

 This is the first topic This is the last topic

SVN Package version - 343

Enter topic text here.


SWS Files

Home topic »No topics above this level«

SWS Files

 This is the first topic This is the last topic

Instead of publishing compatibility tables and instructions on how to link the libraries together, it was decided to create lots of SWS files that do this for you.

Wrapper Libraries

There is an SWS file for each VDF version supported by the Wrapper.

Class Libraries

There is an SWS file for each Codejock VDF combination that is supported by the class library.

Demo Workspaces

There is an SWS file for each Codejock VDF combination that is supported by the demo workspace.

Command Bar and Skin Versions

In all version combinations we use the Command Bar and Skinning controls shipped with VDF. This is done to ensure that we do not get compatibility issues.

VDF Version | Codejock Command Bar and Skinning version
12.1 | 11.1.3
14.0 | 11.1.3
14.1 | 12.0.2
15.0 | 13.0.0

Versions Supported

We plan to support all combinations of the current and two previous version of VDF and Codejock

Example

As of 17-June-2009 support will be provided for all combinations of VDF 14.0 / 14.1 / 15.0 and Codejock 12.1.1 / 13.0.0 / 13.1.0

The workspaces are divided into three groups

· Wrapper Libraries
· Class Libraries
· Demo Workspaces

Wrapper Libraries

There is a wrapper library for each version of the Codejock Suite Control Pro that is supported. The Wrappers support both the Full license and the Evaluation version.

Class Libraries

Currently there is only one class library. All the wrapper libraries work with this class library. A new class library will be created when a compatibility issue arises either with Codejock or with VDF.

Demo Workspace

Currently there is only one demo workspace. The current class library works with this demo workspace. A new demo workspace will be created when a compatibility issue arises either with Codejock or with VDF. It is anticipated that whenever a new class library is created a new demo workspace will also need to be created.

Instead of publishing compatibility tables and instructions on how to link the libraries together, it was decided to create lots of SWS files that do this for you.

Wrapper Libraries

There is an SWS file for each VDF version supported by the Wrapper.

Class Libraries

There is an SWS file for each Codejock VDF combination that is supported by the class library.

Demo Workspaces

There is an SWS file for each Codejock VDF combination that is supported by the demo workspace.

Command Bar and Skin Versions

In all version combinations we use the Command Bar and Skinning controls shipped with VDF. This is done to ensure that we do not get compatibility issues.

VDF Version | Codejock Command Bar and Skinning version
12.1 | 11.1.3
14.0 | 11.1.3
14.1 | 12.0.2
15.0 | 13.0.0

Versions Supported